2003-09-24  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/WriteFTree.py: increment the count properly

2003-09-23  Don Allingham  <dallingham@users.sourceforge.net>
	* src/EventEditor.py: Fix destroy window callback
	* src/dialog.glade: removed unused callbacks

2003-09-22  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/po/ru.po: Update Russian translation. 
	* doc/gramps-manual/C/gramps-manual.xml: Update manual.
	* doc/gramps-manual/C/filtref.xml: Add file -- split appendix 
	into a separate file.
	* doc/gramps-manual/C/cmdline.xml: Likewise.
	* doc/gramps-manual/C/getstart.xml: Likewise.
	* doc/gramps-manual/C/mainwin.xml: Likewise.
	* doc/gramps-manual/C/usage.xml: Likewise.
	* doc/gramps-manual/C/custom.xml: Likewise.
	* doc/gramps-manual/C/Makefile.am: Ship new files. 
	* doc/gramps-manual/C/Makefile.in: Likewise. 
	* src/latin_utf8.py (latin_to_utf8): Convert to unicode only if needed. 
	* doc/gramps-manual/C/figures/cfe-ar.png: Add figure. 
	* doc/gramps-manual/C/figures/bookreport.png: Update figure. 
	* doc/gramps-manual/C/figures/gedcom-export.png: Likewise. 
	* doc/gramps-manual/C/figures/first-open.png: Likewise. 
	* doc/gramps-manual/C/figures/mainwin.png: Likewise. 
	* doc/gramps-manual/C/figures/side-filt.png: Likewise. 
	* doc/gramps-manual/C/figures/sources.png: Likewise. 
	* doc/gramps-manual/C/figures/media.png: Likewise. 

2003-09-21  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/book.glade: Minor improvements to the dialogs. 
	* doc/gramps-manual/C/gramps-manual.xml: Update manual.

2003-09-21  Don Allingham  <dallingham@users.sourceforge.net>
	* src/AddrEdit.py: Fixed OK button callback

2003-09-20  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: pass list of filtered people to find dialog
	* src/Find.py: pass list of filtered people to find dialog
	* src/po/hu.po: set character set to ISO-8859-2, fix typo
	* src/Date.py: Reset date if a empty text string is passed

2003-09-20  Egyeki Gergely  <egeri@elte.hu>
	* src/po/hu.po: Hungarian translation
	
2003-09-19  Don Allingham  <dallingham@users.sourceforge.net>
	* src/po/Makefile.am: added support for building zh_CN.mo

2003-09-19  Xing Wang  <wangx@udel.edu>
	* src/po/zh_CN.po: Partial Simplified Chinese translation

2003-09-19  Tim Waugh  <twaugh@redhat.com>
	* gramps.spec.in: Own %{_datadir}/gramps directory.
	* src/Makefile.am: Fix build when builddir != srcdir.
	* gramps.spec.in: Ship grampslib.so.

2003-09-18  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Makefile.am: Install grampslib under $pkglibdir/$PACKAGE
	* src/Makefile.in: Likewise. 
	* gramps.sh.in: Add $pkglibdir/$PACKAGE to the $PYTHONPATH. 
	* src/po/template.po: Update translation template. 

2003-09-17  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/ReadGedcom.py: Handle Legacy's method of
	handling separations and divorces

2003-09-15  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/OpenOfficeDoc.py: set z-index properly for paths
	so they appear over text, fix font for draw_text
	* src/docgen/OpenDrawDoc.py: deleted, superceded by OpenofficeDoc.py

2003-09-15  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/WriteGedcom.py (cl_setup): Define newline char.
	* src/plugins/WriteFtree.py: Provide command line interface. 
	* src/gramps_main.py (handle_args): Add function. Add WFT export 
	format; (cl_export): Add WFT format. 
	* doc/gramps.1.in: Update man page to reflect new format option. 
	* doc/gramps.1: Likewise. 
	* NEWS: Likewise. 
	* TODO: Add recently discussed items from gramps-devel.  
	* gramps.sh.in: Fix bashism to have a valid bourne-shell script. 
	* src/plugins/Makefile.am: Ship writefree.glade.
	* src/plugins/Makefile.in: Likewise.

	* src/gramps_main.py (on_save_as_activate): Make dialog modal and 
	transient; (on_open_activate): likewise; (on_new_clicked): pass 
	main window to set the transient. 
	* src/gramps.glade (fileselection dialog): Remove auto_estroy and modal.
	* src/revision.glade (dbopen dialog): Add modal and set responses.
	* src/docgen/Makefile.am: Don't ship OpenDrawDoc.py anymore.
	* src/docgen/Makefile.in: Likewise.

2003-09-14  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/SourceView.py (button_press,on_add_clicked,on_delete_clicked,
	on_edit_clicked): Pass parent window to the child dialog. 
	* src/Sources.py (add_src_clicked): Likewise. 
	* src/EditSource.py (__init__): Add optional parent_window argument.
	Make dialog modal and transient for its parent. 
	* src/gramps.glade (sourceEditor dialog): Delete unneeded handlers 
	for buttons. 
	* src/QuestionDialog.py (SaveDialog,QuestionDialog,OptionDialog,
	ErrorDialog,WarningDialog,MissingMediaDialog): Set transient status 
	if parent is given. 
	* src/EventEdit.py (__init__): Make dialog modal and transient for 
	its parent. 
	* src/Witness.py: Make WittnessEditor dialog modal and transient for 
	its parent. Call SelectPerson with itself as a parent. 
	* src/SelectPerson.py (__init__): Make dialog transient for its parent.
	* src/ImageSelect.py (ImageSelect.__init__): Make dialog transient for 
	its parent; (Gallery.__init__): Accept parent_window and pass it on. 
	* src/imagesel.glade: Define proper responses and delete unneeded handlers 
	for buttons. Make gtkFileEntry modal. 
	* src/dialog.glade (all dialogs): Define proper responses for buttons. 
	* src/EditPerson.py (on_add_aka_clicked, on_aka_update_clicked): 
	Call NameEdit with itself as a parent; (on_add_attr_clicked,
	on_update_attr_clicked): Call AttributeEditor with itself as a parent; 
	(on_add_addr_clicked,on_update_addr_clicked): Call AddressEditor with
	itself as a parent; (on_add_url_clicked,on_update_url_clicked): Call 
	UrlEditor with itself as a parent; (on_name_note_clicked,
	on_ldsbap_note_clicked,on_ldsendow_note_clicked,
	on_ldsseal_note_clicked): Call NoteEditor with itself as a parent. 
	* src/NameEdit.py (__init__): Make dialog modal and transient for 
	its parent. 
	* src/AttrEdit.py (__init__): Likewise.
	* src/AddrEdit.py (__init__): Likewise.
	* src/UrlEdit.py (__init__): Likewise.
	* src/NoteEdit.py (__init__): Likewise.

2003-09-14  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/TimeLine.py: call doc.init routine to build header
	* src/FontScale.py: try to handle non-ASCII characters

2003-09-13  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/SvgDrawDoc.py: use proper init parameters for BaseDoc
	* src/docgen/PSDrawDoc.py: use proper init parameters for BaseDoc
	* src/docgen/OpenOfficeDoc.py: handle rotation of text better
	* src/Report.py: Proper init sequence for BaseDoc derived reports

2003-09-13  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/AncestorChart.py (AncestorChart.__init__): Call calc()
	after self.standalone is defined. 
	* src/srcsel.glade: Define proper responses for OK and Cancel buttons
	in both SourceSelector and SourceEditor windows. 
	* src/Sources.py: Make both SourceSelector and SourceEditor modal and
	transients for their parent window. Add SourceTab window argument to
	SourceTab to pass to the SourceEditor. 
	* src/AddrEdit.py: Pass window widget to the SourceTab.
	* src/AttrEdit.py: Likewise. 
	* src/EditPlace.py: Likewise.
	* src/EventEdit.py: Likewise.
	* src/NameEdit.py: Likewise.
	* src/Marriage.py: Rename top_window to self.window.

	* src/po/template.po: Update translation template. 
	* src/po/ru.po: Update Russian translation. 
	* src/plugins/FilterEditor.py (edit_rule): Use translated strings for
	identifying rule/option. 
	* src/GenericFilter.py (save): Encode XML file as utf-8 (was iso8859-1).

2003-09-12  Don Allingham  <dallingham@users.sourceforge.net>
	* src/BaseDoc.py: add init function to BaseDoc to be called after
	all graphics formats are defined
	* src/docgen/OpenOfficeDoc.py: fix rotate_print and center_print
	* src/plugins/AncestorChart.py: support BaseDoc.init
	* src/plugins/AncestorReport.py: support BaseDoc.init
	* src/plugins/BookReport.py: support BaseDoc.init
	* src/plugins/CustomBookText.py: support BaseDoc.init
	* src/plugins/DesGraph.py: support BaseDoc.init
	* src/plugins/DescendReport.py: support BaseDoc.init
	* src/plugins/DetAncestralReport.py: support BaseDoc.init
	* src/plugins/DetDescendantReport.py: support BaseDoc.init
	* src/plugins/FamilyGroup.py: support BaseDoc.init
	* src/plugins/FanChart.py: support BaseDoc.init
	* src/plugins/FtmStyleAncestors.py: support BaseDoc.init
	* src/plugins/FtmStyleDescendants.py: support BaseDoc.init
	* src/plugins/SimpleBookTitle.py: support BaseDoc.init
	* src/plugins/Ancestors.py: support BaseDoc.init

2003-09-11  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: update family view after a GEDCOM import
	* src/plugins/TimeLine.py: draw grid after displaying text. Fixes
	a problem with OpenOffice

2003-09-10  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/PdfDoc.py: fix typo

2003-09-10  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/SimpleBookTitle.py: Introduce footer. 
	Introduce Image size option. Re-name item to Title Page (no longer
	simple I'm afraid). 

2003-09-10  Tim Waugh  <twaugh@redhat.com>
	* src/Relationship.py: Fixed typos in relationship descriptions.

2003-09-10  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/SimpleBookTitle.py: Add functionality to "From file".  
	* src/AddMedia.py: Make it a modal dialog. 
	* src/MediaView.py: Call AddMedia as modal dialog. 
	* src/imagesel.glade: Change responses for dialog buttons. 

2003-09-09  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/SimpleBookTitle.py 
	(SimpleBookTitleDialog.add_user_options): Add a tab for an image, 
	provide more controls for managing it;
	(remove_obj): Add function. 
	(select_file): Add a placeholder function. 
	(select_obj): Gracefully handle Cancel empty object (cancel).
	Enable Remove button on non-empty selection. 
	(SimpleBookTitle.write_report): Insert image only if it is passed. 
	Set empty object_id to "" (was None).
	* src/plugins/BookReport.py (BookReportSelector.open_book):
	Don't displpay person name for special items (title). 

2003-09-08  Don Allingham  <dallingham@users.sourceforge.net>
	* src/GenericFilter.py: handle the possibility of missing
	"inclusive" settings, assuming that it is 1 if not present.

2003-09-08  Tim Waugh  <twaugh@redhat.com>
	* src/Makefile.am: Ship SelectObject.py.

2003-09-08  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py (__init__): Pass parent window to DbPrompter.
	* src/DbPrompter.py (show): Gracefully deal with empty parent.

2003-09-07  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/PdfDoc.py: handle multiple image classes defined
	by reportlab

2003-09-07  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py (new_database_response,read_file,save_file): 
	Pass parent window to DbPrompter.
	* src/DbPrompter.py (__init__): Accept optional parent argument;
	(show): Make the window the transient for the main window. 
	* src/gramps.glade: Make Opendb dialog modal. 

2003-09-07  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: re-present the open dialog box on
	a failure to open a file.
	* src/gramps.glade: change Home button from stock version
	to something we can translate
	* src/const.py.in: Add "Alternate Marriage" as a family 
	event type.

2003-09-07  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/SelectObject.py: Add module. 
	* src/choose.glade: Add select_object dialog. 
	* src/plugins/SimpleBookTitle.py: Add image options.

2003-09-06  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/FilterEditor.py (MyInteger): Fix type conversions. 

2003-09-06  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/FilterEditor.py (MyPlaces): fix handling of get_text,
	set_text tasks. Use the default from the base class.

2003-09-05  Alex Roitman  <shura@alex.neuro.umn.edu>
	* configure.in: Switch to the next release's version in CVS. 
	Replace build-date with the last ChangeLog entry date in release number.

2003-09-04  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py (BookList.save): Write encoding. 
	* src/plugins/FilterEditor.py (MyBoolean): Add class. 
	(FilterEditor.edit_rule): Implement Inclusive option.
	* src/GenericFilter.py: Add categories and descriptions. Implement
	Inclusive option. 

2003-09-04  Don Allingham  <dallingham@users.sourceforge.net>
	* src/RelLib.py: backout yesterday's change

2003-09-03  Don Allingham  <dallingham@users.sourceforge.net>
	* src/RelLib.py: select the lowest ID for the default person
	if the default person is not set

2003-09-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py: Really fix start-up view when family 
	view style is the default. Clean up the use of views. 
	(post_load): Select the person with the alphabetically lowest ID
	to be active if no home person is set. Fixes 793127.
	(goto_active_person): Create alpha page if it does not exist. 
	* src/FamilyView.py (init_interface): Do not connect handlers to 
	events if they already exist; 
	(set_widgets): Set correct page before hiding the old one. Fixes
	resizing issue on applying preferences after changing Family View
	layout. 

2003-09-02  Don Allingham  <dallingham@users.sourceforge.net>
	* src/po/Makefile.am: convert .po files to unicode before
	running through msgfmt
	* src/revision.glade: make the open dialog box a bit bigger

2003-09-02  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/GraphViz.py: Fixed typo.
	* src/gramps_main.py: Fixed start-up view when family view style
	is the default.

2003-09-01  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/OpenOfficeDoc.py: Fix styles
	* src/docgen/PSDrawDoc.py: Change from Text/DrawDoc to BaseDoc
	* src/docgen/SvgDrawDoc.py: Change from Text/DrawDoc to BaseDoc

2003-09-01  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/docgen/PdfDoc.py (make_color): Remove the first occurence -- 
	was defined twice; (left_print): Remove print statement. 
	* src/plugins/BookReport.py (BookList.save): Enable saving options 
	which are lists; 
	(BookParser.startElement, BookParser.endElement): Enable parsing 
	options which are lists.
	* src/PaperMenu.py: Change from TextDoc to BaseDoc.
	* src/Report.py: Likewise.
	* src/SpreadSheetDoc.py: Likewise. 
	* src/StyleEditor.py: Likewise.
	* src/docgen/OpenSpreadSheet.py: Likewise.
	* src/docgen/AbiWord2Doc.py: Likewise.
	* src/plugins/AncestorReport.py: Likewise.
	* src/plugins/DescendReport.py: Likewise.
	* src/plugins/DetAncestralReport.py: Likewise.
	* src/plugins/DetDescendantReport.py: Likewise.
	* src/plugins/EventCmp.py: Likewise.
	* src/plugins/FamilyGroup.py: Likewise.
	* src/plugins/FtmStyleAncestors.py: Likewise.
	* src/plugins/GraphViz.py: Likewise.
	* src/plugins/IndivComplete.py: Likewise.
	* src/plugins/IndivSummary.py: Likewise.
	* src/plugins/WebPage.py: Likewise.
	* src/plugins/Ancestors.py: Likewise.
	* src/plugins/CustomBookText.py: Likewise.
	* src/BaseDoc.py: Likewise.

2003-09-01  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Separate paternal and maternal ancestors
	for easier reading.
	* src/Makefile.am: Ship BaseDoc.py.

2003-09-01  Don Allingham  <dallingham@users.sourceforge.net>
	* src/RelLib.py: make Witness inherit from Persistant

2003-09-01  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/Makefile.am: Removed reference to PdfDrawDoc.py.

2003-08-31  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/PdfDoc.py (left_print): Don't convert to cm.

2003-08-30  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/docgen/PdfDoc.py (page_break): Minor cleanup; 
	(end_page): Was defined twice -- remove the first occurence. 
	* src/gramps_main.py (load_selected_people): Only invoke Edit person 
	dialog if the active person is selection in the current alpha- page; 
	(change_alpha_page): Enable person-centered buttons only if the 
	selection is visible in the current page; 
	(build_people_context_menu): Enable Add bookmark and Edit/Remove only 
	if the selection is visible in the current page. 

2003-08-30  Don Allingham  <dallingham@users.sourceforge.net>
	* src/docgen/PdfDoc.py: Support drawing functions.
	* src/docgen/PdfDrawDoc.py: remove - all functions integrated into
	PdfDoc.py
	* src/DbPrompter.py: change title from "Save" to "Create" when
	opening a new database, prompt with last database saved.
	* src/FamilyView.py: don't add columns to the child list if it
	is already initialized

2003-08-30  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py: Enable context menu for an empty people view. 
	* src/FamilyView.py: Cleanups for the case of empty database. 

2003-08-29  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/DesGraph.py: Change from TextDoc and DrawDoc to BaseDoc.
	* src/plugins/FanChart.py: Likewise. Enable Book item functionality. 
	* src/plugins/TimeLine.py: Likewise. 
	* src/FamilyView.py: New items for context menus. 

2003-08-28  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/docgen/LaTeXDoc.py: Do not register as a book format (have to
	support both text and graphics).
	* src/plugins/AncestorChart.py:  Minor code cleanup. 
	* src/plugins/BookReport.py: Add context menus to the dialog. 
	* src/FamilyView.py: Properly refer to gtk stock items. 
	* src/gramps_main.py: Likewise. 
	* src/plugins/DesGraph.py: Enable Book item functionality.

2003-08-27  Don Allingham  <dallingham@users.sourceforge.net>
	* src/FamilyView.py: don't add columns to family view items
	if they have already be added.

2003-08-26  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: reinitialize interface after preferences
	has been clicked.

2003-08-26  Alex Roitman  <shura@alex.neuro.umn.edu>
	* NEWS: Bring up to date.
	* TODO: Likewise. 

2003-08-25  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps.glade: Minor cleanups for the alternate family view. 
	* src/gramps_main.py: Likewise.

2003-08-25  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps.glade: move alternate family view tab, assign a
	few object names
	* src/FamlyView.py: handle alternate family view
	* src/preferences.glade: allow user to choose family view
	* src/GrampsCfg.py: allow user to choose family view
	* src/gramps_main.py: allow user to choose family view

2003-08-25  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps.glade: Add Alternative Family View tab. 
	* src/PedView.py (PedigreeView.__init__): Add parent argument to the
	constructor. Connect to the handling function on button press over the
	canvas to enable context menu; 
	(on_canvas_press, build_nav_menu): Add functions to enable context menu.
	* src/gramps_main.py (init_interface): Call PedView with self as parent;
	(set_buttons,change_active_person): Fix enabling the buttons. 
	* src/PlaceView.py (merge): Change error message from people to places.
	* src/docgen/OpenOfficeDoc.py (open): Typos.
	* src/plugins/AncestorChart.py: Change from TextDoc and DrawDoc to
	BaseDoc. Enable Book item functionality. 
	* src/plugins/SimpleBookTitle.py: Change from TextDoc to BaseDoc.
	* src/plugins/BookReport.py: Likewise.
	* src/plugins/FtmStyleDescendants.py: Likewise.

2003-08-24  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/FanChart.py: remove print statement
	* src/docgen/RTFDoc.py: change from TextDoc to BaseDoc
	* src/docgen/PdfDoc.py: change from TextDoc to BaseDoc
	* src/docgen/LaTeXDoc.py: change from TextDoc to BaseDoc
	* src/docgen/KwordDoc.py: change from TextDoc to BaseDoc
	* src/docgen/HtmlDoc.py: change from TextDoc to BaseDoc
	* src/docgen/AbiWordDoc.py: change from TextDoc to BaseDoc
	* src/docgen/AbiWord2Doc.py: change from TextDoc to BaseDoc
	* src/BaseDoc.py: support start_page and end_page for backwards
	compatibility to older versions
	* src/docgen/OpenOfficeDoc.py: support all graphics functionality

2003-08-24  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/FamilyView.py (edit_active_person, build_ap_menu,
	build_child_menu, build_spouse_menu, build_parents_menu,
	build_sp_parents_menu, edit_parents, edit_sp_parents): 
	Add navigation portion to all context menus. 
	* src/gramps_main.py (change_active_person): Cleanup with 
	enabling/disabling add/edit/remove buttons in different views upon the
	active person change. 

2003-08-23  Don Allingham  <dallingham@users.sourceforge.net>
	* src/BaseDoc.py: New base clase for TextDoc/DrawDoc combination
	* src/docgen/OpenOffice.py: Derive from BaseDoc instead of TextDoc

2003-08-20  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps.py: catch missing textdomain in gtk.glade for
	older versions of pygtk
	* src/po/template.po: update
	* src/plugins/GraphViz.py: Allow truetype or postscript fonts

2003-08-19  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/OpenDrawDoc.py: Fixed escaping.

2003-08-19  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py (build_backhistmenu,build_fwdhistmenu): 
	Add a limit of 20 for the Back/Forward history popup menus. 
	Add hotkeys for these menus; 
	(change_active_person): Fix sensitivity of Back/Forward buttons; 
	(build_people_context_menu): Add new items to the People View's context 
	menu (Home and Add Bookmark);
	(change_alpha_page): Fix context menu upon changing pages. 

2003-08-18  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/preferences.glade: Provide hotkeys for the new default view 
	options. 
	* src/gramps_main.py: Enable context menus with back and forward
	portions of history upon right-clicking on Back and Forward buttons.
	Enable context menu upon right-click in the People View with Back,
	Forward, Add, Remove, and Edit items. 
	* src/gramps.glade: Add handlers for the context menus. 

2003-08-17  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py: Better behavior for the history menu.

2003-08-16  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py: Functional history submenu of the Go menu.

2003-08-16  Don Allingham  <dallingham@users.sourceforge.net>
	* configure.in: removal of intl.c/intl22.so
	* src/gramps.py: handling of i18n without the use of intl
	* src/*.py: switch from intl to gettext

2003-08-15  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps.glade: New tool icon
	* src/gramps_main.py: handle back/fwd buttons, disabling when
	not appropriate
	* src/people48.png: new image
	* src/family48.png: new image
	* src/tools.png: new image
	* src/Makefile.am: added tools.png for installation

2003-08-15  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps.glade: Add Go menu with navigation items. Still have to 
	work out the history menu being built at runtime. Add few shortcuts. 
	* src/gramps_main.py (change_active_person): Small fix for disabling 
	back button. 
	* src/gramps_main.py: Add enabling/disabling for the new back/fwd menu
	items. 

2003-08-14  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/FrenchRepublic.py: Insert encoding line because non-ascii
	charatcers are used. This behavior is deprecated and causes warnings 
	in python 2.3.
	* src/const.py.in: Likewise. 
	* src/FamilyView.py: Likewise. 
	* src/SelectChild.py: Likewise.
	* src/plugins/rel_ru.py: Likewise.
	* src/GrampsCfg.py: Fix toolbar prefs. 
	* src/intl.py: Import intl22.so for both 2.2 and 2.3 python versions.

2003-08-14  Don Allingham  <dallingham@users.sourceforge.net>
	* src/DbPrompter.py: removed #! at top of file
	* src/gramps.py: removed #! at top of file
	* src/EditSource.py: removed #! at top of file

2003-08-14  Alexandre Duret-Lutz  <adl@gnu.org>
	* configure.in: Check for include directory of $PYTHON, not $PYTHON22.
	Set PYTHON_CPPFLAGS accordingly.  Do not set $PYTHON22 and
	$P22_INCLUDES, they are not used anymore.
	* src/Makefile.am (GVFSINC): Remove, unused.
	(intl22.so, grampslib.so): Adjust to use $P22_INCLUDES.

2003-08-13  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: implement a basic history mechanism
	* src/gramps.glade: add back and forward buttons

2003-08-12  Don Allingham  <dallingham@users.sourceforge.net>
	* src/Pedegree.py: if only one child exists, don't display popup
	window when left arrow button is clicked.
	* src/FamilyView.py: if only one child exists, choose the child
	event if not selected if the child arrow button is clicked
	* src/AddMedia.py: set title for image select dialog
	* src/DbPrompter.py: set default path in database file entry box
	* src/gramps_main.py: set default path in database file entry box
	* src/ImageSelect.py: set default path in image select file entry box,
	keep track of last directory used
	* src/Report.py: set default path in report file entry box
	* src/imagesel.glade: enlarge image select dialog box

2003-08-12  Lorenzo Cappelletti  <lorenzo.cappelletti@email.it>
	* src/po/it.po: updated Italian translation

2003-08-11  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: apply the filter after a load of the database,
	allow default view to be set
	* src/GrampsCfg.py: handle the defaultview key to allow the user to
	choose Family or People view as the default
	* src/preferences.glade: defaultview settings

2003-08-11  Alex Roitman  <shura@alex.neuro.umn.edu>
	* TODO: Some nice features to implement, mostly from RFE at sf.net.

2003-08-11  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/OpenDrawDoc.py: Fixed tag mismatch.  Added report printing
	support.
	* src/Report.py: Report printing support added to Draw-style
	reports.
	* src/plugins/Ancestors.py: Use Relationship.get_grandparents_string.

2003-08-10  Don Allingham  <dallingham@users.sourceforge.net>
	* src/Relationship.py: add "get_grandparents_string" to return the
	grandparents relationship between to people.

2003-08-10  Alex Roitman  <shura@alex.neuro.umn.edu>
	* configure.in: Set version to 0.9.4 (since the release is 0.CVS...).
	Otherwise it becomes older-version that the latest release. 
	* src/EditPerson.py: Change const.save_fevent() calls to
	const.save_event().
	* src/EventEdit.py: Display event name with const.display_event() 
	(was backwards).
	* src/GrampsParser.py: Call const.save_event() and const.attr() 
	when parsing XML. This should take care of prior data with standard 
	events and attributes recorded in $LANG. 
	* src/FamilyView.py (nameof): Translate parent's relation to a child. 
	* NEWS: More new items. 

2003-08-11  Alexandre Duret-Lutz  <adl@gnu.org>
	* configure.in: Modernize calls to AC_INIT, AM_INIT_AUTOMAKE and
	AC_OUTPUT.  Require Autoconf >= 2.57 and Automake >= 1.6.3.
	Remove many superfluous AC_SUBSTs.

2003-08-10  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/FilterEditor.py: support for selecting a person
	from a list to get the GRAMPS ID value
	* src/plugins/FilterEditor.py: handle Add/Edit of rules correctly
	* src/rule.glade: eliminate unneeded label and increased size

2003-08-10  Tim Waugh  <twaugh@redhat.com>
	* configure.in: Use 0.CVS[date] for RELEASE.  '-' is not allowed in
	RPM release strings, and prefixing with '0.' allows the final version
	to be version-compared as newer.

2003-08-09  Don Allingham  <dallingham@users.sourceforge.net>
	* src/GenericFilter.py: Support for categories and descriptions
	for filters
	* src/Plugins.py: removed unused variable
	* src/gramps.desktop: compatible with desktop-file-validate
	* src/rule.glade: new add/edit filter dialog
	* src/plugins/FilterEditor.py: support for spin buttons and new
	dialog box

2003-08-09  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/TextDoc.py (PaperStyle.set_height, PaperStyle.set_width): 
	Add functions. Needed for setting custom size paper. 
	* configure.in: Set RELEASE to CVS-<date> string. 

2003-08-08  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/PaperMenu.py: Add A3 size to the default size list.
	* src/plugins/FamilyGroup.py: Remove setup() call.
	* src/plugins/IndivSummary.py: Enable translation for an event type. 
	* src/plugins/FtmStyleAncestors.py: Space after full stop. 
	* src/const.py.in (display_pevent): Try translating string if not 
	found in the _pe_e2l dictionary. Useful for translating Birth and 
	Death events which are not in the dictionary as non-editable events. 
	Seems harmless in the display function ;
	(display_fevent, display_event, display_pattr, display_fattr, 
	display_attr, display_frel): Likewise. Might be useful in some 
	cases and seems totally harmless. 

2003-08-07  Don Allingham  <dallingham@users.sourceforge.net>
	* src/FamilyView.py: set menu title

2003-08-07  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/po/template.po: Update the translation template.

2003-08-07  Lars Kr. Lundin  <gramps@lklundin.dk>
	* src/plugins/BookReport.py: Fixed typo (containg).
	* src/plugins/FtmStyleAncestors.py, src/plugins/FtmStyleDescendants.py:
	Fixed typo (death_endotes).

2003-08-06  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/FamilyView.py (load_family): Enable translation for family
	relation. 
	* src/const.py.in: Add new functions: display_event(), save_event(), 
	display_attr(), and save_attr() which work for either personal or 
	family events/attributes. Correct silly typo. 
	* src/WriteXML.py (dump_my_event): Call const.save_event() before 
	saving; (write_family_id): Call const.save_frel() before saving; 
	(write_attribute_list): Call const.save_attr() before saving.
	* src/Marriage.py (redraw_event_list): Call const.display_fevent()
	before saving; (on_add_clicked): change const.save_fevent() to 
	const.display_fevent(); (on_event_update_clicked): Likewise. 
	* src/EventEdit.py (EventEditor.__init__): Call self.trans() before
	displaying event name. 
	* src/EditPerson.py (did_data_change): Add a unicode conversion to the
	surname string. 

2003-08-05  Tim Waugh  <twaugh@redhat.com>
	* src/Report.py, src/TextDoc.py, src/DrawDoc.py: Adjusted the way
	that 'Print Report' is handled.
	* src/docgen/OpenOfficeDoc.py, src/docgen/PSDrawDoc.py: Likewise.
	* src/plugins/AncestorChart.py: Undo previous change to do with
	printing reports.

2003-08-04  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/GraphViz.py (make_doc_menu): Add paper option to the menu.
	* src/GenericFilter.py: Fixes for existing filters (ancestors and
	descendants used to include the original person). 
	Four new filters: ancestors and descendants more and less than so many
	generations away. 
	* NEWS: Compile preliminary contents for the next release. 
	* src/plugins/WebPage.py (WebReportDialog.get_report_generations): 
	Disable number of generations (was not used anyway).

2003-08-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/dialog.glade: Consistent tooltips.
	* src/gramps.glade: Likewise.
	* src/marriage.glade: Likewise.
	* src/edit_person.glade: Likewise.
	* src/plugins/pafexport.glade: Consistent check box label. 
	* src/po/template.po: Update the above corrections in template.
	* src/gramps_main.py (save_file): Remove statusbar.set_pulse_step() 
	call because gnome.ui.AppBar does not have such method.

2003-08-01  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/writeftree.glade: Swap OK and Cancel buttons (HIG).
	* src/plugins/cdexport.glade: Likewise.
	* src/plugins/gedcomexport.glade: Likewise.
	* src/plugins/pkgexport.glade: Likewise.
	* src/plugins/ReadGedcom.py: Fix Cancel button (was destroying itself).

2003-08-01  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/GraphViz.py: toggle sensitivity on year button if based
	of date button selection, add new tab for page options to reduce 
	dialog size.

2003-08-01  Lorenzo Cappelletti  <lorenzo.cappelletti@email.it>
	* src/plugins/GraphViz.py: Added option to limit dates to just years,
	fixed bug to prevent family nodes from being listed more than once

2003-08-01  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/WriteFtree.py: add filter and data restriction support
	* src/plugins/writeftree.glade: interface description for Web Family
	Tree export filter

2003-07-31  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/RelLib.py (LdsOrd.are_equal): Correctly handle the case when 
	the new object is None and the old is empty;  
	(LdsOrd.isEmpty): Add function. 

2003-07-31  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: handle status bar message with autosave
	* src/FamilyView.py: add right-context menus in the family view
	* src/Plugins.py: fixed call in _textdoc.append (typo)
	* src/plugins/Makefile.am: Add WriteFtree.py

2003-07-30  Don Allingham  <dallingham@users.sourceforge.net>
	* src/ChooseParents.py: Used EditPerson dialog instead of quick add,
	select added parent in list
	* src/gramps_main.py: eliminated importing of string, display 
	error if no person selected when trying to export
	* src/ListModel.py : explicitly delete renderers and columns due
	to memory leak in pygtk 1.99.16
	* src/PlaceView.py: explictly delete model due to above memory leak
	* src/plugins/pkgexport.glade: don't set height of window
	* src/plugins/WriteFtree.py: export to Web Family Tree

2003-07-28  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps_main.py: handle autosave more gracefully

2003-07-28  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/AncestorChart.py: Printable hook.
	* src/plugins/GraphViz.py: Adapt.
	* src/Report.py, src/TextDoc.py, src/DrawDoc.py, src/Plugins.py: More
	support for making printable output formats.
	* src/docgen/PSDrawDoc.py, src/docgen/PdfDrawDoc.py: Make these
	output formats printable.

2003-07-27  Don Allingham  <dallingham@users.sourceforge.net>
	* src/GrampsParser.py: directly delete several maps to free memory

2003-07-26  Don Allingham  <dallingham@users.sourceforge.net>
	* src/ListModel.py: set the cell renderers to a fixed size
	to improve performance
	* src/PlaceView.py: set the cell renderers to a fixed size
	to improve performance
	* src/SourceView.py: set the cell renderers to a fixed size
	to improve performance
	* src/Sources.py: set the cell renderers to a fixed size
	to improve performance
	* src/Utils.py: set the cell renderers to a fixed size
	to improve performance
	* src/gramps_main.py: prevent double loading of place_view

2003-07-25  Tim Waugh  <twaugh@redhat.com>
	* src/Report.py: Support for making output formats printable.
	* src/plugins/GraphViz.py: Make it printable.
	* src/plugins/ReadGedcom.py: Handle ABBR in source definitions (i.e.
	handle the GEDCOM that our exporter writes).

2003-07-24  Tim Waugh  <twaugh@redhat.com>
	* src/GenericFilter.py: Several more filters which iterate over
	other filters.
	* src/plugins/FilterEditor.py: Fix 'edit' to do so in place.

2003-07-23  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/WriteGedcom.py, src/plugins/gedcomexport.glade: New
        options for excluding sources and notes for living people.
	* src/plugins/Ancestors.py: More translation bits.  Include
	source author and publication information.

2003-07-22  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/SelectChild.py: Replace braces with parentheses in named format
	string parameter. 

2003-07-22  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Mark translation strings.
	* src/RelLib.py: Made Person.probablyAlive() take partners into
	consideration if all else fails.
	* src/plugins/WriteGedcom.py, src/plugins/gedcomexport.glade: New
	option for obscuring names of living people.

2003-07-21  Don Allingham  <dallingham@users.sourceforge.net>
	* src/Sources.py: sort sources by title

2003-07-21  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/MergeData.py: Various merge fixes.

2003-07-21  Tim Waugh  <twaugh@redhat.com>
	* src/RelLib.py: Made Person.probablyAlive() smarter.

2003-07-20  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/ReadGedcom.py: handle sources attached to a person (not
	to an event), handle the PAF/FTW _MARNM extension.
	* src/plugins/WebPage.py: added mini-ancestor tree patch from Daryle
	C. Lewis
	* src/GrampsParser.py: use findFamilyNoConflicts
	* src/RelLib.py: remove findFamilyNoConflict
	* src/docgen/LaTeXDoc.py: Fixed typo in latex generated comment
	* src/docgen/OpenOfficeDoc.py: Header paragraphs have the keep-with-next
	property set

2003-07-20  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Include source notes.  Adjusted default
	styles.

2003-07-19  Don Allingham  <dallingham@users.sourceforge.net>
	* src/Sources.py: use textview instead of entry for page information
	* src/srcsel.glade: use textview instead of entry for page information
	* src/plugins/WriteGedcom.py: Allow for multi-line PAGE information for
	as source.
	* src/gramps.glade: parent relationship editor has an indicator to
	mark the parents as the preferred parents for reporting and display
	* src/ChooseParents.py: parent relationship editor has an indicator to
	mark the parents as the preferred parents for reporting and display
	
2003-07-18  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/docgen/OpenOfficeDoc.py (_write_styles_file): Switch paragraph
	alignment to "start" and "end" (was "left and "right").
	* src/plugins/AncestorReport.py: Change prefixed style name ("AHN-").
	Needed because HTML gets confised by ":" in the class name.
	* src/plugins/Ancestors.py: Likewise ("AR-").
	* src/plugins/DescendReport.py: Likewise ("DR-").
	* src/plugins/DetAncestralReport.py: Likewise ("DAR-"). 
	* src/plugins/DetDescendantReport.py: Likewise ("DDR-"). 
	* src/plugins/FtmStyleAncestors.py: Likewise ("FTA-").
	* src/plugins/FtmStyleDescendants.py: Likewise ("FTD-").
	* src/plugins/FamilyGroup.py: Likewise ("FGR-").
	* src/plugins/CustomBookText.py: Likewise ("CBT-").
	* src/plugins/SimpleBookTitle.py: Likewise ("SBT-").
	* src/plugins/IndivSummary.py: Likewise ("IVS-").
	* src/plugins/IndivComplete.py: Likewise ("IDS-").

2003-07-17  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps_main.py (open_example): Fix destination name when copying
	files (was directory name).
	* doc/gramps-manual/C/gramps-manual.xml: Reflect name change for
	Comprehensive Ancestors Report.
	* src/plugins/AncestorReport.py: Prefixed style names ("AHN:").
	* src/plugins/Ancestors.py: Prefixed style names ("AR:").
	* src/plugins/DescendReport.py: Prefixed style names ("DR:").
	* src/plugins/DetAncestralReport.py: Prefixed style names ("DAR:"). 
	* src/plugins/DetDescendantReport.py: Prefixed style names ("DDR:"). 
	* src/plugins/FtmStyleAncestors.py: Prefixed style names ("FTA:").
	* src/plugins/FtmStyleDescendants.py: Prefixed style names ("FTD:").
	* src/plugins/FamilyGroup.py: Prefixed style names ("FGR:").
	* src/plugins/CustomBookText.py: Prefixed style names ("CBT:").
	* src/plugins/SimpleBookTitle.py: Prefixed style names ("SBT:").
	Rename "Copyright string" with "Subtitle string".
	* src/plugins/BookReport.py (BookReportDialog.__init__): Finally, 
	clear the style problem. 

2003-07-17  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Handle unknown genders and missing
	first names.  Include grandchildren's birth dates in
	abbreviated form.  Include other names in the notes.  Include
	birth/marriage/death descriptions.  Change report name.  Include
	addresses.  Better generation headings.  Include nickname.

2003-07-16  Donald Peterson  <dpeterson@sigmaxi.org>
	* doc/gramps-manual/C/figures/bookreport.png:
	* doc/gramps-manual/C/figures/cfe-df.png:
	* doc/gramps-manual/C/figures/edit-person-addresses.png:
	* doc/gramps-manual/C/figures/edit-person-attributes.png:
	* doc/gramps-manual/C/figures/edit-person-events.png:
	* doc/gramps-manual/C/figures/edit-person-gallery.png:
	* doc/gramps-manual/C/figures/edit-person-internet.png:
	* doc/gramps-manual/C/figures/edit-person-lds.png:
	* doc/gramps-manual/C/figures/edit-person-names.png:
	* doc/gramps-manual/C/figures/edit-person-notes.png:
	* doc/gramps-manual/C/figures/edit-person.png:
	* doc/gramps-manual/C/figures/edit-plc.png:
	* doc/gramps-manual/C/figures/edit-rel.png:
	* doc/gramps-manual/C/figures/edit-si.png:
	* doc/gramps-manual/C/figures/edit-wi.png:
	* doc/gramps-manual/C/figures/family.png:
	* doc/gramps-manual/C/figures/first-open.png:
	* doc/gramps-manual/C/figures/gedcom-import.png:
	* doc/gramps-manual/C/figures/mainwin.png:
	* doc/gramps-manual/C/figures/media.png:
	* doc/gramps-manual/C/figures/noside-nofilt.png:
	* doc/gramps-manual/C/figures/pedigree.png:
	* doc/gramps-manual/C/figures/places.png:
	* doc/gramps-manual/C/figures/researcher.png:
	* doc/gramps-manual/C/figures/side-filt.png:
	* doc/gramps-manual/C/figures/sources.png: HIG-ified images by
	scaling to the recommended max width of 510 pixels.

2003-07-16  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/gramps.glade: Add "..." after Merge, Edit Bookmarks, Preferences, 
	and "Show plugin status" menu items. 
	* src/plugins/DescendReport.py: Enable translation for "b." and "d." 
	* doc/gramps-manual/C/gramps-manual.xml: More corrections.
	* src/gramps_main.py: Replace old "file-should-be-directory" message.
	* src/StartupDialog.py: Minor typos. 
	* src/plugins/Verify.py: Likewise.
	* src/plugins/WebPage.py: Likewise.
	* src/plugins/book.glade: Likewise.
	* src/MediaView.py: Likewise.
	* src/PlaceView.py: Likewise.
	* src/po/template.po: Update the above corrections in template.

2003-07-15  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/CustomBookText.py: Add to CVS. 
	* src/plugins/ReadPkg.py: Enable "..." in the menu item.
	* src/plugins/ReadNative.py: Likewise.
	* src/plugins/ReadGedcom.py: Likewise.
	* src/Report.py: Put "Style" label in singular form (was plural).
	* src/plugins/WritePkg.py: Enable "..." in the menu item.
	* src/plugins/WriteCD.py: Likewise.
	* src/plugins/WriteGedcom.py: Likewise.
	* src/plugins/ReadPkg.py: Remove "..." (move this to Plugins.py).
	* src/plugins/ReadNative.py: Likewise.
	* src/plugins/ReadGedcom.py: Likewise.
	* src/plugins/WritePkg.py: Likewise.
	* src/plugins/WriteCD.py: Likewise.
	* src/plugins/WriteGedcom.py: Likewise.
	* src/Plugins.py: Add "..." at menu generation.
	* src/edit_person.glade: Add colon after "Type" label.
	* src/dialog.glade: Add accelerator to "Address" label of AddrEdit.
	* src/po/template.po: Update the above corrections in template.
	* src/plugins/Makefile.am: Ship CustomBookText.py.
	* src/plugins/FtmStyleAncestors.py: Fix coma-separation for endnotes. 
	Translate "Endnotes" sub-heading. Enable pagebreak only when 
	generation > 1 (was 0).
	* src/plugins/FtmStyleDescendants.py: Likewise. 
	* src/const.py.in: Make the confidence order high to low (was l->h).
	* src/plugins/AncestorChart.py: Enable translation for "b." and "d."
	* src/plugins/DesGraph.py: Likewise.
	* src/po/template.po: Update the above corrections in template.
	* src/GrampsCfg.py: Toolbar and statusbar (single word each). 
	* src/preferences.glade: Statusbar (single word).
	* doc/gramps-manual/C/gramps-manual.xml: More corrections.

2003-07-14  Donald Peterson  <dpeterson@sigmaxi.org>
	* src/docgen/LaTeXDoc.py: Regress UNICODE support to be only a
	commented line in the output rather than implemented by default
	since not all LaTeX installations include ucs.sty by default.

2003-07-12  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Plugins.py (PluginDialog.build_tree): Remove reverse() call.
	* doc/gramps-manual/C/gramps-manual.xml: More corrections.
	* src/plugins/BookReport.py (BookReportDialog.make_document): 
	Move item initialization here (was in make_report). 
	This is necessary to define all the styles, including non-paragraph 
	ones, before opening single book doc.
	* src/plugins/DetDescendantReport.py: Remove empty setup().
	* src/plugins/AncestorReport.py: Likewise. 
	* src/plugins/Ancestors.py: Likewise. 
	* src/plugins/DescendReport.py: Likewise. 
	* src/plugins/FtmStyleAncestors.py: Likewise. 
	* src/plugins/FamilyGroup.py: Likewise. 
	* src/plugins/DetAncestralReport.py: Likewise. 

2003-07-11  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/IndivSummary.py (IndivSummary.__init__):
	Provide default value of 0 to newpage argument. 
	* doc/gramps-manual/C/gramps-manual.xml: More corrections.

2003-07-11  Donald Peterson  <dpeterson@sigmaxi.org>
	* src/docgen/LaTeXDoc.py: Added UNICODE support and '&' handling

2003-07-11  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/SimpleBookTitle.py: Define self.style_name before
        calling Report.BareReportDialog.__init__().

2003-07-10  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/GrampsCfg.py (GrampsPreferences.select): Conditional get_path(). 
	* src/Plugins.py (PluginDialog.on_node_selected): Likewise.
	* src/plugins/BookReport.py (BookReportDialog.__init__): Do not 
	initialize book to the empty book (was losing selected style info).
	* src/plugins/FtmStyleDescendants.py (FtmDescendantReport.__init__): 
	Call setup() to obtain complete style information.
	* src/plugins/IndivComplete.py (IndivComplete.__init__): Likewise.
	* src/plugins/IndivSummary.py (IndivSummary.__init__): Likewise.
	* src/Report.py (BareReportDialog.build_style_menu): 
	Initialize menu to self.style_name;
	(ReportDialog.__init__): Set self.style_name to "default" 
	for standalone reports. 
	* src/plugins/DetDescendantReport.py: Define self.style_name before 
	calling Report.BareReportDialog.__init__().
	* src/plugins/AncestorReport.py: Likewise. 
	* src/plugins/Ancestors.py: Likewise. 
	* src/plugins/DescendReport.py: Likewise. 
	* src/plugins/FtmStyleAncestors.py: Likewise. 
	* src/plugins/FtmStyleDescendants.py: Likewise. 
	* src/plugins/IndivComplete.py: Likewise. 
	* src/plugins/IndivSummary.py: Likewise. 
	* src/plugins/FamilyGroup.py: Likewise. 
	* src/plugins/DetAncestralReport.py: Likewise. 
	* src/po/ru.po: Updated Russian translation for 0.9.3.

2003-07-10  Tim Waugh  <twaugh@redhat.com>
	* src/Relationship.py: Fix '[...]teenth' relationship name typos.
	* src/RelLib.py: Fix for probablyAlive().  If there is no date, but
	there is other information about the death, the person is not alive.

2003-07-09  Donald Peterson  <dpeterson@sigmaxi.org>
	* doc/gramps-manual/C/gramps-manual.xml: More corrections.

2003-07-09  Alex Roitman  <shura@alex.neuro.umn.edu>
	* doc/gramps-manual/C/gramps-manual.xml: Straighten up versioning.
	* doc/gramps-manual/C/gramps-manual-C.omf: Update version and date.
	* doc/gramps.1.in, doc/gramps.1: Update the date.

2003-07-08  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/SelectChild.py: Fix typos upsetting translation. 
	* src/plugins/book.glade: Mark dummy strings as non-translatable.
	* src/po/template.po: Update the above corrections in template.
	* src/po/ru.po: First draft of Russian translation for 0.9.3.

2003-07-08  Donald Peterson  <dpeterson@sigmaxi.org>
	* doc/gramps-manual/C/gramps-manual.xml: Fixed a couple of typos

2003-07-07  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/DetAncestralReport.py: add import of string
	* src/plugins/DetDescendantReport.py: add import of string
	* src/Date.py: compare date modes when comparing dates
	* src/EditPerson.py: save date strings which comparing for changes
	* src/FamilyView.py: Scope Person.male properly

2003-07-07  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/DetDescendantReport.py: Enable book functionality.
	Fix styles in book. Switch to tuple of options. 
	* src/plugins/AncestorReport.py: Fix styles in book. 
	* src/plugins/Ancestors.py: Fix styles in book.
	* src/plugins/DescendReport.py: Fix styles in book.
	* src/plugins/FtmStyleAncestors.py: Fix styles in book.
	* src/plugins/FtmStyleDescendants.py: Fix styles in book.
	* src/plugins/IndivComplete.py: Switch to tuple of options.
	* src/plugins/IndivSummary.py: Switch to tuple of options.
	* src/plugins/SimpleBookTitle.py: Fix styles in book.
	* src/plugins/FamilyGroup.py: Fix styles in book.
	* src/plugins/DetAncestralReport.py: Fix styles in book.
	* src/Makefile.am: Ship SelectPerson.py and choose.glade.
	* src/plugins/Makefile.am: Ship SimpleBookTitle.py and book.glade.
	* NEWS: Some updates for upcoming release.
	* doc/gramps-manual/C/gramps-manual.xml: Update manual. 
	* doc/gramps-manual/C/figures/bookreport.png: Add to CVS.
	* doc/gramps-manual/C/figures/family.png: Update screenshot.
	* doc/gramps-manual/C/figures/edit-wi.png: Update screenshot.

2003-07-07  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/WriteGedcom.py: Fix GEDCOM export.  Fixed date
	construction logic to handle datestrs.

2003-07-06  Don Allingham  <dallingham@users.sourceforge.net>
	* gramps.sh.in: Don't override an existing PYTHONPATH environment
	variable

2003-07-06  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py: Make a list of options from a tuple.
	* src/plugins/AncestorReport.py: Register options as a tuple.
	* src/plugins/Ancestors.py: Register options as a tuple.
	* src/plugins/DescendReport.py: Register options as a tuple.
	* src/plugins/FtmStyleAncestors.py: Register options as a tuple.
	* src/plugins/FtmStyleDescendants.py: Register options as a tuple.
	* src/plugins/IndivComplete.py:  Register options as a tuple.
	* src/plugins/IndivSummary.py: Register options as a tuple.
	* src/plugins/SimpleBookTitle.py: Register options as a tuple.
	* src/plugins/FamilyGroup.py: Enable book functionality.
	Check whether family exists before accessing it.
	* src/plugins/DetAncestralReport.py: Enable book functionality.

2003-07-05  Don Allingham  <dallingham@users.sourceforge.net>
	* src/ImageSelect.py: eliminate recursive error loop when a thumbnail
	cannot be created.
	* src/plugins/ReorderIds.py: handle IDs better when reordering
	* src/dialog.glade: witness changes

2003-07-05  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py (BookReportSelector.__init__): 
	Enable translation for interface strings,   
	* src/plugins/BookReport.py (BookReportDialog.get_stylesheet_savefile):
	Add this function to form sane filename for the output. 
	Add special treatment for Title entries (no central person displayed).
	* src/plugins/SimpleBookTitle.py: Add configurable title and copyright. 
	Change type to Title (was Text). 
	* src/plugins/IndivComplete.py: Use filter number in configurator. 
	Move get_report_filters out of dialogs classes so that it can be 
	shared between both dialogs and the write_book_item().
	* src/plugins/DescendReport.py: Enable book functionality.
	* src/plugins/AncestorReport.py: Enable book functionality.
	* src/plugins/Ancestors.py: Enable book functionality.

2003-07-04  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Really fixed text style for '(no photo)'.

2003-07-02  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/ReadGedcocm.py: Fix callback parameters
	* src/AddSpouse.py: handle adding of new person callback correctly
	* src/plugins/WriteGedcom.py: handle surnames containing a slash
	* src/SourceView.py: Speed up redraw performance
	* src/Witness.py: integrate SelectPerson

2003-07-01  Tim Waugh  <twaugh@redhat.com>
	* src/EditPerson.py: Don't guess gender if it has already been set.

2003-06-30  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Makefile.am: Ship FanChart.py.
	* src/plugins/Ancestors.py (generation): Report on the correct
	number of generations (was out by one).  Fixed text style for
	'(no photo)'.

2003-06-29  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/FtmStyleDescendants.py: handle missing "endnotes"
	* src/DisplayTrace.py: identify more linux versions
	* src/gramps_main.py: fix callbacks for reports
	* src/plugins/ReorderIds.py: handle integers larger that 32bit
	* src/Plugins.py: keep a separate lists for formats that support
	the book format
	* src/docgen/PdfDoc.py: register as a format supporting books
	* src/docgen/OpenOfficeDoc.py: register as a format supporting books
	* src/plugins/BookReport.py: Support different lists for books
	
2003-06-28  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/WriteGedcom.py: Convert line end string to chosen
	encoding (prevents traceback).

2003-06-28  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/WriteGedcom.py: support different end of line characters
	* src/GedcomInfo.py: support different end of line characters
	* src/data/gedcom.xml: indicate cr-lf for Windows based tools

2003-06-27  Tim Waugh  <twaugh@redhat.com>
	* src/PlaceView.py: Fix removal of unreferenced places.
	* src/plugins/WebPage.py: Make source links work.
	* src/EditPerson.py: Place keys are unicode.
	* src/plugins/Ancestors.py: Include source reference notes.  Made
	source citation optional.  Adjusted styles.

2003-06-26  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/IndivComplete.py: make compatible with BookReport
	* src/plugins/IndivSummary.py: changed style names to use colon qualifiers

2003-06-26  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/WebPage.py: Fix gendex creation.
	* src/ImgManip.py: Seems to need the SIGCHLD handler resetting here
	to prevent EINTR causing traceback.
	* src/plugins/Ancestors.py: Cite sources.

2003-06-26  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/Makefile.am: Added BookReport.py

2003-06-26  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Include notes for principal names.
	Briefly list children from other marriages.  Make extra table
	cells for other spouses.

2003-06-25  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/ReadGedcom.py: removed unused variable
	* src/latin_utf8.py: explicity state iso-8859-1 to unicode translation
	* src/gramps_main.py: handle clearing of tabs better, eliminating
	spurious tabs being added on a complete rebuild of the tabs.

2003-06-25  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Handle page break option.
	* src/Date.py: Make sure range is 0 when it should be.  Dates compare
	differently if only one is a range.

2003-06-24  Don Allingham  <dallingham@users.sourceforge.net>
	* src/SubstKeywords.py: Fixed typo on getName
	* src/plugins/WriteGedcom.py: Allow iso-8859-1 (ANSI) encoding
	* src/plugins/gedcomexport.glade: Allow iso-8859-1 (ANSI) encoding
	* src/docgen/PdfDoc.py: handle page break
	* src/plugins/BookReport.py: move book report to its own category,
	handle page break properly
	* src/plugins/FtmStyleAncestors.py: handle book improvements
	* src/plugins/FtmStyleDescendants.py: handle book improvements
	* src/plugins/IndivSummary.py: handle book improvements, rename
	document styles
	* src/plugins/SimpleBookTitle.py: new page title for book
	
2003-06-24  Tim Waugh  <twaugh@redhat.com>
	* src/GrampsParser.py: Use access methods rather than poking directly.
	* src/RelLib.py: Keep statistics on gender distribution among first
	names so that it can be used for guessing.
	* src/edit_person.glade: More event handlers.
	* src/EditPerson.py: Guess gender when appropriate.

2003-06-23  Tim Waugh  <twaugh@redhat.com>
	* src/NoteEdit.py: Use automatic scrolling policy, to fix scrolling.

2003-06-21  Tim Waugh  <twaugh@redhat.com>
	* src/plugins/Ancestors.py: Better handling of missing photos.
	* src/plugins/Ancestors.py (event_info): Better handling of strings.
	* src/plugins/Ancestors.py (person_name): Handle titles and suffices.

2003-06-19  Tim Waugh  <twaugh@redhat.com>
	* Makefile.am, doc/Makefile.am, doc/omf.make, doc/xmldocs.make:
	Fixes so that 'make distcheck' succeeds.
	* src/WriteXML.py (write_xml_data): Use a stable order for writing
	elements in XML.  This makes it useful to do revision control (RFE
	748165).

2003-06-18  Don Allingham  <dallingham@users.sourceforge.net>
	* src/FamilyView.py: keep focus on correct family after a new
	child is added

2003-06-18  Tim Waugh  <twaugh@redhat.com>
	* src/FamilyView.py (add_child_clicked): No reason to assume children
	are female.

2003-06-17  Don Allingham  <dallingham@users.sourceforge.net>
	* src/plugins/WriteGedcom.py: catch filter exceptions
	* src/GenericFilter.py: eliminate loop detection

2003-06-16  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps.glade: Add a dialog to allow a child's relationships
	to his/her parents to be altered.
	* src/FamilyView.py: Add popup menu for childlist to allow the
	enabling of the new child relationship editor dialog
	* src/SelectChild.py: Child relationship editor
	* src/RelLib.py: Allow for altering of relationships of the
	AltFamilyList

2003-06-16  Tim Waugh  <twaugh@redhat.com>
	* src/FamilyView.py (north_american): Fixed traceback when adding
	a new child in the family view.

2003-06-16  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/FtmStyleAncestors.py, src/plugins/FtmStyleDescendants.py:
	Remove options_dialog function as it is not nedded anymore.
	* src/plugins/BookReport.py: Add lots of doc strings.
	* src/PedView.py (DispBox.__init__): Conditional display of "b." 
	and "d." strings depending on the availability of the appropriate date.
	* NEWS: Start new section for 0.9.3 release. 

2003-06-14  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps.glade: added select/edit buttions to family view
	* src/SelectChild.py: change title from Add Children to Add Child
	to Family
	* src/FamilyView: add support for adding spouse/child with full
	Edit Person window, along with old method of adding via selectors

2003-06-14  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/IndivComplete.py (write_fact): Enable translation
	for the event name; 
	* (get_stylesheet_savefile): Change the name of xml file (and,
	consequently, the target filename) -- was confused with family group.
	* src/StyleEditor.py (save_paragraph): Call gfloat instead of float.
	* src/TextDoc.py (SheetParser.startElement): Likewise.
	* src/Utils.py: Provide a locale-aware string formatting conversion
	into C-locale string (for saving floats in XML)
	* src/StyleEditor.py (draw): Call locale.str instead of str.
	* src/TextDoc.py (StyleSheetList.save): Call gformat instead of '%f'.
	* src/AutoComp.py (AutoCombo.timer_callback): Fix autocompletion
	so that the typed portion of the text is always visible.

2003-06-14  Don Allingham  <dallingham@users.sourceforge.net>
	* src/preferences.glade: Don't immediately show preferences dialog
	* src/GrampsCfg.py: Handle new callback for preferences dialog
	* src/gramps_main.py: Pass update_display instead of full_update to
	loadConfig to prevent the displaying of multiple entries on the display.
	* src/Utils.py: provide a locale independant floating point conversion
	utility
	* src/TextDoc.py: call new gfloat utility instead of float
	* src/PaperMenu.py: call new gfloat utility instead of float
	
2003-06-14  Tim Waugh  <twaugh@redhat.com>
	* Ancestors.py (AncestorsReport.__init__): Define Photo and
	Entry cell styles.

2003-06-13  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/EditPerson.py (did_data_change): When checking name type, 
	compare translated strings (otherwise they always differ in 
	non-English $LANG).

2003-06-13  Don Allingham  <dallingham@users.sourceforge.net>
	* src/EditPerson.py: Removed the conflict of using pmap for two seperate
	purposes - mapping places to iterators and places to keys. The place to
	key map is now pdmap
	* src/EditPlace.py: Handle drag and drop with places
	* src/EditPerson.py: Handle exchange of perferred name and selected
	name in the alternate name list
	* src/docgen/OpenDrawDoc.py: add support for superscripts
	* src/docgen/OpenOfficeDoc.py: add support for superscripts
	* src/docgen/KwordDoc.py: add support for superscripts
	* src/docgen/RTFDoc.py: add support for superscripts

2003-06-13  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/const.py.in: Add InverseNameTypesMap.
	* src/plugins/IndivComplete.py: Use InverseNameTypesMap for 
	alternate names.
	* src/EditPerson.py (on_name_select_row): Display translated 
	name type. 

2003-06-13  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/OpenOfficeDoc.py: Escape special XML characters. 
	* src/docgen/HtmlDoc.py: Properly build style declaration.
	* src/plugins/FtmStyleDescendants.py: Setup before opening. 
	* src/plugins/Ancestors.py: New Ancestors report added

2003-06-12  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/OpenOfficeDoc.py: Surround images by paragraph tags
	when inside the table cell. 

2003-06-12  Don Allingham  <dallingham@users.sourceforge.net>
	* src/DrawDoc.py: support for drawing wedges and rotated text
	* src/docgen/PSDrawDoc.py: postscipt support for wedges and rotated 
	text
	* src/docgen/PdfDrawDoc.py: PDF support for wedges and rotated text
	* src/docgen/SvgDrawDoc.py: SVG support for wedges and rotated text
	* src/docgen/OpenDrawDoc.py: OpenOffice support for wedges and rotated 
	text
	* src/plugins/FanChart.py: Fan chart report

2003-06-12  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/docgen/KwordDoc.py (write_text): Replace & with &amp in text.
	Closes gramps-bugs-649228, finally.
	(start_table): close FRAMESET tag conditionally. This prevents closing
	it twice (both in end_cell and start_table). Closes 753151.

2003-06-12  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/OpenOfficeDoc.py: Fix typo. Prevent images from being
	copied more than once.

2003-06-11  Don Allingham  <dallingham@users.sourceforge.net>
	* src/GenericFilter.py: rewrote IsAncestorOf and IsDescendantOf rules
	to be more efficient and to properly handle loop detection.
	* src/RelLib.py: Added the getValidDeath and getValidBirth methods to
	the Person class
	* src/plugins/WebPage.py: Handle filter errors
	* src/docgen/OpenOfficeDoc.py: pass non-unicode names to zipfile

2003-06-11  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/EditPlace.py (on_switch_page): Fix page numbers to enable proper
	loading of gallery and references. 
	* src/EditPlace.py: Add url_edit_callback() and pass it on to UrlEdit 
	when clicked on Add or Edit in Place's Url list.

2003-06-11  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py (Book.pop_item): Add missing return
	statement. 
	* src/plugins/BookReport.py (BookReportSelector.open_book): 
	Add a warning if the database for the book is not the same as current.

2003-06-11  Tim Waugh  <twaugh@redhat.com>
	* src/docgen/HtmlDoc.py (add_photo): Fix typo in image reference.

2003-06-10  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Plugins.py: Add more values for book item registration.
	* src/plugins/FtmStyleDescendants.py: Comply with book changes.
	* src/plugins/FtmStyleAncestors.py: Likewise.
	* src/plugins/BookReport.py: Rewrite most of the code using new classes:
	BookItem, Book, BookList, BookParser, BookListDisplay. Add
	open/save/edit functionality. 
	* src/plugins/book.glade: Add new dialog for BookListDisplay. Also add
	a text entry field for saving book and new buttons: Open, Edit, Save.

2003-06-10  Tim Waugh  <twaugh@redhat.com>
	* src/styles.glade: - scrolling fix
	* src/dialog.glade: - scrolling fix
	* src/edit_person.glade: - scrolling fix
	* src/gramps.glade: - scrolling fix
	* src/imagesel.glade: - scrolling fix
	* src/marriage.glade: - scrolling fix
	* src/mergedata.glade: - scrolling fix
	* src/places.glade: - scrolling fix
	* src/rule.glade: - scrolling fix
	* src/srcsel.glade: - scrolling fix

2003-06-10  Don Allingham  <dallingham@users.sourceforge.net>
	* src/Date.py: Handle date ranges in the form of xxxx - xxxx
	* src/ListModel.py: Be able to select based off an iter
	* src/ImageSelect.py: Support keeping selecting attributes after
	they are edited
	* src/EventEdit.py: Support keeping selecting events after
	they are edited
	* src/AttrEdit.py: Support keeping selecting attributes after
	they are edited
	* src/Marriage.py: Support keeping track of events and attributes
	after they are edited.
	* src/EditPerson.py: Support keeping track of events and attributes
	after they are edited.
	* src/docgen/PdfDrawDoc.py: Support for rotated text and wedges
	* src/docgen/PSDrawDoc.py: Support for rotated text and wedges
	* src/StartupDialog.py: Attempt to seed the researcher name from the
	name entry in the passwd file
	* src/DrawDoc.py: support centered text
	* src/EditPerson.py: Support for keeping track of names, addresses,
	and urls after they are edited
	* src/NameEdit.py: Support for keeping track of names after they are edited
	* src/AddrEdit.py: Support for keeping track of names after they are edited
	* src/UrlEdit.py: Support for keeping track of names after they are edited
	* src/select_person.glade: select person interface
	* src/Plugins.py: Catch the LANG environment variable not being set when
	determining which relationship calculator to use
	* src/const.py.in: Updated LDS temple list
	
2003-06-10  Tim Waugh  <twaugh@redhat.com>
	* gramps.spec.in: Add gramps icon to correct location on install
	* src/gramps.desktop: Add startup notification (egg timer)
	* src/gramps.py: Add SIGCHLD handler

2003-06-10  Don Allingham  <dallingham@users.sourceforge.net>
	* src/gramps.glade: Make the select spouse dialog not modal. 

2003-06-09  Don Allingham  <dallingham@users.sourceforge.net>
	* src/TextDoc.py: Added name property to style sheets
	* src/StyleEditor.py: Add name property to edited style sheets
	* src/RelLib.py: Fix for witness event under ZODB
	* src/docgen/OpenDrawDoc.py: change name to OpenOffice.org
	* src/docgen/OpenOfficeDoc.py: change name to OpenOffice.org

2003-06-09  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py, src/plugins/FtmStyleDescendants.py,
	src/plugins/FtmStyleAncestors.py: Further work on option handling. 
	Start parse/save cycle.

2003-06-09  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/ReadXML.py, src/plugins/Check.py, src/plugins/WriteCD.py,
	src/plugins/WritePkg.py: Proper use of dialog.run() in file
	selector for missing media files.

2003-06-09  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Plugins.py: Register book items with options and style instead 
	of the functions get_options and get_style.
	* src/plugins/BookReport.py, src/plugins/FtmStyleDescendants.py,
	src/plugins/FtmStyleAncestors.py: Change from functions to values,
	accordingly. Also switch to a proper use of dialog.run(). 

2003-06-08  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py, src/plugins/FtmStyleDescendants.py: 
	Minor fixes.
	* src/plugins/book.glade: Add Open and Save buttons.
	* src/plugins/FtmStyleAncestors.py: Enable book item functionality. 

2003-06-08  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Report.py: De-uglify center_person frame.
	* src/plugins/BookReport.py: Add a center person column to a book
	selector dialog.
	* src/plugins/FtmStyleDescendants.py: Get the style right.

2003-06-08  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Report.py, src/plugins/BookReport.py, 
	src/plugins/FtmStyleDescendants.py: Fix changing center person -- only
	remember change if OK was clicked.

2003-06-07  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Report.py: Clean up the split into BareReportDialog and
	ReportDialog classes.
	* src/Plugins.py: Enable book item registration. 
	* src/plugins/BookReport.py: lots of changes -- trying to get it work. 
	* src/plugins/FtmStyleDescendants.py: book item functionality. 

2003-06-07  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py: Allow a default gender to be specified if a new
	person is being added
	* src/AddSpouse.py: All EditPerson dialog instead of QuickAdd

2003-06-07  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py: Call marriage editor with callback to update
	the family view
	* src/Marriage.py: Call the family view callback after saving to update
	the display with changed marriage information

2003-06-07  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py:
	Don't reset date value after a page switch

2003-06-07  Don Allingham  <dallingham@users.sourceforge.net>
	* src/ImageSelect.py:
	Fixed typo in on_drag_begin
	* src/RelLib.py:
	Check for the existance of the witness member of an Event. ZODB
	stores an object, so elements read in from old databases may not 
	have the element, which can cause a traceback.

2003-06-06  Don Allingham  <dallingham@users.sourceforge.net>
	* src/AutoComp.py:
	Don't build popdown lists if the number of elements exceeds 250.
	Otherwise, the menus will become unusable, and just consume
	tons of memory.

2003-06-04  Don Allingham  <dallingham@users.sourceforge.net>
	* src/VersionControl.py:
	Sort revision numbers based on numerical value instead of ASCII value.
	* src/VersionControl.py:
	Check return values of all subprocesses

2003-06-04  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Report.py: Split ReportDialog into BareReportDialog and
	its subclass of ReportDialog. BareReportDialog has nothing to do with 
	the paper, format, filename, etc. 
	* src/plugins/BookReport.py: Make ReportOptionsDialog a sublcass of
	Report.BareReportDialog. 

2003-06-03  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/summary.glade, src/plugins/desbrowse.glade: 
	Removed unnecessary buttonbox in the action area of a dialog -- this
	gets rid of annoying GTK warnings. 

2003-06-03  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/ReadXML.py (import_data), src/WriteXML.py (export_data), 
	src/RelImage.py (import_media_object), src/gramps_main.py 
	(open_example), src/plugins/Check.py (cleanup_missing_photos), 
	src/plugins/WebPage.py (write_gallery): 
	Change shutil.copy() calls to first call shutil.copyfile() and then try
	setting up bits. 
	
2003-06-03  Don Allingham  <dallingham@users.sourceforge.net>
	* src/VersionControl.py:
	Brought revision selection dialog up to date. Was dependant on
	the old CList.

2003-06-03  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/Plugins.py (on_apply_clicked): Do not destroy dialog window.
	(on_ok_clicked): Added. Destory the dialog and do on_apply_clicked().
	* src/plugins.glade: Added tooltips to Apply and OK buttons. 
	
2003-06-03  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/FtmStyleAncestor.py (apply_filter): 
	Fixed generation condition. 
	* src/plugins/FtmStyleDescendants.py (write_report): 
	Do not print children if the current generation is the last. 
	* src/plugins/DetDescendantReport.py (filter): 
	Make it apply_filter, clean up and make shorter, modify numbering 
	algorithm so that no gaps occur in people's indices.
	
2003-06-03  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/FtmStyleAncestor.py (print_more_about,print_notes):
	Change to regular name instead of formal name.
	* src/plugins/FtmStyleDescendants.py (print_more_about):
	Likewise.
	* src/plugins/FtmStyleDescendants.py (print_children):
	Table name includes only family id.

2003-06-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/DetAncestralReport.py (write_death): Proper checks for 
        valid day and month of death.
	* src/DetDescendantReport.py (write_death): Likewise.

2003-06-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/FamilyView.py (load_family): Select the first spouse 
        in the list.

2003-06-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/FtmStyleDescendants.py (print_children):
	End children's table only if it was started.

2003-06-02  Tim Waugh  <twaugh@users.sourceforge.net>
	* src/plugins/DetDescendantReport.py (write_mate): Swap mate and
	person variables, clear code a bit.
	(make_report, add_user_options): Allow same set of options as the
	detailed ancestral report.

2003-06-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py 
        (ReportOptionsDialog.on_change_clicked):
	Deal with Cancel button pressed.

2003-06-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/DetAncestralReport.py (write_marriage):
	Consider missing case of spouse and no-date-no-place for marriage.
        
2003-06-02  Alex Roitman  <shura@alex.neuro.umn.edu>
	* src/plugins/BookReport.py: Added to CVS. 
	* src/plugins/book.glade: Likewise. 
	* src/ListModel.py: (insert, get_data): Added new methods.
	* src/SelectPerson.py: Added to CVS.
	* src/choose.glade: Likewise.

2003-06-02  Tim Waugh  <twaugh@users.sourceforge.net>
	* src/plugins/Check.py (build_report): Fixing typos.
	* src/WriteXML.py (exportData): Likewise.

2003-06-01  Tim Waugh  <twaugh@users.sourceforge.net>

	* src/plugins/DetDescendantReport.py 
	(DetDescendantReport.write_marriage):
	Missing value for the format line parameter 
	* src/plugins/FtmStyleDescendants.py 
	(FtmDescendantReport.print_more_about): Print regular name in the
	header of the "More About" dialog. Also add missing endnotes value.
	(FtmDescendantReport.print_parents): Fix a typo in a format line value.

2003-06-01  Alex Roitman  <shura@alex.neuro.umn.edu>

	* ChangeLog: trying out clcommit
	* ChangeLog 1.3, ChangeLog.gz 1.2:
	Switching back to uncompressed ChangeLog
	* ChangeLog 1.2: Removing placeholder -- replaced by gzipped ChangeLog

2003-05-31  Alex Roitman  <shura@alex.neuro.umn.edu>

	* ChangeLog.gz 1.1: Replace placeholder with real ChangeLog

2003-05-31  Marcos Bedinelli  <bedinelli@users.sourceforge.net>

	* src/po/pt_BR.po 1.6:
	Brazilian-Portuguese translation for GRAMPS 2 - ver 0.9.2

2003-05-31  Don Allingham  <dallingham@users.sourceforge.net>

	* src/DrawDoc.py 1.6, src/Report.py 1.25, src/docgen/PdfDrawDoc.py 1.9:
	Handle formats without an extension type

2003-05-30  Lars Lundin  <gramps@lklundin.dk>

	* src/po/da_DK.po 1.3: Translated strings for 0.9.2

2003-05-30  Don Allingham  <dallingham@users.sourceforge.net>

	* doc/Makefile.in 1.8, doc/gramps-manual/C/Makefile.in 1.9, doc/gramps-manual/Makefile.in 1.8, doc/gramps.1 1.7, gramps.spec 1.21, gramps.spec.in 1.14, Makefile.in 1.12, configure 1.29, configure.in 1.32:
	0.9.2-rc1 setup

	* src/gramps.glade 1.42, src/ListModel.py 1.26:
	Sort list models correctly, C-Q short cut

2003-05-30  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/rel_ru.py 1.3: Added more generations

2003-05-29  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual.xml 1.10:
	Mention new FTM-style reports

2003-05-28  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.40, src/Makefile.in 1.21, src/calendars/Makefile.in 1.5, src/data/Makefile.in 1.7, src/data/templates/Makefile.in 1.7, src/docgen/Makefile.in 1.8, src/filters/Makefile.in 1.8, src/plugins/Makefile.in 1.9, src/po/Makefile.in 1.9:
	Template update

	* src/plugins/FtmStyleAncestors.py 1.8, src/GenericFilter.py 1.18, src/MediaView.py 1.20, src/StartupDialog.py 1.11, src/const.py.in 1.28, src/edit_person.glade 1.19:
	Fixed typos for translations

2003-05-28  Jens Arvidsson  <jensa@users.sourceforge.net>

	* src/po/sv.po 1.6: Translation update for 0.9.2

2003-05-27  Donald A. Peterson  <dpeterson@sigmaxi.org>

	* gramps.spec 1.20, gramps.spec.in 1.13:
	Restore $RPM_OPT_FLAGS to make line in %build section

	* gramps.spec 1.19, gramps.spec.in 1.12:
	Remove % from configure/makeinstall comments near top to avoid premature expansion

2003-05-27  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.16: Russian translation for 0.9.2

	* src/plugins/FtmStyleAncestors.py 1.7, src/plugins/FtmStyleDescendants.py 1.7, src/po/template.po 1.39:
	Typo

	* src/plugins/FtmStyleAncestors.py 1.6, src/plugins/FtmStyleDescendants.py 1.6, src/po/template.po 1.38:
	Removing redundant strings

2003-05-27  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.35, src/ImageSelect.py 1.32:
	Image gallery handling - use EXPOSE to draw initial window, make sure
	images don't go over the edge

	* src/po/template.po 1.37: translation strings for 0.9.2

	* src/Calendar.py 1.12: Calendar/Date unicode fix

2003-05-24  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.15, src/po/template.po 1.36, src/EditPerson.py 1.34, src/FamilyView.py 1.35, src/PedView.py 1.12, src/plugins/Makefile.am 1.8, src/plugins/eval.py 1.4:
	Translation cleanups

2003-05-23  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/Calendar.py 1.11: Return month in unicode

	* src/plugins/Makefile.am 1.7, src/po/ru.po 1.14, src/plugins/eval.py 1.3:
	Minor updates

	* src/soundex.py 1.3: Added new soundex rule

	* src/po/template.po 1.35: Update

	* src/plugins/leak.py 1.2, src/po/template.po 1.34:
	Translation template update

2003-05-23  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Makefile.in 1.20, src/plugins/Makefile.am 1.6, src/po/template.po 1.33:
	Updated translation template

	* src/plugins/AncestorChart.py 1.11, src/plugins/AncestorReport.py 1.8, src/plugins/DesGraph.py 1.10, src/plugins/DescendReport.py 1.9, src/plugins/DetAncestralReport.py 1.8, src/plugins/FamilyGroup.py 1.7, src/plugins/FtmStyleAncestors.py 1.5, src/plugins/FtmStyleDescendants.py 1.5, src/plugins/GraphViz.py 1.9, src/plugins/IndivComplete.py 1.11, src/plugins/IndivSummary.py 1.11, src/plugins/TimeLine.py 1.8, src/plugins/WebPage.py 1.13, src/Errors.py 1.6, src/GenericFilter.py 1.17, src/gramps_main.py 1.98:
	Catch loops in filters

	* src/Calendar.py 1.10, src/Date.py 1.12, src/Errors.py 1.5:
	Fixed date handling with invalid strings

	* src/EditPerson.py 1.33, src/Marriage.py 1.21:
	Sort places in pulldown menus

	* src/gramps_main.py 1.97:
	Fixed loading of places and goto person switching back to first page

2003-05-22  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/figures/researcher.png 1.2, doc/gramps-manual/C/figures/missing-media.png 1.2:
	Indexed images

	* doc/gramps-manual/C/gramps-manual.xml 1.9, doc/gramps-manual/C/figures/researcher.png 1.1, doc/gramps-manual/C/figures/missing-media.png 1.1:
	New shots

	* doc/gramps-manual/C/gramps-manual-C.omf 1.3, doc/gramps-manual/C/gramps-manual.xml 1.8:
	Docs update

	* doc/xmldocs.make 1.5: Back to 1.2

	* src/EditPerson.py 1.32, src/EventEdit.py 1.14:
	Retracting date warnings

	* src/AddSpouse.py 1.13, src/gramps.glade 1.41:
	Similar list speed-ups in AddSpouse

	* NEWS 1.15: Update

	* src/EditPerson.py 1.31, src/EventEdit.py 1.13:
	Warning if non-date text is entered into date fields

2003-05-22  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps_main.py 1.96:
	Pass the correct object to apply_filter when apply is clicked

2003-05-22  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/gramps_main.py 1.95: Segfault on changing tab with filter applied

2003-05-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* TODO 1.5, doc/gramps.1.in 1.4, src/gramps_main.py 1.94, NEWS 1.14:
	Updates

2003-05-21  Don Allingham  <dallingham@users.sourceforge.net>

	* src/SelectChild.py 1.13: Select child list improvements

2003-05-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/ChooseParents.py 1.14, src/gramps.glade 1.40:
	Redraw optimizations

2003-05-21  Don Allingham  <dallingham@users.sourceforge.net>

	* src/ChooseParents.py 1.13, src/gramps.glade 1.39:
	Don't connect models until loaded

2003-05-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/ReadXML.py 1.22, src/gramps_main.py 1.93, src/plugins/Check.py 1.11, src/plugins/Summary.py 1.6, src/plugins/WriteCD.py 1.5:
	Finishing command line options

2003-05-21  Donald A. Peterson  <dpeterson@sigmaxi.org>

	* doc/gramps-manual/C/gramps-manual.xml 1.7, doc/gramps.1 1.6, doc/omf.make 1.3, doc/omf.make.in 1.2, doc/xmldocs.make 1.4, doc/xmldocs.make.in 1.2, configure.in 1.31:
	Revert bonehead doc/*.make.in mess

	* gramps.spec.in 1.11: Added BuildRequires dependency on rpm>4.1

	* doc/Makefile.am 1.3, doc/Makefile.in 1.7, doc/gramps-manual/C/Makefile.in 1.8, doc/gramps-manual/Makefile.in 1.7, doc/omf.make 1.2, doc/xmldocs.make 1.3:
	New makefiles generated by configure using token substitution

	* gramps.spec.in 1.10:
	Using internal macros for compilation, and a much cleaner %files section

	* src/Makefile.am 1.14, Makefile.am 1.8, src/calendars/Makefile.am 1.3, src/data/Makefile.am 1.2, src/data/templates/Makefile.am 1.2, src/docgen/Makefile.am 1.3, src/filters/Makefile.am 1.3, src/plugins/Makefile.am 1.5, src/po/Makefile.am 1.4:
	* Added new targets "trans" and "pycheck" to top-level Makefile
	* Python verification (pychecker) removed from check-local target to become
	part of the pycheck target heiarchy.  Each subdir now has a
	GRAMPS_PY_MODPATH variable that indicates a colon-separated path for
	the PYTHONPATH environment to allow module importing to work.

2003-05-20  Donald A. Peterson  <dpeterson@sigmaxi.org>

	* configure.in 1.30:
	Configure now sets variables in the doc/omf.mak and doc/xmldocs.make files

	* doc/omf.make.in 1.1, doc/xmldocs.make.in 1.1:
	Added *.in files for documentation makes

2003-05-20  Don Allingham  <dallingham@users.sourceforge.net>

	* Makefile.in 1.11, NEWS 1.13, configure 1.28, doc/gramps.1 1.5, gramps.spec 1.18, src/Makefile.in 1.19, src/docgen/AbiWordDoc.py 1.7, src/docgen/OpenOfficeDoc.py 1.9, src/plugins/IndivSummary.py 1.10:
	Support for AbiWord 1.9 or greater (table support)

2003-05-20  Alex Roitman  <shura@alex.neuro.umn.edu>

	* INSTALL 1.2, NEWS 1.12, README 1.3: Updates

	* src/plugins/ReadGedcom.py 1.20: Minor cleanup

	* src/plugins/WriteGedcom.py 1.21:
	Wrong level (3 instead of 2) for NOTE and SOUR in address/place

	* src/plugins/WriteGedcom.py 1.20, src/gramps_main.py 1.92, src/plugins/WriteCD.py 1.4:
	Command line imports: gedcom and iso

	* src/gramps_main.py 1.91: Unknown option handling

	* doc/gramps.1.in 1.3: Examples in man page

	* src/gramps_main.py 1.90: Command line export-> default to gramps

	* src/MediaView.py 1.19, src/RelImage.py 1.10, README 1.2:
	Check whether pil or convert exist

	* src/gramps_main.py 1.89: Correction

2003-05-19  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps.1.in 1.2: New man page

	* src/plugins/ReadGedcom.py 1.19, src/gramps_main.py 1.88:
	Command-line import from gedcom: cleanup

	* src/gramps_main.py 1.87: Prompt to save on Open and Open Example

	* Makefile.am 1.7: Removing obsolete data-hooks

	* src/gramps_main.py 1.86, src/plugins/Check.py 1.10:
	Command line: check action

	* src/gramps_main.py 1.85:
	Command line: import cleanup and some exports

2003-05-18  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Makefile.am 1.13: Remove grampslib.so (from James Treacy)

2003-05-18  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/gramps_main.py 1.84: Command-line import

2003-05-18  Don Allingham  <dallingham@users.sourceforge.net>

	* src/SelectChild.py 1.12, src/gramps.glade 1.38, src/gramps_main.py 1.83, NEWS 1.11, src/FamilyView.py 1.34, src/PedView.py 1.11, src/QuickAdd.py 1.7:
	Shift-click to edit spouse, re-implemented family name guessing

2003-05-17  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/StartupDialog.py 1.10, src/const.py.in 1.27, src/gramps.py 1.10, src/gramps_main.py 1.82:
	Command line parameters

2003-05-17  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py 1.33, src/ImageSelect.py 1.31, src/MediaView.py 1.18, src/const.py.in 1.26:
	Icons for drag and drop

2003-05-16  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Errors.py 1.4, src/QuestionDialog.py 1.14, src/Report.py 1.24, src/docgen/AbiWordDoc.py 1.6, src/docgen/HtmlDoc.py 1.10, src/docgen/LaTeXDoc.py 1.6, src/docgen/OpenDrawDoc.py 1.12, src/docgen/OpenOfficeDoc.py 1.8, src/docgen/PSDrawDoc.py 1.12, src/docgen/PdfDoc.py 1.8, src/docgen/PdfDrawDoc.py 1.8, src/docgen/RTFDoc.py 1.5, src/docgen/SvgDrawDoc.py 1.8, src/plugins/AncestorChart.py 1.10, src/plugins/AncestorReport.py 1.7, src/plugins/DesGraph.py 1.9, src/plugins/DescendReport.py 1.8, src/plugins/DetAncestralReport.py 1.7, src/plugins/FamilyGroup.py 1.6, src/plugins/FtmStyleAncestors.py 1.4, src/plugins/FtmStyleDescendants.py 1.4, src/plugins/IndivComplete.py 1.10, src/plugins/IndivSummary.py 1.9, src/plugins/ReadGedcom.py 1.17, src/plugins/TimeLine.py 1.7:
	Change file extentions in reports when different filetype is chosen

2003-05-15  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/ImgManip.py 1.6: Case change for decoder

2003-05-15  Don Allingham  <dallingham@users.sourceforge.net>

	* gramps.spec 1.17, src/StartupDialog.py 1.9:
	initial values in gconf for first time startup

2003-05-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/WriteCD.py 1.3: WriteCD merges

2003-05-14  Alex Roitman  <shura@alex.neuro.umn.edu>

	* TODO 1.4, NEWS 1.10: Update

	* src/plugins/WriteCD.py 1.2, src/plugins/WritePkg.py 1.5:
	More missing media handling

2003-05-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/WriteCD.py 1.1, src/plugins/cdexport.glade 1.1: CD Writer

2003-05-14  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/Check.py 1.9: Fix missing files on check & repair

2003-05-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/eval.glade 1.2, src/plugins/eval.py 1.2: Handle stdout

2003-05-14  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/Check.py 1.8: Typos

	* src/gramps_main.py 1.81: Ask user if missing media files on Save As

2003-05-13  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EventEdit.py 1.12, src/Marriage.py 1.20, src/const.py 1.40, src/const.py.in 1.25:
	Default marriage event patch from adl, remove const.py since it is autogenerated

2003-05-13  Alex Roitman  <shura@alex.neuro.umn.edu>

	* TODO 1.3, NEWS 1.9: Update

	* src/ReadXML.py 1.21: Typo

	* src/ReadXML.py 1.20, src/errdialogs.glade 1.9: Wording cleanup

	* src/QuestionDialog.py 1.13, src/ReadXML.py 1.19, src/errdialogs.glade 1.8:
	User input when files are lost on Import

2003-05-13  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/eval.glade 1.1, src/plugins/eval.py 1.1, src/plugins/leak.glade 1.1, src/plugins/leak.py 1.1:
	Debug tools

	* src/StartupDialog.py 1.8, src/const.py 1.39: Fixed startup dialog

2003-05-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/StartupDialog.py 1.7: Fixed hard coded path

	* src/StartupDialog.py 1.6, src/const.py 1.38, src/gramps_main.py 1.80, src/GrampsParser.py 1.10, src/Marriage.py 1.19, src/PedView.py 1.10, src/ReadXML.py 1.18, src/AUTHORS 1.2:
	Fixed marriage problem and startup dialog

2003-05-12  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/gramps_main.py 1.79: Handle media files on Save As...

2003-05-10  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/FtmStyleDescendants.py 1.3: Minor cleanups

	* src/plugins/FtmStyleDescendants.py 1.2: Almost done

	* src/plugins/FtmStyleAncestors.py 1.3: Minor correction

	* src/Utils.py 1.16: Roman numbers

2003-05-09  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPlace.py 1.14, src/places.glade 1.9:
	Handle edit buttons on place editor

	* src/EditPlace.py 1.13: Fixed missing edit buttons

2003-05-08  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPlace.py 1.12, src/Marriage.py 1.18, src/PlaceView.py 1.18, src/marriage.glade 1.10, src/places.glade 1.8:
	Fixed missing button events

	* src/ImageSelect.py 1.30, src/RelLib.py 1.20, src/gramps_main.py 1.78:
	Handle image imports that are abandoned

2003-05-08  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/FtmStyleDescendants.py 1.1: Initial mock-up, needs work

	* src/plugins/FtmStyleAncestors.py 1.2: Minor corrections

	* src/docgen/HtmlDoc.py 1.9, src/docgen/LaTeXDoc.py 1.5:
	Superscripts in HTML and LaTeX

2003-05-07  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/ReadXML.py 1.17: Remove object and refs if media file is lost

2003-05-07  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GrampsParser.py 1.9, src/RelLib.py 1.19:
	Fixed the place and family references on import

2003-05-06  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/ReadNative.py 1.9, src/plugins/ReadPkg.py 1.5, src/ReadXML.py 1.16:
	Reincarnation of Imports

	* src/ReadXML.py 1.15: Reverse sorting of MediaFileMap keys

	* src/ReadXML.py 1.14, src/plugins/ReadNative.py 1.8, src/plugins/ReadPkg.py 1.4:
	More Import cleanups

2003-05-06  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GrampsParser.py 1.8, src/ReadXML.py 1.13, src/RelLib.py 1.18, src/plugins/ReadPkg.py 1.3:
	preserve full path for photos after import

	* src/gramps_main.py 1.77: Patch for tabs from Billy Earney

2003-05-06  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual.xml 1.6:
	Imports from GRAMPS db and package

	* src/ReadXML.py 1.12, src/plugins/ReadNative.py 1.7, src/plugins/ReadPkg.py 1.2:
	Import from database

2003-05-06  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps.glade 1.37: Fixed relationshp calculation

2003-05-05  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/ReadXML.py 1.11, src/plugins/ReadPkg.py 1.1:
	Import from GRAMPS package

	* src/RelLib.py 1.17: Typos

2003-05-05  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GrampsParser.py 1.7, src/GrampsXML.py 1.3, src/RelLib.py 1.16, src/gramps_main.py 1.76, src/plugins/ReadNative.py 1.6:
	Gramps IMPORTING

2003-05-03  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps_main.py 1.75:
	Handle redraw of the display after a tool is run

	* src/TarFile.py 1.5: provide a default temp file name

2003-05-02  Don Allingham  <dallingham@users.sourceforge.net>

	* TODO 1.2, src/docgen/AbiWordDoc.py 1.5, src/docgen/PdfDoc.py 1.7, src/plugins/FtmStyleAncestors.py 1.1:
	Family Tree Maker style ancestor report

2003-05-02  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/WriteXML.py 1.10: Fix for export-to-gramps problem

2003-05-01  Don Allingham  <dallingham@users.sourceforge.net>

	* src/TextDoc.py 1.7, src/docgen/PdfDoc.py 1.6, src/plugins/count_anc.py 1.5:
	Fixed title in count_anc.py, added superscript for TextDoc

2003-04-30  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/gramps_main.py 1.74:
	Correction: bind relationship function _after_ the plugins are loaded

	* src/plugins/rel_ru.py 1.2: Now I got it right!

	* src/Relationship.py 1.5, src/plugins/rel_ru.py 1.1: Corrections

2003-04-30  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py 1.32: Don't print b. and d. if not used

2003-04-30  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/Plugins.py 1.17: Few typos

2003-04-30  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Relationship.py 1.4, src/docgen/PdfDoc.py 1.5, src/gramps_main.py 1.73, src/plugins/RelCalc.py 1.7, NEWS 1.8, src/Plugins.py 1.16:
	Relcal changes for plugins

2003-04-28  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/Plugins.py 1.15: Minor typo

2003-04-26  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.30, src/PlaceView.py 1.17, src/RelLib.py 1.15, src/edit_person.glade 1.18:
	Limit the number of characters in the description and source lists on the edit window
	Prevent place duplication

2003-04-23  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Find.py 1.10: Raise FIND window on CTRL-F

	* src/Find.py 1.9: Handle backwards find

2003-04-22  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Find.py 1.8, src/gramps_main.py 1.72:
	Fixed Find from popping up multiple windows.

	* src/Plugins.py 1.14:
	Fixed redundant entries in report/tool dialogs after a reload of plugins

	* src/Plugins.py 1.13, src/config.glade 1.7:
	Reload problem fix for plugins

2003-04-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/plugins/DetAncestralReport.py 1.6: Format line typo

	* src/plugins/Verify.py 1.13: Male-female bug, 725016

2003-04-20  Don Allingham  <dallingham@users.sourceforge.net>

	* NEWS 1.7: Update NEWS file

	* example/Makefile.in 1.1, example/gramps/Makefile.in 1.1:
	Commited Makefile.in files for the example directories

	* src/AutoComp.py 1.12, src/ChooseParents.py 1.12, src/EditPerson.py 1.29, src/PedView.py 1.9, src/ReadXML.py 1.10, src/RelLib.py 1.14, src/Sources.py 1.12, src/WriteXML.py 1.9, configure.in 1.29:
	Bug fixes

2003-04-19  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.13: Corrections

2003-04-18  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.13: German translation

2003-04-18  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.32:
	Make sure only cvs committed files are in template.po

	* src/plugins/TimeLine.py 1.6, src/plugins/WriteGedcom.py 1.19, src/po/template.po 1.31, NEWS 1.6, src/Plugins.py 1.12, src/QuestionDialog.py 1.12, src/Report.py 1.23, src/docgen/AbiWordDoc.py 1.4, src/docgen/HtmlDoc.py 1.8, src/docgen/KwordDoc.py 1.5, src/docgen/LaTeXDoc.py 1.4, src/docgen/OpenDrawDoc.py 1.11, src/docgen/OpenOfficeDoc.py 1.7, src/docgen/PSDrawDoc.py 1.11, src/docgen/PdfDoc.py 1.4, src/docgen/PdfDrawDoc.py 1.7, src/docgen/RTFDoc.py 1.4, src/docgen/SvgDrawDoc.py 1.7, src/plugins/AncestorChart.py 1.9:
	Reports handle file extensions and check for existing file.

2003-04-18  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.mo 1.5, src/po/sv.mo 1.3, src/po/it.mo 1.2, src/po/pt_BR.mo 1.4, src/po/Makefile.in 1.8, src/po/cs.mo 1.2, src/po/da_DK.mo 1.3, src/po/de.mo 1.6, src/po/es.mo 1.3, src/po/fr.mo 1.4:
	Removing *.mo files

2003-04-17  Alex Roitman  <shura@alex.neuro.umn.edu>

	* omf-install/Makefile.am 1.3, omf-install/Makefile.in 1.6, omf-install/extending-gramps-C.omf 1.2, omf-install/gramps-manual-C.omf 1.2, Makefile.am 1.6, Makefile.in 1.10, configure 1.27, configure.in 1.28:
	Removing omf-install

	* src/const.py.in 1.24, src/const.py 1.37: Name correction

	* src/po/ru.po 1.12: Russian translation for 0.9.1

2003-04-16  Jens Arvidsson  <jensa@users.sourceforge.net>

	* src/po/sv.po 1.5: Translation updates

2003-04-16  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.12: German translation

2003-04-16  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/template.po 1.30, src/plugins/Verify.py 1.12: Typo

	* src/po/ru.po 1.11, src/po/template.po 1.29, src/plugins/Verify.py 1.11:
	Enable gender-aware translations for Verify.py

2003-04-16  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.28, src/plugins/patchnames.glade 1.5, src/gramps.zodb 1.5:
	Translation clean up

	* src/gramps_main.py 1.71, src/plugins/Check.py 1.7, src/plugins/PatchNames.py 1.8, src/plugins/patchnames.glade 1.4:
	Allow the user to select the entries to be modified.

	* src/plugins/verify.glade 1.5: Get rid of "activatible widget" warning

2003-04-14  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/template.po 1.27, src/plugins/Verify.py 1.10:
	More Verify.py corrections

2003-04-14  Bernd Schandl  <schandl@gmx.net>

	* src/plugins/Verify.py 1.9, src/po/de.po 1.11:
	Typo and German translation

2003-04-14  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.10: Update

	* src/plugins/Verify.py 1.8, src/po/template.po 1.26:
	Correcting Verify.py messages

	* src/plugins/Verify.py 1.7: Minor correction

	* src/plugins/Verify.py 1.6: Enable translations

2003-04-12  Jens Arvidsson  <jensa@users.sourceforge.net>

	* src/po/sv.po 1.4: Translation update for 0.9.0

2003-04-11  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.10, src/plugins/RelCalc.py 1.6:
	German translation and typo fix

2003-04-11  Don Allingham  <dallingham@users.sourceforge.net>

	* src/edit_person.glade 1.17, src/po/template.po 1.25:
	Updated translations

	* src/ImageSelect.py 1.29, src/plugins/verify.glade 1.4:
	Button fixes for Verify

2003-04-10  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.24, src/preferences.glade 1.11, src/errdialogs.glade 1.7, src/gramps.glade 1.36, gramps.spec.in 1.9:
	Translation updates

2003-04-10  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.9: German translation

2003-04-10  Don Allingham  <dallingham@users.sourceforge.net>

	* gramps.spec.in 1.8: install options

	* gramps.spec.in 1.7: Add figures director

	* configure 1.26, gramps.spec.in 1.6: install gramps.xml in RPM

	* src/po/template.po 1.23: Home Person changes

	* src/po/Makefile.am 1.3, src/gramps.glade 1.35: msgfmt does not use -c

	* configure.in 1.27, src/gramps_main.py 1.70, src/po/template.po 1.22:
	Fix configure file to not include extending-gramps

	* src/po/pl.po 1.3, src/po/pt_BR.po 1.5, src/po/ro.po 1.4, src/po/ru.po 1.9, src/po/sv.po 1.3, src/po/template.po 1.21, src/po/cs.po 1.2, src/po/da_DK.po 1.2, src/po/es.po 1.3, src/po/fr.po 1.4, src/po/it.po 1.2, src/po/nl.po 1.4, src/EditPerson.py 1.28, src/Relationship.py 1.3, src/gramps_main.py 1.69:
	Translation changes

2003-04-09  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.8, src/plugins/IndivSummary.py 1.8, src/plugins/IndivComplete.py 1.9, src/ImageSelect.py 1.28, src/PlaceView.py 1.16, src/config.glade 1.6, src/gramps_main.py 1.68:
	German translation and several typo fixes

2003-04-09  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Find.py 1.7, src/GrampsCfg.py 1.19, src/ImageSelect.py 1.27, src/Report.py 1.22, src/TarFile.py 1.4, src/gramps_main.py 1.67:
	Pychecker cleanup

	* src/po/pl.po 1.2: New Polish translation

2003-04-06  Don Allingham  <dallingham@users.sourceforge.net>

	* configure 1.25, configure.in 1.26: configure.in checks for pygtk

	* src/gramps.py 1.9, src/gramps_main.py 1.66, src/intl.py 1.5:
	gtk.glade.bindtextdomain

2003-04-06  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.8: Corrections

2003-04-05  Don Allingham  <dallingham@users.sourceforge.net>

	* aclocal.m4 1.4, configure 1.24, src/const.py 1.36, src/const.py.in 1.23, src/gramps.glade 1.34, src/gramps_main.py 1.65, src/po/Makefile.am 1.2, src/po/Makefile.in 1.7, src/po/ru.mo 1.4, src/po/template.po 1.20:
	translation fixes

2003-04-04  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.7: Update

2003-04-04  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Utils.py 1.15, src/errdialogs.glade 1.6, src/gramps.glade 1.33, src/gramps.py 1.8, src/gramps_main.py 1.64, src/intl.py 1.4, src/po/template.po 1.19, Makefile.in 1.9, aclocal.m4 1.3, configure 1.23, example/gramps/data.gramps 1.18, src/AutoComp.py 1.11, src/EditPerson.py 1.27, src/Find.py 1.6, src/ListModel.py 1.25, src/Makefile.in 1.18, src/MediaView.py 1.17, src/PedView.py 1.8, src/PlaceView.py 1.15, src/QuestionDialog.py 1.11, src/RelLib.py 1.13, src/Relationship.py 1.2, src/SourceView.py 1.10:
	Find support

2003-04-04  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual.xml 1.5: Added Help subsection

2003-04-02  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual.xml 1.4: First proof by Rikke

	* src/po/ru.po 1.6: Corrections

	* src/po/ru.po 1.5: Updated for 0.9.1

2003-04-01  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/gramps_main.py 1.63: Typos

2003-04-01  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps.glade 1.32, src/po/template.po 1.18:
	Replace GNOME menu items

2003-03-31  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/Makefile.in 1.7, doc/xmldocs.make 1.2, src/Makefile.in 1.17, src/po/de.mo 1.5, Makefile.am 1.5, Makefile.in 1.8, aclocal.m4 1.2, configure 1.22:
	Changing docs installation dir

2003-03-31  Don Allingham  <dallingham@users.sourceforge.net>

	* src/calendars/Makefile.in 1.4, src/data/Makefile.in 1.6, src/data/templates/Makefile.in 1.6, src/docgen/Makefile.in 1.7, src/filters/Makefile.in 1.7, src/plugins/Makefile.in 1.8, src/po/Makefile.in 1.6, example/gramps/11.png 1.2, example/gramps/12.png 1.2, example/gramps/13.png 1.2, example/gramps/14.png 1.2, example/gramps/15.png 1.2, example/gramps/6.png 1.2, example/gramps/7.png 1.2, example/gramps/8.png 1.2, example/gramps/9.png 1.2, example/gramps/Makefile.am 1.1, example/gramps/O0006.jpg 1.2, omf-install/Makefile.in 1.5, src/Makefile.in 1.16, src/const.py 1.35, Makefile.am 1.4, Makefile.in 1.7, configure 1.21, configure.in 1.25, doc/Makefile.in 1.6, doc/extending-gramps/C/Makefile.in 1.5, doc/extending-gramps/Makefile.in 1.5, doc/gramps-manual/C/Makefile.in 1.6, doc/gramps-manual/Makefile.in 1.6, example/Makefile.am 1.1, example/gedcom/sample.ged 1.2, example/gramps.zodb 1.2, example/gramps/10.png 1.2:
	Fixed example database

	* src/gramps_main.py 1.62: Fixed example file loading

	* src/ansel_utf8.py 1.6, src/calendars/Makefile.in 1.3, src/const.py 1.34, src/const.py.in 1.22, src/data/Makefile.in 1.5, src/data/templates/Makefile.in 1.5, src/docgen/Makefile.in 1.6, src/filters/Makefile.in 1.6, src/gramps.glade 1.31, src/gramps_main.py 1.61, src/plugins/Makefile.in 1.7, src/plugins/ReadGedcom.py 1.16, src/plugins/gedcomimport.glade 1.3, src/po/Makefile.in 1.5, src/Makefile.in 1.15:
	Example database menu item

2003-03-30  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/figures/gedcom-import.png 1.4: dialog update

2003-03-28  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual.xml 1.3: Minor cleanups

	* gramps.spec.in 1.5: Modify doc path

2003-03-28  Don Allingham  <dallingham@users.sourceforge.net>

	* gramps.spec 1.16: install manual for RPM

	* src/ReadXML.py 1.9, src/gramps_main.py 1.60, src/po/nl.po 1.3, src/DbPrompter.py 1.9:
	filename clean up

2003-03-27  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual.xml 1.2:
	Minor correction for Define filter dialog

	* doc/gramps-manual/Makefile.in 1.5, doc/gramps.sgml 1.2, doc/sgmldocs.make 1.2, doc/Makefile.in 1.5, doc/gramps-manual/C/gramps-manual/stylesheet-images/warning.gif 1.2, doc/gramps-manual/C/gramps-manual/index.html 1.2, doc/gramps-manual/C/gramps-manual/ln7.html 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/caution.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/home.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/important.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/next.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/note.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/prev.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/tip.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-blank.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-minus.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-plus.gif 1.2, doc/gramps-manual/C/gramps-manual/stylesheet-images/up.gif 1.2, doc/gramps-manual/C/gramps-manual/t1.html 1.2, doc/gramps-manual/C/gramps-manual/x129.html 1.2, doc/gramps-manual/C/gramps-manual/x28.html 1.2, doc/gramps-manual/C/gramps-manual/x41.html 1.2, doc/gramps-manual/C/gramps-manual/x84.html 1.2, doc/gramps-manual/C/gramps.xml 1.25, doc/gramps-manual/C/index.html 1.2, doc/gramps-manual/C/gramps.html 1.17, doc/gramps-manual/C/gramps-manual.sgml 1.2, doc/gramps-manual/C/Makefile.in 1.5:
	Removing obsolete docs

	* doc/gramps-manual/C/gramps-manual-C.omf 1.2, doc/gramps-manual/C/gramps-manual.xml 1.1, doc/gramps-manual/C/Makefile.am 1.2, doc/xmldocs.make 1.1, doc/omf.make 1.1, doc/Makefile.am 1.2:
	Corrections to properly install GNOME2 docs

	* COPYING-DOCS 1.1: GNOME2 compliance

	* Makefile.am 1.3, gramps.spec.in 1.4, configure.in 1.24:
	Corrections to properly install GNOME2 docs

2003-03-27  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps_main.py 1.59, src/gramps.glade 1.30, src/GrampsCfg.py 1.18:
	Sidebar/tab handling

2003-03-26  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.26, src/Plugins.py 1.11, src/edit_person.glade 1.16, src/intl.py 1.3:
	Detect intl library successful loading

	* src/MediaView.py 1.16, src/PlaceView.py 1.14, src/SourceView.py 1.9, src/gramps_main.py 1.58:
	Translate list headers

2003-03-25  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.24: Minor typo

	* doc/gramps-manual/C/figures/cfe-df.png 1.3: adding figure with -kb

	* doc/gramps-manual/C/figures/cfe-df.png 1.2:
	removing figure added without -kb

2003-03-25  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GenericFilter.py 1.16, src/plugins/FilterEditor.py 1.7, src/rule.glade 1.7:
	Filter editor fixes

2003-03-25  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/figures/cfe-df.png 1.1: Define filter dialog

2003-03-24  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.23, doc/gramps-manual/C/gramps.html 1.16:
	Done with Custom Filter Editor

2003-03-24  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.7: Some more German translations

2003-03-24  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.22, doc/gramps-manual/C/gramps.html 1.15:
	Changes related to the corrected edit-si.png

	* doc/gramps-manual/C/figures/edit-si.png 1.4:
	Corrected figure: new button added

2003-03-24  Don Allingham  <dallingham@users.sourceforge.net>

	* configure 1.20, configure.in 1.23, doc/gramps.1 1.4, gramps.spec 1.15, src/const.py 1.33:
	0.9.1-pre1 setup

	* src/AutoComp.py 1.10, src/EditSource.py 1.11, src/Sources.py 1.11, src/const.py 1.32, src/const.py.in 1.21, src/gramps.glade 1.29, src/po/template.po 1.17, src/srcsel.glade 1.8:
	Source improvements

2003-03-23  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.16: New translation file for typo fix

	* src/preferences.glade 1.10: Fixed typo

2003-03-23  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.21, doc/gramps-manual/C/gramps.html 1.14:
	Almost done with the first draft

2003-03-23  Don Allingham  <dallingham@users.sourceforge.net>

	* src/docgen/HtmlDoc.py 1.7, src/plugins/WebPage.py 1.12:
	Fixed templates for HTML reports

	* src/.cvsignore 1.2, src/FamilyView.py 1.31, src/MediaView.py 1.15, src/PlaceView.py 1.13, src/Report.py 1.21, src/SourceView.py 1.8, src/gramps.gladep 1.3, src/gramps_main.py 1.57, src/plugins/.cvsignore 1.2, src/po/template.po 1.15:
	Accessibility for dialogs

	* configure 1.19, src/Find.py 1.5, src/Makefile.in 1.14, src/Report.py 1.20, src/gramps.glade 1.28, src/gramps_main.py 1.56, src/po/de.mo 1.4:
	Fixed HTML options

2003-03-22  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/const.py 1.31, src/const.py.in 1.20: Fixing typo

	* doc/gramps-manual/C/gramps.html 1.13, doc/gramps-manual/C/gramps.xml 1.20:
	Done with Tools

2003-03-22  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Relationship.py 1.1, src/edit_person.glade 1.15, src/gramps_main.py 1.55, src/plugins/Check.py 1.6, src/plugins/Merge.py 1.7, src/plugins/relcalc.glade 1.5, src/plugins/soundex.glade 1.3, src/plugins/soundgen.py 1.6, src/preferences.glade 1.9, example/gramps/data.gramps 1.17, src/AttrEdit.py 1.10, src/AutoComp.py 1.9, src/Bookmarks.py 1.6, src/GrampsCfg.py 1.17, src/Makefile.am 1.12:
	Merge fixes, option to display relationship to the home person in the
	status bar.

2003-03-22  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.12, doc/gramps-manual/C/gramps.xml 1.19:
	Started Tools

	* doc/gramps-manual/C/figures/edit-bm.png 1.1, doc/gramps-manual/C/figures/edit-person-addresses.png 1.1, doc/gramps-manual/C/figures/edit-person-attributes.png 1.1, doc/gramps-manual/C/figures/edit-person-events.png 1.1, doc/gramps-manual/C/figures/edit-person-gallery.png 1.1, doc/gramps-manual/C/figures/edit-person-internet.png 1.1, doc/gramps-manual/C/figures/edit-person-lds.png 1.1, doc/gramps-manual/C/figures/edit-person-names.png 1.1, doc/gramps-manual/C/figures/edit-person-notes.png 1.1, doc/gramps-manual/C/figures/first-open.png 1.1:
	Adding more new figures

2003-03-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.11, doc/gramps-manual/C/gramps.xml 1.18:
	Finished Reports

	* doc/gramps-manual/C/figures/media.png 1.3, doc/gramps-manual/C/figures/noside-nofilt.png 1.3, doc/gramps-manual/C/figures/pedigree.png 1.3, doc/gramps-manual/C/figures/places.png 1.3, doc/gramps-manual/C/figures/side-filt.png 1.3, doc/gramps-manual/C/figures/sources.png 1.3, doc/gramps-manual/C/figures/edit-person.png 1.3, doc/gramps-manual/C/figures/edit-plc.png 1.3, doc/gramps-manual/C/figures/edit-rel.png 1.3, doc/gramps-manual/C/figures/edit-si.png 1.3, doc/gramps-manual/C/figures/edit-src.png 1.3, doc/gramps-manual/C/figures/edit-wi.png 1.3, doc/gramps-manual/C/figures/family.png 1.3, doc/gramps-manual/C/figures/gedcom-export-progress.png 1.3, doc/gramps-manual/C/figures/gedcom-export.png 1.3, doc/gramps-manual/C/figures/gedcom-import.png 1.3, doc/gramps-manual/C/figures/mainwin.png 1.5, doc/gramps-manual/C/figures/edit-ad.png 1.3, doc/gramps-manual/C/figures/edit-an.png 1.3, doc/gramps-manual/C/figures/edit-at.png 1.3, doc/gramps-manual/C/figures/edit-ev.png 1.3, doc/gramps-manual/C/figures/edit-media.png 1.3:
	Adding new figures with -kb flag

	* doc/gramps-manual/C/figures/edit-ad.png 1.2, doc/gramps-manual/C/figures/edit-an.png 1.2, doc/gramps-manual/C/figures/edit-at.png 1.2, doc/gramps-manual/C/figures/edit-ev.png 1.2, doc/gramps-manual/C/figures/edit-media.png 1.2, doc/gramps-manual/C/figures/edit-person.png 1.2, doc/gramps-manual/C/figures/edit-plc.png 1.2, doc/gramps-manual/C/figures/edit-rel.png 1.2, doc/gramps-manual/C/figures/edit-si.png 1.2, doc/gramps-manual/C/figures/edit-src.png 1.2, doc/gramps-manual/C/figures/edit-wi.png 1.2, doc/gramps-manual/C/figures/family.png 1.2, doc/gramps-manual/C/figures/gedcom-export-progress.png 1.2, doc/gramps-manual/C/figures/gedcom-export.png 1.2, doc/gramps-manual/C/figures/gedcom-import.png 1.2, doc/gramps-manual/C/figures/mainwin.png 1.4, doc/gramps-manual/C/figures/media.png 1.2, doc/gramps-manual/C/figures/noside-nofilt.png 1.2, doc/gramps-manual/C/figures/pedigree.png 1.2, doc/gramps-manual/C/figures/places.png 1.2, doc/gramps-manual/C/figures/side-filt.png 1.2, doc/gramps-manual/C/figures/sources.png 1.2:
	Removing figs -- need to add with -kb

2003-03-21  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GedcomInfo.py 1.6, src/GenericFilter.py 1.15, src/MediaView.py 1.14, src/gramps_main.py 1.54, src/po/template.po 1.14:
	Message for place displays

	* src/DbPrompter.py 1.8, src/EditPerson.py 1.25, src/ReadXML.py 1.8, src/edit_person.glade 1.14, src/gramps_main.py 1.53, src/plugins/WriteGedcom.py 1.18, src/plugins/gedcomexport.glade 1.4:
	Fixed sorting

2003-03-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/figures/edit-ad.png 1.1, doc/gramps-manual/C/figures/edit-an.png 1.1, doc/gramps-manual/C/figures/edit-at.png 1.1, doc/gramps-manual/C/figures/edit-ev.png 1.1, doc/gramps-manual/C/figures/edit-media.png 1.1, doc/gramps-manual/C/figures/edit-person.png 1.1, doc/gramps-manual/C/figures/edit-plc.png 1.1, doc/gramps-manual/C/figures/edit-rel.png 1.1, doc/gramps-manual/C/figures/edit-si.png 1.1, doc/gramps-manual/C/figures/edit-src.png 1.1, doc/gramps-manual/C/figures/edit-wi.png 1.1, doc/gramps-manual/C/figures/family.png 1.1, doc/gramps-manual/C/figures/gedcom-export-progress.png 1.1, doc/gramps-manual/C/figures/gedcom-export.png 1.1, doc/gramps-manual/C/figures/gedcom-import.png 1.1, doc/gramps-manual/C/figures/mainwin.png 1.3, doc/gramps-manual/C/figures/media.png 1.1, doc/gramps-manual/C/figures/noside-nofilt.png 1.1, doc/gramps-manual/C/figures/pedigree.png 1.1, doc/gramps-manual/C/figures/places.png 1.1, doc/gramps-manual/C/figures/side-filt.png 1.1, doc/gramps-manual/C/figures/sources.png 1.1:
	Adding new figures

	* doc/gramps-manual/C/figures/prefs-media.png 1.2, doc/gramps-manual/C/figures/prefs-report.png 1.2, doc/gramps-manual/C/figures/prefs-research.png 1.2, doc/gramps-manual/C/figures/prefs-revision.png 1.2, doc/gramps-manual/C/figures/reportsel.png 1.2, doc/gramps-manual/C/figures/revcontrol.png 1.2, doc/gramps-manual/C/figures/savecomment.png 1.2, doc/gramps-manual/C/figures/sourcelist.png 1.2, doc/gramps-manual/C/figures/sourcerefsel.png 1.2, doc/gramps-manual/C/figures/toolsel.png 1.2, doc/gramps-manual/C/figures/gotobookmark.png 1.2, doc/gramps-manual/C/figures/localmedia.png 1.2, doc/gramps-manual/C/figures/mainwin.png 1.2, doc/gramps-manual/C/figures/mediaview.png 1.2, doc/gramps-manual/C/figures/opendb.png 1.2, doc/gramps-manual/C/figures/pedegreesel.png 1.2, doc/gramps-manual/C/figures/pedegreeview.png 1.2, doc/gramps-manual/C/figures/peoplelist.png 1.2, doc/gramps-manual/C/figures/placelist.png 1.2, doc/gramps-manual/C/figures/prefs-bars.png 1.2, doc/gramps-manual/C/figures/prefs-colors.png 1.2, doc/gramps-manual/C/figures/prefs-dates.png 1.2, doc/gramps-manual/C/figures/prefs-disp.png 1.2, doc/gramps-manual/C/figures/prefs-find.png 1.2, doc/gramps-manual/C/figures/prefs-gen.png 1.2, doc/gramps-manual/C/figures/prefs-guess.png 1.2, doc/gramps-manual/C/figures/prefs-ids.png 1.2, doc/gramps-manual/C/figures/prefs-main.png 1.2, doc/gramps-manual/C/figures/addmedia.png 1.2, doc/gramps-manual/C/figures/druidpg1.png 1.2, doc/gramps-manual/C/figures/editbookmarks.png 1.2, doc/gramps-manual/C/figures/ep-address.png 1.2, doc/gramps-manual/C/figures/ep-altname.png 1.2, doc/gramps-manual/C/figures/ep-attributes.png 1.2, doc/gramps-manual/C/figures/ep-event.png 1.2, doc/gramps-manual/C/figures/ep-gallery.png 1.2, doc/gramps-manual/C/figures/ep-general.png 1.2, doc/gramps-manual/C/figures/ep-internet.png 1.2, doc/gramps-manual/C/figures/ep-lds.png 1.2, doc/gramps-manual/C/figures/ep-notes.png 1.2, doc/gramps-manual/C/figures/familyview.png 1.2, doc/gramps-manual/C/figures/filter.png 1.2, doc/gramps-manual/C/figures/globalmedia.png 1.2:
	Removing old figures

2003-03-21  Jeffrey C. Ollie  <jcollie@users.sourceforge.net>

	* src/mergedata.glade 1.7:
	Change the grouping of the radio buttons so that they are grouped
	horizontally, rather than vertically.  Also, get rid of the frames to
	get closer to Gnome HIG compliance, but I'm sure that there will be
	more changes needed for full compliance.

2003-03-21  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.17, doc/gramps-manual/C/gramps.html 1.10:
	Half-way into reports

2003-03-20  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.9, doc/gramps-manual/C/gramps.xml 1.16:
	Finished navigation

2003-03-20  Don Allingham  <dallingham@users.sourceforge.net>

	* configure.in 1.22, src/po/nl.po 1.2: nl translation update

2003-03-20  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.8, doc/gramps-manual/C/gramps.xml 1.15:
	Finally done with editing

	* src/const.py 1.30, src/const.py.in 1.19: Minor typo

2003-03-20  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Date.py 1.11, src/PlaceView.py 1.12, src/Witness.py 1.3, src/gramps_main.py 1.52:
	Faster load times for places

	* src/StartupDialog.py 1.5, src/Witness.py 1.2, src/config.glade 1.5, src/const.py 1.29, src/const.py.in 1.18:
	Witness editor fixes, documentation and translation list fixes

2003-03-19  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.7, doc/gramps-manual/C/gramps.xml 1.14:
	Done with editing except for the Witness Editor

	* doc/gramps-manual/C/gramps.html 1.6, doc/gramps-manual/C/gramps.xml 1.13:
	More editing done

	* doc/gramps-manual/C/gramps.html 1.5, doc/gramps-manual/C/gramps.xml 1.12:
	Almost done with the editing

	* doc/gramps-manual/C/gramps.html 1.4, doc/gramps-manual/C/gramps.xml 1.11:
	Working down the editing

2003-03-19  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GrampsCfg.py 1.16, src/QuestionDialog.py 1.10, src/errdialogs.glade 1.5, src/gramps.glade 1.27, src/gramps_main.py 1.51, src/plugins/ChangeTypes.py 1.6, src/plugins/Check.py 1.5, src/plugins/PatchNames.py 1.7, src/plugins/RelCalc.py 1.5, src/plugins/Summary.py 1.5, src/plugins/Verify.py 1.5, src/plugins/WritePkg.py 1.4, src/plugins/merge.glade 1.5, src/plugins/pkgexport.glade 1.2, src/plugins/relcalc.glade 1.4, src/plugins/summary.glade 1.3, src/plugins/verify.glade 1.3:
	HIG improvements

2003-03-19  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.3, doc/gramps-manual/C/gramps.xml 1.10:
	Better structure for editing

2003-03-18  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/Makefile.am 1.4, src/plugins/Makefile.in 1.6, src/const.py 1.28:
	removed readgecom.glade

2003-03-17  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps_main.py 1.50, src/plugins/ChangeTypes.py 1.5, src/plugins/ReadGedcom.py 1.15, src/plugins/WriteGedcom.py 1.17, src/plugins/changetype.glade 1.2, src/plugins/gedcomexport.glade 1.3, src/plugins/gedcomimport.glade 1.2, src/plugins/patchnames.glade 1.3, src/plugins/readgedcom.glade 1.2, src/plugins/soundex.glade 1.2, src/plugins/soundgen.py 1.5:
	HIG changes

2003-03-17  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.html 1.2, doc/gramps-manual/C/gramps.xml 1.9:
	Typos

2003-03-17  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Marriage.py 1.17, src/gramps_main.py 1.49, configure 1.18, configure.in 1.21, src/GrampsCfg.py 1.15:
	Updates to people list occur only on active display

2003-03-15  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.8, doc/gramps-manual/C/gramps.html 1.1:
	Done with Edit Person

2003-03-15  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/nl.po 1.1: Dutch translation

	* src/const.py 1.27, src/const.py.in 1.17, src/gramps.glade 1.26, src/gramps_main.py 1.48, src/RelLib.py 1.12, src/Makefile.in 1.13:
	Faster initial display

2003-03-14  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.7: Started on Editing

2003-03-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.24, src/NoteEdit.py 1.6, src/RelLib.py 1.11, src/gramps_main.py 1.47, src/po/template.po 1.13:
	Hide main window until it is completely initialized.

2003-03-13  Bernd Schandl  <schandl@gmx.net>

	* src/RelImage.py 1.9, src/po/de.po 1.6, src/PlaceView.py 1.11, src/FamilyView.py 1.30:
	Typos and German translation

2003-03-12  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.6: More cleanups

2003-03-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/PatchNames.py 1.6, src/plugins/patchnames.glade 1.2, src/system_filters.xml 1.2, src/gramps_main.py 1.46:
	Patch names improvements

2003-03-12  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.5: Minor cleanups

	* doc/gramps-manual/C/legal.xml 1.1: Initial upload

	* doc/gramps-manual/C/gramps.xml 1.4:
	It now parses into a bearable HTML!

	* doc/gramps-manual/C/gramps.xml 1.3, doc/gramps-manual/C/gramps-manual-C.txt 1.5:
	Removing plain text version in favor of XML

2003-03-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/TimeLine.py 1.5, src/plugins/desbrowse.glade 1.2, src/plugins/eventcmp.glade 1.3, src/plugins/merge.glade 1.4, src/plugins/Desbrowser.py 1.7, src/plugins/EventCmp.py 1.8, src/plugins/FilterEditor.py 1.6, src/plugins/IndivComplete.py 1.8, src/plugins/IndivSummary.py 1.7, src/plugins/Merge.py 1.6, src/plugins/ReadGedcom.py 1.14, src/gramps_main.py 1.45, src/rule.glade 1.6, src/GenericFilter.py 1.14:
	Faster loading of pages, Improvements to filters

2003-03-12  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.2: A little advance

2003-03-11  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps.xml 1.1: New manual in XML format

	* doc/gramps-manual/C/gramps-manual-C.txt 1.4:
	Further cleanup and some Usage

	* doc/gramps-manual/C/gramps-manual-C.txt 1.3:
	Cleanup of into, getting_started, and main window

2003-03-10  Alex Roitman  <shura@alex.neuro.umn.edu>

	* doc/gramps-manual/C/gramps-manual-C.txt 1.2: First correction

	* doc/gramps-manual/C/gramps-manual-C.txt 1.1:
	A little more than the outline

2003-03-08  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py 1.29, src/Makefile.am 1.11, src/Makefile.in 1.12, src/Marriage.py 1.16, src/calendars/Makefile.in 1.2, src/docgen/Makefile.in 1.5, src/filters/Makefile.in 1.5, src/gramps.py 1.7, src/gramps_main.py 1.44, src/plugins/AncestorChart.py 1.8, src/plugins/AncestorReport.py 1.6, src/plugins/DesGraph.py 1.8, src/plugins/DescendReport.py 1.7, src/plugins/FamilyGroup.py 1.5, src/plugins/IndivComplete.py 1.7, src/plugins/IndivSummary.py 1.6, src/plugins/Makefile.in 1.5, src/plugins/TimeLine.py 1.4, src/plugins/WebPage.py 1.11, src/po/template.po 1.12:
	Bug fixes from pychecker

	* src/TextDoc.py 1.6, src/plugins/WebPage.py 1.10, src/po/template.po 1.11, src/styles.glade 1.9, src/FamilyView.py 1.28, src/RelLib.py 1.10, src/Report.py 1.19, src/StyleEditor.py 1.13:
	Paragraph editor enhancements - styles have descriptions

	* src/Witness.py 1.1: Witness support

2003-03-07  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GrampsZODB.py 1.3: Qualify Person with RelLIb

	* src/plugins/Makefile.am 1.3: Removed FullFamily

	* src/plugins/FilterEditor.py 1.5, src/plugins/Makefile.am 1.2, src/po/template.po 1.10, src/calendars/Makefile.am 1.2, src/docgen/Makefile.am 1.2, src/filters/Makefile.am 1.2, src/mergedata.glade 1.6, src/places.glade 1.7, src/plugins.glade 1.10, src/preferences.glade 1.8, src/revision.glade 1.9, src/rule.glade 1.5, src/srcsel.glade 1.7, src/styles.glade 1.8, src/const.py 1.26, src/dialog.glade 1.9, src/edit_person.glade 1.13, src/errdialogs.glade 1.4, src/gramps.glade 1.25, src/gramps_main.py 1.43, src/marriage.glade 1.9, src/DbPrompter.py 1.7, src/GenericFilter.py 1.13, src/Makefile.am 1.10, src/Makefile.in 1.11, src/MergeData.py 1.6, src/Plugins.py 1.10, src/StyleEditor.py 1.12, src/VersionControl.py 1.6, src/config.glade 1.4:
	Title handling

2003-03-06  Don Allingham  <dallingham@users.sourceforge.net>

	* src/edit_person.glade 1.12, src/gramps.glade 1.24, src/gramps_main.py 1.42, src/imagesel.glade 1.8, src/marriage.glade 1.8, src/places.glade 1.6, src/plugins.glade 1.9, src/po/template.po 1.9, src/revision.glade 1.8, src/srcsel.glade 1.6, src/AddSpouse.py 1.12, src/AddrEdit.py 1.8, src/AttrEdit.py 1.9, src/ChooseParents.py 1.11, src/DbPrompter.py 1.6, src/DisplayTrace.py 1.10, src/EditPerson.py 1.23, src/EditPlace.py 1.11, src/EditSource.py 1.10, src/EventEdit.py 1.11, src/ImageSelect.py 1.26, src/LocEdit.py 1.8, src/Marriage.py 1.15, src/NameEdit.py 1.8, src/Plugins.py 1.9, src/QuickAdd.py 1.6, src/Report.py 1.18, src/SelectChild.py 1.11, src/Sources.py 1.10, src/UrlEdit.py 1.6, src/Utils.py 1.14, src/dialog.glade 1.8:
	Window title strings

	* src/AddSpouse.py 1.11, src/Marriage.py 1.14, src/dialog.glade 1.7, src/edit_person.glade 1.11:
	title fixes in dialog boxes

2003-03-05  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.8, src/gramps.glade 1.23, src/marriage.glade 1.7, src/places.glade 1.5, src/plugins.glade 1.8, src/po/ro.po 1.3, src/preferences.glade 1.7, src/revision.glade 1.7, src/srcsel.glade 1.5, src/styles.glade 1.7, src/QuickAdd.py 1.5, src/SelectChild.py 1.10, src/Sources.py 1.9, src/StyleEditor.py 1.11, src/UrlEdit.py 1.5, src/Utils.py 1.13, src/VersionControl.py 1.5, src/dialog.glade 1.6, src/edit_person.glade 1.10, src/AddSpouse.py 1.10, src/AddrEdit.py 1.7, src/AttrEdit.py 1.8, src/ChooseParents.py 1.10, src/DbPrompter.py 1.5, src/EditPlace.py 1.10, src/EditSource.py 1.9, src/EventEdit.py 1.10, src/LocEdit.py 1.7, src/Marriage.py 1.13, src/NameEdit.py 1.7, src/Plugins.py 1.8:
	Translation strings

2003-03-04  Don Allingham  <dallingham@users.sourceforge.net>

	* src/StyleEditor.py 1.10, src/TextDoc.py 1.5, src/config.glade 1.3, src/revision.glade 1.6, src/styles.glade 1.6:
	Style editor improvements

2003-03-03  Don Allingham  <dallingham@users.sourceforge.net>

	* src/dialog.glade 1.5, src/edit_person.glade 1.9, src/gramps.glade 1.22, src/gramps_main.py 1.41, src/imagesel.glade 1.7, src/marriage.glade 1.6, src/mergedata.glade 1.5, src/places.glade 1.4, src/plugins.glade 1.7, src/po/ro.po 1.2, src/revision.glade 1.5, src/srcsel.glade 1.4, src/styles.glade 1.5, src/AddSpouse.py 1.9, src/AddrEdit.py 1.6, src/AttrEdit.py 1.7, src/ChooseParents.py 1.9, src/EditPerson.py 1.22, src/EditPlace.py 1.9, src/EventEdit.py 1.9, src/FamilyView.py 1.27, src/ImageSelect.py 1.25, src/Marriage.py 1.12, src/NameEdit.py 1.6, src/Report.py 1.17, src/SelectChild.py 1.9, src/Sources.py 1.8:
	Interface compliance changes

2003-02-28  Don Allingham  <dallingham@users.sourceforge.net>

	* configure 1.17, configure.in 1.20, gramps.spec 1.14, src/EditPerson.py 1.21, src/const.py 1.25, src/edit_person.glade 1.8, src/errdialogs.glade 1.3, src/gramps.glade 1.21, src/preferences.glade 1.6, NEWS 1.5:
	Edit Person changes

2003-02-27  Don Allingham  <dallingham@users.sourceforge.net>

	* src/ReadXML.py 1.7, src/Marriage.py 1.11: Dialog improvements

	* src/QuestionDialog.py 1.9, src/RelImage.py 1.8, src/errdialogs.glade 1.2, src/gramps.py 1.6, src/gramps_main.py 1.40, src/EditPerson.py 1.20, src/FamilyView.py 1.26:
	HIG improvements

2003-02-26  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps_main.py 1.39, src/FamilyView.py 1.25, src/Report.py 1.16, src/const.py 1.24, src/gramps.glade 1.20:
	HIG compliance (or at least the start of)

2003-02-25  Laurent Protois  <protois@users.sourceforge.net>

	* src/po/fr.mo 1.3, src/po/fr.po 1.3: Update for 0.9.0-1

2003-02-24  Laurent Protois  <protois@users.sourceforge.net>

	* src/po/fr.mo 1.2, src/po/fr.po 1.2: french up to date translation

2003-02-24  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/de.mo 1.3, src/po/pt_BR.mo 1.3, src/po/ro.po 1.1, src/po/ru.mo 1.3:
	Romanian translation

	* src/docgen/HtmlDoc.py 1.6, src/errdialogs.glade 1.1, src/gramps.desktop 1.2, src/gramps.glade 1.19, src/gramps_main.py 1.38, src/imagesel.glade 1.6, src/marriage.glade 1.5, src/mergedata.glade 1.4, src/places.glade 1.3, src/plugins.glade 1.6, src/plugins/Desbrowser.py 1.6, src/plugins/IndivComplete.py 1.6, src/plugins/TimeLine.py 1.3, src/po/da_DK.mo 1.2, src/po/de.mo 1.2, src/po/es.mo 1.2, src/po/pt_BR.mo 1.2, src/po/ru.mo 1.2, src/po/sv.mo 1.2, src/preferences.glade 1.5, src/revision.glade 1.4, src/rule.glade 1.4, src/sort.py 1.7, src/srcsel.glade 1.3, src/styles.glade 1.4, NEWS 1.4, example/gramps/data.gramps 1.16, src/AddMedia.py 1.8, src/Bookmarks.py 1.5, src/EditPerson.py 1.19, src/EditSource.py 1.8, src/EventEdit.py 1.8, src/FamilyView.py 1.24, src/GrampsParser.py 1.6, src/GrampsZODB.py 1.2, src/ImageSelect.py 1.24, src/ListModel.py 1.24, src/Marriage.py 1.10, src/MediaView.py 1.13, src/PaperMenu.py 1.5, src/PlaceView.py 1.10, src/QuestionDialog.py 1.8, src/ReadXML.py 1.6, src/RelImage.py 1.7, src/RelLib.py 1.9, src/Report.py 1.15, src/SourceView.py 1.7, src/Sources.py 1.7, src/StyleEditor.py 1.9, src/TarFile.py 1.3, src/Utils.py 1.12, src/WriteXML.py 1.8, src/const.py 1.23, src/const.py.in 1.16, src/dialog.glade 1.4, src/edit_person.glade 1.7:
	Updated dialogs

2003-02-18  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.4: Russian translatio for 0.9.0, update

2003-02-15  Don Allingham  <dallingham@users.sourceforge.net>

	* NEWS 1.3: Updated the NEWS file

	* src/plugins/EventCmp.py 1.7, src/plugins/Merge.py 1.5, src/plugins/Verify.py 1.4, src/plugins/merge.glade 1.3, src/plugins/soundgen.py 1.4, src/plugins/verify.glade 1.2, configure.in 1.19, src/const.py 1.22, src/const.py.in 1.15, src/plugins/ChangeTypes.py 1.4, src/plugins/DetAncestralReport.py 1.5, src/plugins/DetDescendantReport.py 1.6:
	Plugin clean up

2003-02-15  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.5: Update of German translation

2003-02-14  Marcos Bedinelli  <bedinelli@users.sourceforge.net>

	* src/po/pt_BR.po 1.4: Brazilian-Portuguese translation for GRAMPS 2

2003-02-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/data/fdl.txt 1.1:
	Added GNU Free Documentation License for those who want to use it for
	their GEDCOM files

	* src/const.py 1.21, src/const.py.in 1.14, src/gramps_main.py 1.37:
	Translator names in credits

	* src/PedView.py 1.7, src/gramps_main.py 1.36, src/FamilyView.py 1.23:
	Clear displays after a new database is created.

	* src/gramps.glade 1.18, src/po/template.po 1.7: Fixed typo

2003-02-13  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.4: Update of German translation

2003-02-13  Marcos Bedinelli  <bedinelli@users.sourceforge.net>

	* src/po/pt_BR.po 1.3:
	Brazilian-Portuguese translation for GRAMPS 2 (updated Glade strings)

2003-02-13  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps.py 1.5, src/gramps_main.py 1.35, src/plugins/TimeLine.py 1.2, src/po/template.po 1.6, src/get_strings 1.3, src/gramps.glade 1.17:
	updated strings, called gnome.init

2003-02-12  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.3, src/gramps.glade 1.16:
	German translation and fixing typo

2003-02-12  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.3: Updated translation for 0.9.0 - more work is needed

2003-02-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/const.py.in 1.13, src/get_strings 1.2, src/plugins/WriteGedcom.py 1.16, src/plugins/gedcomexport.glade 1.2, src/po/template.po 1.5, src/const.py 1.20:
	Fixed broken parsing of glade files

2003-02-10  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py 1.22: Fixed syntax error

	* src/PedView.py 1.6: Handle gtk.TextView API change

	* src/FamilyView.py 1.21, src/Report.py 1.14, src/plugins/ReadGedcom.py 1.13:
	Catch the change in API for gtk.TextBuffer

2003-02-09  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py 1.20: Fixed child removal problem

2003-02-08  Don Allingham  <dallingham@users.sourceforge.net>

	* src/ImgManip.py 1.5: Fixed string problem

	* src/plugins/TimeLine.py 1.1: Timeline report

	* src/DrawDoc.py 1.5, src/docgen/OpenDrawDoc.py 1.10, src/docgen/PSDrawDoc.py 1.10, src/docgen/PdfDrawDoc.py 1.6, src/docgen/SvgDrawDoc.py 1.6, src/po/es.po 1.2:
	Drawing improvements

	* src/ImageSelect.py 1.23, src/MediaView.py 1.12, src/Utils.py 1.11:
	Image handling improvements

	* src/plugins/IndivSummary.py 1.5, src/docgen/OpenDrawDoc.py 1.9, src/docgen/PSDrawDoc.py 1.9, src/docgen/PdfDrawDoc.py 1.5, src/plugins.glade 1.5, src/plugins/AncestorChart.py 1.7, src/plugins/AncestorReport.py 1.5, src/plugins/DesGraph.py 1.7, src/plugins/DescendReport.py 1.6, src/plugins/DetAncestralReport.py 1.4, src/plugins/DetDescendantReport.py 1.5, src/plugins/GraphViz.py 1.8, src/AddMedia.py 1.7, src/Plugins.py 1.7:
	Report updates

2003-02-06  Marcos Bedinelli  <bedinelli@users.sourceforge.net>

	* src/po/pt_BR.po 1.2:
	Brazilian-Portuguese translation for version 0.9.0

2003-02-05  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/ReadNative.py 1.5, example/gramps/data.gramps 1.15, src/GrampsCfg.py 1.14, src/ImageSelect.py 1.22, src/MediaView.py 1.11, src/ansel_utf8.py 1.5, src/const.py 1.19, src/const.py.in 1.12, src/docgen/PSDrawDoc.py 1.8, src/edit_person.glade 1.6, src/plugins/DescendReport.py 1.5:
	Image fixes

2003-02-04  Jens Arvidsson  <jensa@users.sourceforge.net>

	* src/po/sv.po 1.2: Swedish translation for version 0.9

2003-02-03  Don Allingham  <dallingham@users.sourceforge.net>

	* src/po/template.po 1.4, src/docgen/SvgDrawDoc.py 1.5, src/const.py.in 1.11, src/docgen/OpenDrawDoc.py 1.8, src/docgen/PSDrawDoc.py 1.7, src/docgen/PdfDrawDoc.py 1.4, src/Report.py 1.13, src/Utils.py 1.10, src/const.py 1.18, src/ImageSelect.py 1.21, src/PlaceView.py 1.9, src/RelImage.py 1.6, src/DrawDoc.py 1.4, src/FamilyView.py 1.19, src/GenericFilter.py 1.12:
	Image handling fixes

	* src/plugins/Check.py 1.4: Fixed check display dialog box

2003-02-02  Bernd Schandl  <schandl@gmx.net>

	* src/po/de.po 1.2: Update of German translation for version 0.9

2003-02-02  Alex Roitman  <shura@alex.neuro.umn.edu>

	* src/po/ru.po 1.2: Russian translation for 0.9.0

2003-01-31  Don Allingham  <dallingham@users.sourceforge.net>

	* src/edit.png 1.1: new icon

	* src/Makefile.am 1.9, src/Makefile.in 1.10: Makefile update

	* src/po/template.po 1.3: Translation updates

	* src/plugins/DesGraph.py 1.6, configure 1.16, configure.in 1.18, gramps.spec 1.13, src/DrawDoc.py 1.3, src/const.py 1.17, src/docgen/OpenDrawDoc.py 1.7, src/docgen/PSDrawDoc.py 1.6, src/plugins/AncestorChart.py 1.6:
	Drawdoc cleanup

2003-01-29  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GenericFilter.py 1.11, src/StyleEditor.py 1.8: Pychecker fixes

	* src/Errors.py 1.3, src/GenericFilter.py 1.10, src/Report.py 1.12, src/StyleEditor.py 1.7, src/TextDoc.py 1.4, src/docgen/KwordDoc.py 1.4, src/docgen/OpenOfficeDoc.py 1.6, src/plugins/AncestorChart.py 1.5, src/plugins/AncestorReport.py 1.4, src/plugins/DesGraph.py 1.5, src/plugins/DescendReport.py 1.4, src/plugins/DetAncestralReport.py 1.3, src/plugins/DetDescendantReport.py 1.4, src/plugins/FamilyGroup.py 1.4, src/plugins/IndivComplete.py 1.5, src/plugins/IndivSummary.py 1.4:
	Report error exceptions

	* src/docgen/HtmlDoc.py 1.5, src/docgen/PSDrawDoc.py 1.5, src/plugins/WebPage.py 1.9:
	keyword substituion in HTML documents

2003-01-27  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/GraphViz.py 1.7:
	UTF-8 to Latin-1 translation from Alexandre Duret-Lutz

2003-01-26  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Sources.py 1.6, src/ansel_utf8.py 1.4, src/plugins/WriteGedcom.py 1.15:
	Ansel coding fixes

2003-01-24  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.18, src/Errors.py 1.2, src/GrampsCfg.py 1.13, src/RelLib.py 1.8, src/plugins/ReadGedcom.py 1.12, src/preferences.glade 1.4:
	Capitalize last names

2003-01-22  Don Allingham  <dallingham@users.sourceforge.net>

	* src/docgen/OpenOfficeDoc.py 1.5: tempfile fixes

	* src/docgen/OpenDrawDoc.py 1.6: Fix temporary file handling

	* src/FamilyView.py 1.18: Delete empty, unknown spouse

2003-01-20  Don Allingham  <dallingham@users.sourceforge.net>

	* configure.in 1.17: Updated to rc4

	* src/Date.py 1.10: Fixed ISO Date format

	* configure 1.15, configure.in 1.16, gramps.spec 1.12, src/const.py 1.16:
	Update to rc3

	* src/imagesel.glade 1.5, src/marriage.glade 1.4, src/mergedata.glade 1.3, src/places.glade 1.2, src/plugins.glade 1.4, src/po/template.po 1.2, src/preferences.glade 1.3, src/revision.glade 1.3, src/rule.glade 1.3, src/srcsel.glade 1.2, src/styles.glade 1.3, src/trace.glade 1.2, src/ChooseParents.py 1.8, src/config.glade 1.2, src/const.py.in 1.10, src/dialog.glade 1.3, src/edit_person.glade 1.5, src/gramps.glade 1.15:
	ChooseParents improvements

2003-01-19  Don Allingham  <dallingham@users.sourceforge.net>

	* src/ChooseParents.py 1.7, src/Report.py 1.11:
	Converted ChooseParents to use ListModel

	* src/plugins/WebPage.py 1.8:
	Changed write_text to write_raw when generating a table <from graybeard@optusnet.com.au>

	* src/Report.py 1.10, src/plugins/WebPage.py 1.7, src/sort.py 1.6:
	Fixed several webpage and report generation problems

	* src/Calendar.py 1.9, src/Date.py 1.9, src/Errors.py 1.1, src/FamilyView.py 1.17, src/GrampsCfg.py 1.12, src/PedView.py 1.5, src/ReadXML.py 1.5, src/RelLib.py 1.7, src/ansel_utf8.py 1.3, src/gramps.zodb 1.4, src/gramps_main.py 1.34, src/plugins/ReadGedcom.py 1.11, src/plugins/ReadNative.py 1.4, src/plugins/WriteGedcom.py 1.14, src/sort.py 1.5:
	ansel/utf8 encodings

2003-01-15  Don Allingham  <dallingham@users.sourceforge.net>

	* src/DrawDoc.py 1.2, src/Plugins.py 1.6, src/Report.py 1.9, src/SpreadSheetDoc.py 1.2, src/docgen/AbiWordDoc.py 1.3, src/docgen/HtmlDoc.py 1.4, src/docgen/KwordDoc.py 1.3, src/docgen/LaTeXDoc.py 1.3, src/docgen/OpenDrawDoc.py 1.5, src/docgen/OpenOfficeDoc.py 1.4, src/docgen/OpenSpreadSheet.py 1.2, src/docgen/PSDrawDoc.py 1.4, src/docgen/PdfDoc.py 1.3, src/docgen/PdfDrawDoc.py 1.3, src/docgen/RTFDoc.py 1.3, src/docgen/SvgDrawDoc.py 1.4, src/plugins/AncestorChart.py 1.4, src/plugins/AncestorReport.py 1.3, src/plugins/DesGraph.py 1.4, src/plugins/DescendReport.py 1.3, src/plugins/EventCmp.py 1.6, src/plugins/FamilyGroup.py 1.3, src/plugins/GraphViz.py 1.6, src/plugins/IndivComplete.py 1.4, src/plugins/IndivSummary.py 1.3, src/plugins/PatchNames.py 1.5, src/plugins/ReadGedcom.py 1.10, src/plugins/WebPage.py 1.6, src/plugins/WriteGedcom.py 1.13, src/plugins/WritePafPalm.py 1.3:
	Import fixes/pychecker fixes

2003-01-13  Don Allingham  <dallingham@users.sourceforge.net>

	* configure 1.14, configure.in 1.15, gramps.spec 1.11, src/EditPerson.py 1.17, src/FamilyView.py 1.16, src/Marriage.py 1.9, src/const.py 1.15, src/const.py.in 1.9:
	Event reordering for marriage

2003-01-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/LocEdit.py 1.6, src/StyleEditor.py 1.6, src/TarFile.py 1.2, src/TextDoc.py 1.3, src/gramps_main.py 1.33:
	pychecker cleanup

2003-01-11  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/GraphViz.py 1.5, src/gramps_main.py 1.32:
	Graphviz index problem, scroll window on person list

2003-01-10  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/Desbrowser.py 1.5, src/plugins/FilterEditor.py 1.4, src/plugins/PatchNames.py 1.4, src/plugins/RelCalc.py 1.4, src/plugins/Summary.py 1.4, src/plugins/Verify.py 1.3, src/plugins/WritePkg.py 1.3, src/plugins/count_anc.py 1.4, src/plugins/soundgen.py 1.3, src/plugins/ChangeTypes.py 1.3, src/plugins/Check.py 1.3, src/gramps_main.py 1.31:
	Pychecker fixes, gnome.url.show to gnome.url_show

	* src/filters/AltFam.py 1.3, src/filters/Females.py 1.3, src/filters/IncompleteNames.py 1.3, src/filters/Males.py 1.3, src/plugins/ReadGedcom.py 1.9:
	Pychecker fixes

	* configure.in 1.14, example/gramps/data.gramps 1.14, src/AddSpouse.py 1.8, src/AttrEdit.py 1.6, src/Bookmarks.py 1.4, src/Calendar.py 1.8, src/ChooseParents.py 1.6, src/Date.py 1.8, src/EditPerson.py 1.16, src/EditPlace.py 1.8, src/EditSource.py 1.7, src/EventEdit.py 1.7, src/FamilyView.py 1.15, src/FrenchRepublic.py 1.2, src/GenericFilter.py 1.9, src/GrampsCfg.py 1.11, src/GrampsParser.py 1.5, src/GrampsXML.py 1.2, src/Hebrew.py 1.2, src/ImageSelect.py 1.20, src/ImgManip.py 1.4, src/ListModel.py 1.23, src/LocEdit.py 1.5, src/Marriage.py 1.8, src/MediaView.py 1.10, src/NameEdit.py 1.5, src/NoteEdit.py 1.5, src/PedView.py 1.4, src/PlaceView.py 1.8, src/Plugins.py 1.5, src/QuestionDialog.py 1.7, src/ReadXML.py 1.4, src/RelImage.py 1.5, src/SelectChild.py 1.8, src/SourceView.py 1.6, src/Sources.py 1.5, src/StartupDialog.py 1.4, src/StyleEditor.py 1.5, src/UrlEdit.py 1.4, src/Utils.py 1.9, src/WriteXML.py 1.7, src/ansel_utf8.py 1.2, src/calendars/Islamic.py 1.2, src/calendars/Persian.py 1.2, src/gramps_main.py 1.30, src/plugins/GraphViz.py 1.4, src/plugins/ReadGedcom.py 1.8, src/plugins/WriteGedcom.py 1.12:
	pychecker fixes, GEDCOM import/export improvements, calendar improvements

2003-01-09  Don Allingham  <dallingham@users.sourceforge.net>

	* src/calendars/Makefile.in 1.1: Makefile.in

	* src/const.py 1.14, src/const.py.in 1.8:
	Updated const.py.in for calendar directory

	* src/Calendar.py 1.7, src/Date.py 1.7, src/FrenchRepublic.py 1.1, src/Gregorian.py 1.1, src/Hebrew.py 1.1, src/Julian.py 1.1, src/Makefile.am 1.8, src/Makefile.in 1.9, src/gramps_main.py 1.29, configure 1.13, configure.in 1.13:
	Calendar updates

	* src/calendars/Islamic.py 1.1, src/calendars/Makefile.am 1.1, src/calendars/Persian.py 1.1:
	New calendars

2003-01-08  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.15: Added drag-begin tasks

	* src/Calendar.py 1.6: Calendar entry code fix

	* src/GedcomInfo.py 1.5, src/ListModel.py 1.22, src/data/gedcom.xml 1.4, src/gramps_main.py 1.28, src/plugins/WriteGedcom.py 1.11:
	Unselect selected person on goto_active_person, apply Alexandre Duret-Lutz's
	GEDCOM patches

2003-01-07  Don Allingham  <dallingham@users.sourceforge.net>

	* configure 1.12, configure.in 1.12, gramps.spec 1.10, src/const.py 1.13:
	Release candidate

	* example/gramps/data.gramps 1.13, src/Calendar.py 1.5, src/Date.py 1.6, src/GrampsCfg.py 1.10:
	Calendar formats added

2003-01-06  Don Allingham  <dallingham@users.sourceforge.net>

	* src/docgen/OpenDrawDoc.py 1.4, src/plugins/AncestorChart.py 1.3:
	Convert OpenDrawDoc to use zipfile

	* src/TextDoc.py 1.2, src/WriteXML.py 1.6, src/docgen/OpenDrawDoc.py 1.3, src/docgen/OpenOfficeDoc.py 1.3, src/gramps_main.py 1.27, src/AutoComp.py 1.8, src/EditPerson.py 1.14, src/EventEdit.py 1.6, src/FamilyView.py 1.14, src/GenericFilter.py 1.8, src/GrampsParser.py 1.4, src/ImageSelect.py 1.19, src/ListModel.py 1.21, src/Report.py 1.8:
	OpenOffice fixes, calendar format fixes

2003-01-03  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GedcomInfo.py 1.4, src/data/gedcom.xml 1.3, src/plugins/WebPage.py 1.5, src/plugins/WriteGedcom.py 1.10, example/gramps/data.gramps 1.12:
	GEDCOM improvements for GENEWEB from Alexandre Duret-Lutz

2003-01-02  Don Allingham  <dallingham@users.sourceforge.net>

	* src/latin_utf8.py 1.3, src/plugins/ReadGedcom.py 1.7, src/plugins/WriteGedcom.py 1.9, src/Calendar.py 1.4, src/Date.py 1.5, src/DateEdit.py 1.4, src/EditPerson.py 1.13, src/EventEdit.py 1.5, src/FamilyView.py 1.13, src/GrampsParser.py 1.3, src/ListModel.py 1.20, src/ReadXML.py 1.3, src/WriteXML.py 1.5, src/gramps_main.py 1.26:
	Calendar enhancements

2002-12-31  Don Allingham  <dallingham@users.sourceforge.net>

	* example/gramps/data.gramps 1.11, gramps.spec 1.9, src/Calendar.py 1.3, src/const.py 1.12, NEWS 1.2, configure 1.11, configure.in 1.11:
	Updated for calendar handling

2002-12-30  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Calendar.py 1.2, src/Date.py 1.4, src/DisplayTrace.py 1.9, src/EventEdit.py 1.4, src/gramps_main.py 1.25, src/latin_utf8.py 1.2, src/plugins/WriteGedcom.py 1.8:
	Date handling improvements (calendar conversions)

2002-12-29  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Date.py 1.3, src/ListModel.py 1.19, src/gramps_main.py 1.24, src/plugins/WriteGedcom.py 1.7:
	Dynamically find pages

2002-12-25  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps.glade 1.14, src/gramps_main.py 1.23, src/sort.py 1.4:
	Dynamic create of person list pages

2002-12-24  Don Allingham  <dallingham@users.sourceforge.net>

	* example/gramps/data.gramps 1.10, src/ListModel.py 1.18, src/docgen/HtmlDoc.py 1.3, src/gramps.glade 1.13, src/gramps_main.py 1.22, src/plugins/Desbrowser.py 1.4, src/plugins/WebPage.py 1.4:
	Support for natural find

2002-12-17  Don Allingham  <dallingham@users.sourceforge.net>

	* src/ImageSelect.py 1.18, src/PlaceView.py 1.7, src/gramps.zodb 1.3:
	Hold onto iconlists to keep from crashing while program is active

2002-12-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Makefile.in 1.8, src/Marriage.py 1.7, src/PlaceView.py 1.6, src/const.py 1.11, src/gramps_main.py 1.21, src/plugins/Summary.py 1.3, src/plugins/WriteGedcom.py 1.6, src/plugins/count_anc.py 1.3, src/plugins/summary.glade 1.2, gramps.spec 1.8, src/EditPerson.py 1.12, src/EditPlace.py 1.7, src/FamilyView.py 1.12, src/ListModel.py 1.17, configure 1.10:
	Gedcom export, complete_rebuild fix, merge support

2002-12-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Makefile.am 1.7: Add grampslib_wrap.c

	* src/po/pl.po 1.1, configure.in 1.10: Pre7 release

2002-12-11  Don Allingham  <dallingham@users.sourceforge.net>

	* example/gramps/data.gramps 1.9, src/AddMedia.py 1.6, src/DisplayTrace.py 1.8, src/ImageSelect.py 1.17, src/ListModel.py 1.16, src/MediaView.py 1.9, src/RelLib.py 1.6, src/gramps_main.py 1.20, src/imagesel.glade 1.4:
	Improved reporting for traceback dialog, attempts to determine the distribution

2002-12-06  Don Allingham  <dallingham@users.sourceforge.net>

	* example/gramps/data.gramps 1.8, src/ListModel.py 1.15, src/gramps_main.py 1.19:
	List sorting

2002-12-04  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GedcomInfo.py 1.3, src/GrampsParser.py 1.2, src/ListModel.py 1.14, src/RelLib.py 1.5, src/WriteXML.py 1.4, src/data/gedcom.xml 1.2, src/dialog.glade 1.2, src/edit_person.glade 1.4, src/gramps_main.py 1.18, src/plugins/ReadGedcom.py 1.6, src/plugins/WriteGedcom.py 1.5, src/sort.py 1.3, src/EditPerson.py 1.11:
	Surname prefix support

2002-12-01  Don Allingham  <dallingham@users.sourceforge.net>

	* src/docgen/PSDrawDoc.py 1.3, src/docgen/SvgDrawDoc.py 1.3, src/sort.py 1.2, example/gramps/data.gramps 1.7, gramps.sh.in 1.2, src/gramps_main.py 1.17:
	Surname prefix support, landscape support for SVG and PS

2002-11-29  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPlace.py 1.6, src/ImageSelect.py 1.16:
	Trying to handle gnome_canvas bug

2002-11-28  Don Allingham  <dallingham@users.sourceforge.net>

	* src/AddSpouse.py 1.7, src/AttrEdit.py 1.5, src/EditPerson.py 1.10, src/EditPlace.py 1.5, src/EditSource.py 1.6, src/FamilyView.py 1.11, src/ImageSelect.py 1.15, src/MergeData.py 1.5, src/Report.py 1.7, src/SelectChild.py 1.7, src/SubstKeywords.py 1.2, src/gramps.glade 1.12, src/latin_ansel.py 1.2, src/plugins/DesGraph.py 1.3, src/plugins/ReadGedcom.py 1.5, src/plugins/WebPage.py 1.3:
	scope fixes

2002-11-27  Don Allingham  <dallingham@users.sourceforge.net>

	* src/AddSpouse.py 1.6, src/ChooseParents.py 1.5, src/FamilyView.py 1.10, src/gramps.glade 1.11:
	Fixed sensitivity of entries, fix relationship display in FamilyView, EditSource reference list, add spouse selection

	* example/gramps/data.gramps 1.6, src/AddMedia.py 1.5, src/AddSpouse.py 1.5, src/AddrEdit.py 1.5, src/AttrEdit.py 1.4, src/AutoComp.py 1.7, src/Bookmarks.py 1.3, src/ChooseParents.py 1.4, src/DateEdit.py 1.3, src/DbPrompter.py 1.4, src/DisplayTrace.py 1.7, src/EditPerson.py 1.9, src/EditPlace.py 1.4, src/EditSource.py 1.5, src/EventEdit.py 1.3, src/FamilyView.py 1.9, src/Filter.py 1.4, src/Find.py 1.4, src/GenericFilter.py 1.7, src/GrampsCfg.py 1.9, src/ImageSelect.py 1.14, src/ImgManip.py 1.3, src/ListModel.py 1.13, src/LocEdit.py 1.4, src/Marriage.py 1.6, src/MediaView.py 1.8, src/MergeData.py 1.4, src/NameEdit.py 1.4, src/NoteEdit.py 1.4, src/PaperMenu.py 1.4, src/PedView.py 1.3, src/PlaceView.py 1.5, src/Plugins.py 1.4, src/QuestionDialog.py 1.6, src/QuickAdd.py 1.4, src/RelImage.py 1.4, src/Report.py 1.6, src/SelectChild.py 1.6, src/SourceView.py 1.5, src/Sources.py 1.4, src/StartupDialog.py 1.3, src/StyleEditor.py 1.4, src/UrlEdit.py 1.3, src/Utils.py 1.8, src/VersionControl.py 1.4, src/gramps.py 1.4, src/gramps_main.py 1.16:
	Removed unneeded pygtk calls

2002-11-26  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Sources.py 1.3: Added sources.py, missing from CVS

	* src/EditPlace.py 1.3, src/EditSource.py 1.4, src/EventEdit.py 1.2, src/FamilyView.py 1.8, src/Filter.py 1.3, src/Find.py 1.3, src/GenericFilter.py 1.6, src/GrampsCfg.py 1.8, src/ImageSelect.py 1.13, src/ImgManip.py 1.2, src/ListModel.py 1.12, src/LocEdit.py 1.3, src/Makefile.am 1.6, src/Makefile.in 1.7, src/Marriage.py 1.5, src/MediaView.py 1.7, src/MergeData.py 1.3, src/NameEdit.py 1.3, src/NoteEdit.py 1.3, src/PaperMenu.py 1.3, src/PedView.py 1.2, src/PlaceView.py 1.4, src/Plugins.py 1.3, src/QuestionDialog.py 1.5, src/QuickAdd.py 1.3, src/RelImage.py 1.3, src/Report.py 1.5, src/SelectChild.py 1.5, src/SourceView.py 1.4, src/StartupDialog.py 1.2, src/StyleEditor.py 1.3, src/UrlEdit.py 1.2, src/Utils.py 1.7, src/VersionControl.py 1.3, src/const.py 1.10, src/const.py.in 1.7, src/gramps.py 1.3, src/gramps_main.py 1.15, src/grampslib_wrap.c 1.1, src/intl.py 1.2, src/papersize.xml 1.2, configure 1.9, configure.in 1.9, example/gramps/data.gramps 1.5, src/AddMedia.py 1.4, src/AddSpouse.py 1.4, src/AddrEdit.py 1.4, src/AttrEdit.py 1.3, src/AutoComp.py 1.6, src/Bookmarks.py 1.2, src/ChooseParents.py 1.3, src/DateEdit.py 1.2, src/DbPrompter.py 1.3, src/DisplayTrace.py 1.6, src/EditPerson.py 1.8:
	use pygtk.require to determine database

2002-11-25  Don Allingham  <dallingham@users.sourceforge.net>

	* configure 1.8, configure.in 1.8, gramps.spec 1.7, src/AddMedia.py 1.3, src/AddSpouse.py 1.3, src/AddrEdit.py 1.3, src/AttrEdit.py 1.2, src/AutoComp.py 1.5, src/Date.py 1.2, src/DbPrompter.py 1.2, src/DisplayTrace.py 1.5, src/Filter.py 1.2, src/Find.py 1.2, src/GenericFilter.py 1.5, src/ImageSelect.py 1.12, src/ListModel.py 1.11, src/LocEdit.py 1.2, src/Marriage.py 1.4, src/NameEdit.py 1.2, src/VersionControl.py 1.2, src/bad.xpm 1.2, src/caution.xpm 1.2, src/const.py 1.9, src/docgen/AbiWordDoc.py 1.2, src/docgen/HtmlDoc.py 1.2, src/docgen/KwordDoc.py 1.2, src/docgen/LaTeXDoc.py 1.2, src/docgen/OpenDrawDoc.py 1.2, src/docgen/OpenOfficeDoc.py 1.2, src/docgen/PSDrawDoc.py 1.2, src/docgen/PdfDoc.py 1.2, src/docgen/PdfDrawDoc.py 1.2, src/docgen/RTFDoc.py 1.2, src/docgen/SvgDrawDoc.py 1.2, src/filters/After.py 1.2, src/filters/Before.py 1.2, src/filters/Disconnected.py 1.2, src/filters/EventPlace.py 1.2, src/filters/EventType.py 1.2, src/filters/Females.py 1.2, src/filters/HavePhotos.py 1.2, src/filters/IncompleteNames.py 1.2, src/filters/Males.py 1.2, src/filters/MatchSndEx.py 1.2, src/filters/MatchSndEx2.py 1.2, src/filters/MutlipleMarriages.py 1.2, src/filters/NeverMarried.py 1.2, src/filters/NoBirthdate.py 1.2, src/filters/NoChildren.py 1.2, src/filters/RegExMatch.py 1.2, src/filters/SubString.py 1.2, src/good.xpm 1.2, src/gramps.py 1.2, src/gramps.zodb 1.2, src/imagesel.glade 1.3, src/intl.c 1.2, src/marriage.glade 1.3, src/plugins/AncestorChart.py 1.2, src/plugins/AncestorReport.py 1.2, src/plugins/DesGraph.py 1.2, src/plugins/Desbrowser.py 1.3, src/plugins/DescendReport.py 1.2, src/plugins/DetAncestralReport.py 1.2, src/plugins/DetDescendantReport.py 1.3, src/plugins/FamilyGroup.py 1.2, src/plugins/GraphViz.py 1.3, src/plugins/IndivComplete.py 1.3, src/plugins/IndivSummary.py 1.2, src/plugins/PatchNames.py 1.3, src/plugins/ReadNative.py 1.3, src/plugins/ReorderIds.py 1.2, src/plugins/Summary.py 1.2, src/plugins/Verify.py 1.2, src/plugins/WebPage.py 1.2, src/plugins/WriteGedcom.py 1.4, src/plugins/WritePafPalm.py 1.2, src/plugins/WritePkg.py 1.2, src/plugins/count_anc.py 1.2, src/plugins/soundgen.py 1.2:
	UTF-8 support for translations, clean up gettext, improved gallery handling

2002-11-21  Don Allingham  <dallingham@users.sourceforge.net>

	* src/const.py.in 1.6: New images for date "LEDs"

	* src/AddrEdit.py 1.2, src/EditPerson.py 1.7, src/FamilyView.py 1.7, src/ListModel.py 1.10, src/Marriage.py 1.3, src/bad.png 1.1, src/caution.png 1.1, src/const.py 1.8, src/good.png 1.1, src/marriage.glade 1.2:
	Improved editor handling for marriage and person edits

2002-11-19  Don Allingham  <dallingham@users.sourceforge.net>

	* src/RelLib.py 1.4, src/const.py.in 1.5, src/fam.xpm 1.2:
	Fix bookmark handling

	* src/DisplayTrace.py 1.4, src/GedcomInfo.py 1.2, src/GenericFilter.py 1.4, src/ListModel.py 1.9, src/PaperMenu.py 1.2, src/Report.py 1.4, src/const.py 1.7, src/papersize.xml 1.1, src/plugins/RelCalc.py 1.3, src/plugins/relcalc.glade 1.3:
	removal of u2l, papersizes read from XML file

2002-11-17  Don Allingham  <dallingham@users.sourceforge.net>

	* gramps.spec 1.6, src/ListModel.py 1.8, src/const.py 1.6, src/gramps_main.py 1.14, configure 1.7, configure.in 1.7:
	Delay attaching ListStore to TreeView until after names have been loaded.

2002-11-16  Don Allingham  <dallingham@users.sourceforge.net>

	* example/gramps/data.gramps 1.4, src/GrampsCfg.py 1.7, src/MergeData.py 1.2, src/gramps_main.py 1.13, src/plugins/Merge.py 1.4, src/plugins/RelCalc.py 1.2, src/plugins/merge.glade 1.2, src/plugins/relcalc.glade 1.2:
	Updates to relationship calculator, disabling menus, saving sidebar/filters

2002-11-15  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.6, src/FamilyView.py 1.6, src/ListModel.py 1.7, src/QuickAdd.py 1.2, src/SelectChild.py 1.4, src/edit_person.glade 1.3, src/filters/AltFam.py 1.2, src/gramps.glade 1.10, src/gramps_main.py 1.12, src/plugins/EventCmp.py 1.5, src/revision.glade 1.2:
	EditPerson fixes, list model enhancements

2002-11-14  Don Allingham  <dallingham@users.sourceforge.net>

	* src/GenericFilter.py 1.3, src/GrampsCfg.py 1.6, src/ListModel.py 1.6, src/plugins/FilterEditor.py 1.3, src/rule.glade 1.2:
	ListModel improvements, GenericFilter moved to GNOME 2

2002-11-12  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Utils.py 1.6, src/const.py 1.5, src/const.py.in 1.4, src/plugins/WriteGedcom.py 1.3, src/GrampsCfg.py 1.5, src/ImageSelect.py 1.11:
	Added ability to use natilus theme icons. Set default path for writing GEDCOM files.

	* src/icons/application-msword.png 1.2, src/icons/application-pdf.png 1.2, src/icons/application-postscript.png 1.2, src/icons/application-rtf.png 1.2, src/icons/application-vnd-ms-excel.png 1.2, src/icons/application-vnd-ms-powerpoint.png 1.2, src/icons/application-vnd-rn-realmedia.png 1.2, src/icons/application-vnd-stardivision-calc.png 1.2, src/icons/application-vnd-stardivision-impress.png 1.2, src/icons/application-vnd-stardivision-writer.png 1.2, src/icons/application-vnd-sun-xml-calc.png 1.2, src/icons/application-vnd-sun-xml-impress.png 1.2, src/icons/application-vnd-sun-xml-writer.png 1.2, src/icons/application-x-abiword.png 1.2, src/icons/application-x-gnumeric.png 1.2, src/icons/application-x-killustrator.png 1.2, src/icons/application-x-kpresenter.png 1.2, src/icons/application-x-kspread.png 1.2, src/icons/application-x-kword.png 1.2, src/icons/application-x-ogg.png 1.2, src/icons/audio-ac3.png 1.2, src/icons/audio-basic.png 1.2, src/icons/audio-x-aiff.png 1.2, src/icons/audio-x-midi.png 1.2, src/icons/audio-x-mp3.png 1.2, src/icons/audio-x-real-audio.png 1.2, src/icons/audio-x-ulaw.png 1.2, src/icons/audio-x-wav.png 1.2, src/icons/audio.png 1.2, src/icons/gnome-http-url.png 1.2, src/icons/image-x-xcf.png 1.2, src/icons/image.png 1.2, src/icons/text-css.png 1.2, src/icons/text-html.png 1.2, src/icons/text-plain.png 1.2, src/icons/text-x-java.png 1.2, src/icons/text-x-tex.png 1.2, src/icons/text-xml.png 1.2, src/icons/text.png 1.2, src/icons/video-mpeg.png 1.2, src/icons/video-quicktime.png 1.2, src/icons/video-x-ms-asf.png 1.2, src/icons/video-x-ms-wmv.png 1.2, src/icons/video-x-msvideo.png 1.2, src/icons/application-eps.png 1.2:
	Icons are no longer needed, because the nautlus theme is read

2002-11-10  Don Allingham  <dallingham@users.sourceforge.net>

	* src/gramps_main.py 1.11:
	Fixes for sidebar value saving and apply_filter fixes

	* src/const.py.in 1.3: Updated configuration for 0.9.0-pre4

	* src/ListModel.py 1.5, src/gramps.glade 1.9:
	Fixed sorting on people tabs

	* src/gramps_main.py 1.10: Warning message

	* configure.in 1.6, gramps.spec 1.5, src/ListModel.py 1.4, src/const.py 1.4, src/const.py.in 1.2, src/gramps.glade 1.8, src/gramps_main.py 1.9, configure 1.6:
	Tabbed pages in the person list

2002-11-09  Don Allingham  <dallingham@users.sourceforge.net>

	* gramps.spec.in 1.3, src/EditPerson.py 1.5, src/FamilyView.py 1.5, src/ImageSelect.py 1.10, src/Marriage.py 1.2, src/MediaView.py 1.6, src/PlaceView.py 1.3, src/QuestionDialog.py 1.4, src/RelLib.py 1.3, src/SourceView.py 1.3, src/gramps_main.py 1.8, src/plugins/ReadGedcom.py 1.4:
	GEDCOM/ANSEL handing, improved list access

	* src/ansel_utf8.py 1.1: Ansel to Unicode translation

2002-11-08  Don Allingham  <dallingham@users.sourceforge.net>

	* Makefile.am 1.2, Makefile.in 1.6, configure 1.5, configure.in 1.5, doc/Makefile.in 1.4, doc/extending-gramps/C/Makefile.in 1.4, doc/extending-gramps/Makefile.in 1.4, doc/gramps-manual/C/Makefile.in 1.4, doc/gramps-manual/Makefile.in 1.4, doc/gramps.1 1.3, gramps.spec 1.4, gramps.spec.in 1.2, omf-install/Makefile.am 1.2, omf-install/Makefile.in 1.4, src/Makefile.am 1.5, src/Makefile.in 1.6, src/data/Makefile.in 1.4, src/data/templates/Makefile.in 1.4, src/docgen/Makefile.in 1.4, src/filters/Makefile.in 1.4, src/plugins/Makefile.in 1.4, src/po/Makefile.in 1.4:
	Updated configure scripts

	* configure 1.4, configure.in 1.4, gramps.spec 1.3, src/ImageSelect.py 1.9, src/const.py 1.3:
	Updated configure script

	* example/gramps/data.gramps 1.3, src/EditPerson.py 1.4, src/ImageSelect.py 1.8, src/ListModel.py 1.3, src/SelectChild.py 1.3, src/edit_person.glade 1.2, src/gramps.glade 1.7, src/mergedata.glade 1.2, src/plugins/EventCmp.py 1.4, src/plugins/Merge.py 1.3, src/plugins/eventcmp.glade 1.2:
	Gallery drag/drop functionality

2002-11-05  Don Allingham  <dallingham@users.sourceforge.net>

	* src/Utils.py 1.5, src/plugins/EventCmp.py 1.3, src/soundex.py 1.2, src/ImageSelect.py 1.7, src/MediaView.py 1.5:
	Media gallery improvements

2002-11-04  Don Allingham  <dallingham@users.sourceforge.net>

	* Makefile.in 1.5, configure 1.3, configure.in 1.3, doc/Makefile.in 1.3, doc/extending-gramps/C/Makefile.in 1.3, doc/extending-gramps/Makefile.in 1.3, doc/gramps-manual/C/Makefile.in 1.3, doc/gramps-manual/Makefile.in 1.3, doc/gramps.1 1.2, gramps.spec 1.2, omf-install/Makefile.in 1.3, src/GrampsCfg.py 1.4, src/preferences.glade 1.2:
	Preferences updates - removal of options that no longer apply

	* src/Sources.py 1.2, src/WriteXML.py 1.3, src/plugins/ChangeTypes.py 1.2, src/plugins/Check.py 1.2, src/plugins/Merge.py 1.2, src/plugins/PatchNames.py 1.2, src/AddSpouse.py 1.2, src/GrampsCfg.py 1.3, src/QuestionDialog.py 1.3, src/Sorter.py 1.2:
	Removed Sorter.py

2002-11-03  Don Allingham  <dallingham@users.sourceforge.net>

	* src/filters/Makefile.in 1.3, src/plugins/Makefile.in 1.3, src/plugins/ReadGedcom.py 1.3, src/po/Makefile.in 1.3, src/Makefile.am 1.4, src/Makefile.in 1.5, src/Plugins.py 1.2, src/const.py 1.2, src/data/Makefile.in 1.3, src/data/templates/Makefile.in 1.3, src/docgen/Makefile.in 1.3, src/plugins.glade 1.3:
	GEDCOM importing working, Plugin dialog working

2002-11-02  Don Allingham  <dallingham@users.sourceforge.net>

	* src/EditPerson.py 1.3, src/FamilyView.py 1.4, src/ImageSelect.py 1.6, src/ListModel.py 1.2, src/NoteEdit.py 1.2, src/SelectChild.py 1.2, src/Utils.py 1.4, src/gramps.glade 1.6, src/gramps_main.py 1.7, src/plugins.glade 1.2, src/AutoComp.py 1.4:
	Pre02 for gramps-0.9.0

2002-10-29  Don Allingham  <dallingham@users.sourceforge.net>

	* Makefile.in 1.4, src/AutoComp.py 1.3: AutoComp fixes

	* Makefile.in 1.3, configure 1.2, configure.in 1.2, doc/Makefile.in 1.2, doc/extending-gramps/C/Makefile.in 1.2, doc/extending-gramps/Makefile.in 1.2, doc/gramps-manual/C/Makefile.in 1.2, doc/gramps-manual/Makefile.in 1.2, omf-install/Makefile.in 1.2, src/AutoComp.py 1.2, src/Makefile.am 1.3, src/Makefile.in 1.4, src/data/Makefile.in 1.2, src/data/templates/Makefile.in 1.2, src/docgen/Makefile.in 1.2, src/filters/Makefile.in 1.2, src/plugins/Makefile.in 1.2, src/po/Makefile.in 1.2:
	Fixed configure script to use pkg-config

2002-10-28  Don Allingham  <dallingham@users.sourceforge.net>

	* src/plugins/DetDescendantReport.py 1.2, src/plugins/EventCmp.py 1.2, src/plugins/FilterEditor.py 1.2, src/plugins/GraphViz.py 1.2, src/plugins/IndivComplete.py 1.2, src/plugins/ReadGedcom.py 1.2, src/plugins/ReadNative.py 1.2, src/plugins/WriteGedcom.py 1.2, example/gramps/data.gramps 1.2, src/DisplayTrace.py 1.3, src/EditSource.py 1.3, src/FamilyView.py 1.3, src/GenericFilter.py 1.2, src/GrampsCfg.py 1.2, src/GraphLayout.py 1.2, src/ImageSelect.py 1.5, src/Report.py 1.3, src/SourceView.py 1.2, src/StyleEditor.py 1.2, src/Utils.py 1.3, src/gramps.glade 1.5, src/grampslib.i 1.2, src/plugins/Desbrowser.py 1.2, src/styles.glade 1.2:
	GTK translation updates

2002-10-27  Don Allingham  <dallingham@users.sourceforge.net>

	* src/DisplayTrace.py 1.2, src/gramps_main.py 1.6:
	Clean up of unused functions

	* src/gramps_main.py 1.5: Removal of unused functions

	* src/ChooseParents.py 1.2, src/ImageSelect.py 1.4, src/MediaView.py 1.4, src/gramps.glade 1.4, src/gramps_main.py 1.4:
	Improvements to media view and parent selection

2002-10-25  Don Allingham  <dallingham@users.sourceforge.net>

	* src/FamilyView.py 1.2, src/ImageSelect.py 1.3, src/ListModel.py 1.1, src/Makefile.am 1.2, src/Makefile.in 1.3, src/MediaView.py 1.3, src/Utils.py 1.2, src/gramps.glade 1.3, src/gramps_main.py 1.3, src/grampslib.i 1.1, src/icons/application-eps.png 1.1, src/icons/application-msword.png 1.1, src/icons/application-pdf.png 1.1, src/icons/application-postscript.png 1.1, src/icons/application-rtf.png 1.1, src/icons/application-vnd-ms-excel.png 1.1, src/icons/application-vnd-ms-powerpoint.png 1.1, src/icons/application-vnd-rn-realmedia.png 1.1, src/icons/application-vnd-stardivision-calc.png 1.1, src/icons/application-vnd-stardivision-impress.png 1.1, src/icons/application-vnd-stardivision-writer.png 1.1, src/icons/application-vnd-sun-xml-calc.png 1.1, src/icons/application-vnd-sun-xml-impress.png 1.1, src/icons/application-vnd-sun-xml-writer.png 1.1, src/icons/application-x-abiword.png 1.1, src/icons/application-x-gnumeric.png 1.1, src/icons/application-x-killustrator.png 1.1, src/icons/application-x-kpresenter.png 1.1, src/icons/application-x-kspread.png 1.1, src/icons/application-x-kword.png 1.1, src/icons/application-x-ogg.png 1.1, src/icons/audio-ac3.png 1.1, src/icons/audio-basic.png 1.1, src/icons/audio-x-aiff.png 1.1, src/icons/audio-x-midi.png 1.1, src/icons/audio-x-mp3.png 1.1, src/icons/audio-x-real-audio.png 1.1, src/icons/audio-x-ulaw.png 1.1, src/icons/audio-x-wav.png 1.1, src/icons/audio.png 1.1, src/icons/gnome-http-url.png 1.1, src/icons/image-x-xcf.png 1.1, src/icons/image.png 1.1, src/icons/text-css.png 1.1, src/icons/text-html.png 1.1, src/icons/text-plain.png 1.1, src/icons/text-x-java.png 1.1, src/icons/text-x-tex.png 1.1, src/icons/text-xml.png 1.1, src/icons/text.png 1.1, src/icons/video-mpeg.png 1.1, src/icons/video-quicktime.png 1.1, src/icons/video-x-ms-asf.png 1.1, src/icons/video-x-ms-wmv.png 1.1, src/icons/video-x-msvideo.png 1.1, src/imagesel.glade 1.2:
	Added MIME support via the new grampslib C module.

2002-10-21  Don Allingham  <dallingham@users.sourceforge.net>

	* src/AddMedia.py 1.2, src/EditPerson.py 1.2, src/EditPlace.py 1.2, src/ImageSelect.py 1.2, src/MediaView.py 1.2, src/PlaceView.py 1.2, src/QuestionDialog.py 1.2, src/ReadXML.py 1.2, src/RelImage.py 1.2, src/RelLib.py 1.2, src/Report.py 1.2, src/WriteXML.py 1.2, src/gramps_main.py 1.2:
	Fixed place editing

2002-10-20  Don Allingham  <dallingham@users.sourceforge.net>

	* Makefile.in 1.2, src/EditSource.py 1.2, src/Makefile.in 1.2, src/gramps.glade 1.2, src/gramps.gladep 1.2:
	Fixed EditSource, rearranged buttons on FamilyView

	* example/gramps/.thumb/O0.jpg 1.1.1.1, example/gramps/.thumb/O0006.jpg 1.1.1.1, example/gramps/.thumb/O1.jpg 1.1.1.1, example/gramps/.thumb/O2.jpg 1.1.1.1, example/gramps/.thumb/O3.jpg 1.1.1.1, example/gramps/.thumb/O4.jpg 1.1.1.1, example/gramps/.thumb/O5.jpg 1.1.1.1, example/gramps/15.png 1.1.1.1, omf-install/Makefile.am 1.1.1.1, omf-install/Makefile.in 1.1.1.1, omf-install/extending-gramps-C.omf 1.1.1.1, omf-install/gramps-manual-C.omf 1.1.1.1:
	Initial GNOME 2 port

	* example/gramps/.thumb/O0.jpg 1.1, example/gramps/.thumb/O0006.jpg 1.1, example/gramps/.thumb/O1.jpg 1.1, example/gramps/.thumb/O2.jpg 1.1, example/gramps/.thumb/O3.jpg 1.1, example/gramps/.thumb/O4.jpg 1.1, example/gramps/.thumb/O5.jpg 1.1, example/gramps/15.png 1.1, omf-install/Makefile.am 1.1, omf-install/Makefile.in 1.1, omf-install/extending-gramps-C.omf 1.1, omf-install/gramps-manual-C.omf 1.1:
	New file.

	* example/gramps/14.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/14.png 1.1: New file.

	* example/gramps/13.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/13.png 1.1: New file.

	* example/gramps/12.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/12.png 1.1: New file.

	* example/gramps/11.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/11.png 1.1: New file.

	* example/gramps/10.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/10.png 1.1: New file.

	* example/gramps/9.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/9.png 1.1: New file.

	* example/gramps/8.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/8.png 1.1: New file.

	* example/gramps/7.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/7.png 1.1: New file.

	* example/gramps/6.png 1.1.1.1: Initial GNOME 2 port

	* example/gramps/6.png 1.1: New file.

	* example/gramps/O0006.jpg 1.1.1.1: Initial GNOME 2 port

	* example/gramps/O0006.jpg 1.1: New file.

	* example/gramps/O5.jpg 1.1.1.1: Initial GNOME 2 port

	* example/gramps/O5.jpg 1.1: New file.

	* example/gramps/O0.jpg 1.1.1.1, example/gramps/O1.jpg 1.1.1.1, example/gramps/O2.jpg 1.1.1.1, example/gramps/O3.jpg 1.1.1.1, example/gramps/O4.jpg 1.1.1.1, example/gramps/data.gramps 1.1.1.1:
	Initial GNOME 2 port

	* example/gramps/O0.jpg 1.1, example/gramps/O1.jpg 1.1, example/gramps/O2.jpg 1.1, example/gramps/O3.jpg 1.1, example/gramps/O4.jpg 1.1, example/gramps/data.gramps 1.1:
	New file.

	* example/gedcom/sample.ged 1.1.1.1, example/gramps.zodb 1.1.1.1, src/.thumbnails/logo.png 1.1.1.1:
	Initial GNOME 2 port

	* example/gedcom/sample.ged 1.1, example/gramps.zodb 1.1, src/.thumbnails/logo.png 1.1:
	New file.

	* src/.xvpics/family48.png 1.1.1.1, src/.xvpics/icon-people02d-24x24.png 1.1.1.1, src/.xvpics/icon-people02d-48x48.png 1.1.1.1, src/.xvpics/people48.png 1.1.1.1, src/.xvpics/people48.xpm 1.1.1.1, src/.xvpics/place.png 1.1.1.1, src/plugins/DetDescendantReport.py 1.1.1.1:
	Initial GNOME 2 port

	* src/.xvpics/family48.png 1.1, src/.xvpics/icon-people02d-24x24.png 1.1, src/.xvpics/icon-people02d-48x48.png 1.1, src/.xvpics/people48.png 1.1, src/.xvpics/people48.xpm 1.1, src/.xvpics/place.png 1.1, src/plugins/DetDescendantReport.py 1.1:
	New file.

	* src/plugins/Makefile.am 1.1.1.1, src/plugins/verify.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/Makefile.am 1.1, src/plugins/verify.glade 1.1: New file.

	* src/plugins/soundex.glade 1.1.1.1, src/plugins/soundgen.py 1.1.1.1, src/plugins/summary.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/soundex.glade 1.1, src/plugins/soundgen.py 1.1, src/plugins/summary.glade 1.1:
	New file.

	* src/plugins/readgedcom.glade 1.1.1.1, src/plugins/relcalc.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/readgedcom.glade 1.1, src/plugins/relcalc.glade 1.1:
	New file.

	* src/plugins/merge.glade 1.1.1.1, src/plugins/pafexport.glade 1.1.1.1, src/plugins/patchnames.glade 1.1.1.1, src/plugins/pkgexport.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/merge.glade 1.1, src/plugins/pafexport.glade 1.1, src/plugins/patchnames.glade 1.1, src/plugins/pkgexport.glade 1.1:
	New file.

	* src/plugins/gedcomexport.glade 1.1.1.1, src/plugins/gedcomimport.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/gedcomexport.glade 1.1, src/plugins/gedcomimport.glade 1.1:
	New file.

	* src/plugins/eventcmp.glade 1.1.1.1: Initial GNOME 2 port

	* src/plugins/eventcmp.glade 1.1: New file.

	* src/plugins/changetype.glade 1.1.1.1, src/plugins/count_anc.py 1.1.1.1, src/plugins/desbrowse.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/changetype.glade 1.1, src/plugins/count_anc.py 1.1, src/plugins/desbrowse.glade 1.1:
	New file.

	* src/plugins/WriteGedcom.py 1.1.1.1, src/plugins/WritePafPalm.py 1.1.1.1, src/plugins/WritePkg.py 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/WriteGedcom.py 1.1, src/plugins/WritePafPalm.py 1.1, src/plugins/WritePkg.py 1.1:
	New file.

	* src/plugins/WebPage.py 1.1.1.1: Initial GNOME 2 port

	* src/plugins/WebPage.py 1.1: New file.

	* src/plugins/Merge.py 1.1.1.1, src/plugins/PatchNames.py 1.1.1.1, src/plugins/ReadGedcom.py 1.1.1.1, src/plugins/ReadNative.py 1.1.1.1, src/plugins/RelCalc.py 1.1.1.1, src/plugins/ReorderIds.py 1.1.1.1, src/plugins/Summary.py 1.1.1.1, src/plugins/Verify.py 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/Merge.py 1.1, src/plugins/PatchNames.py 1.1, src/plugins/ReadGedcom.py 1.1, src/plugins/ReadNative.py 1.1, src/plugins/RelCalc.py 1.1, src/plugins/ReorderIds.py 1.1, src/plugins/Summary.py 1.1, src/plugins/Verify.py 1.1:
	New file.

	* src/plugins/IndivSummary.py 1.1.1.1, src/plugins/Makefile.in 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/IndivSummary.py 1.1, src/plugins/Makefile.in 1.1:
	New file.

	* src/plugins/IndivComplete.py 1.1.1.1: Initial GNOME 2 port

	* src/plugins/IndivComplete.py 1.1: New file.

	* src/plugins/FilterEditor.py 1.1.1.1, src/plugins/GraphViz.py 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/FilterEditor.py 1.1, src/plugins/GraphViz.py 1.1:
	New file.

	* src/plugins/FamilyGroup.py 1.1.1.1: Initial GNOME 2 port

	* src/plugins/FamilyGroup.py 1.1: New file.

	* src/plugins/DetAncestralReport.py 1.1.1.1, src/plugins/EventCmp.py 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/DetAncestralReport.py 1.1, src/plugins/EventCmp.py 1.1:
	New file.

	* src/plugins/DescendReport.py 1.1.1.1: Initial GNOME 2 port

	* src/plugins/DescendReport.py 1.1: New file.

	* src/plugins/AncestorReport.py 1.1.1.1, src/plugins/ChangeTypes.py 1.1.1.1, src/plugins/Check.py 1.1.1.1, src/plugins/DesGraph.py 1.1.1.1, src/plugins/Desbrowser.py 1.1.1.1:
	Initial GNOME 2 port

	* src/plugins/AncestorReport.py 1.1, src/plugins/ChangeTypes.py 1.1, src/plugins/Check.py 1.1, src/plugins/DesGraph.py 1.1, src/plugins/Desbrowser.py 1.1:
	New file.

	* src/filters/Makefile.am 1.1.1.1, src/filters/NoBirthdate.py 1.1.1.1, src/filters/NoChildren.py 1.1.1.1, src/filters/RegExMatch.py 1.1.1.1, src/filters/SubString.py 1.1.1.1, src/plugins/.cvsignore 1.1.1.1, src/plugins/AncestorChart.py 1.1.1.1:
	Initial GNOME 2 port

	* src/filters/Makefile.am 1.1, src/filters/NoBirthdate.py 1.1, src/filters/NoChildren.py 1.1, src/filters/RegExMatch.py 1.1, src/filters/SubString.py 1.1, src/plugins/.cvsignore 1.1, src/plugins/AncestorChart.py 1.1:
	New file.

	* src/filters/After.py 1.1.1.1, src/filters/AltFam.py 1.1.1.1, src/filters/Before.py 1.1.1.1, src/filters/Disconnected.py 1.1.1.1, src/filters/EventPlace.py 1.1.1.1, src/filters/EventType.py 1.1.1.1, src/filters/Females.py 1.1.1.1, src/filters/HavePhotos.py 1.1.1.1, src/filters/IncompleteNames.py 1.1.1.1, src/filters/Makefile.in 1.1.1.1, src/filters/Males.py 1.1.1.1, src/filters/MatchSndEx.py 1.1.1.1, src/filters/MatchSndEx2.py 1.1.1.1, src/filters/MutlipleMarriages.py 1.1.1.1, src/filters/NeverMarried.py 1.1.1.1:
	Initial GNOME 2 port

	* src/filters/After.py 1.1, src/filters/AltFam.py 1.1, src/filters/Before.py 1.1, src/filters/Disconnected.py 1.1, src/filters/EventPlace.py 1.1, src/filters/EventType.py 1.1, src/filters/Females.py 1.1, src/filters/HavePhotos.py 1.1, src/filters/IncompleteNames.py 1.1, src/filters/Makefile.in 1.1, src/filters/Males.py 1.1, src/filters/MatchSndEx.py 1.1, src/filters/MatchSndEx2.py 1.1, src/filters/MutlipleMarriages.py 1.1, src/filters/NeverMarried.py 1.1:
	New file.

	* src/docgen/Makefile.am 1.1.1.1, src/docgen/PdfDoc.py 1.1.1.1, src/docgen/PdfDrawDoc.py 1.1.1.1, src/docgen/RTFDoc.py 1.1.1.1, src/docgen/SvgDrawDoc.py 1.1.1.1, src/filters/.cvsignore 1.1.1.1:
	Initial GNOME 2 port

	* src/docgen/Makefile.am 1.1, src/docgen/PdfDoc.py 1.1, src/docgen/PdfDrawDoc.py 1.1, src/docgen/RTFDoc.py 1.1, src/docgen/SvgDrawDoc.py 1.1, src/filters/.cvsignore 1.1:
	New file.

	* src/docgen/KwordDoc.py 1.1.1.1, src/docgen/LaTeXDoc.py 1.1.1.1, src/docgen/Makefile.in 1.1.1.1, src/docgen/OpenDrawDoc.py 1.1.1.1, src/docgen/OpenOfficeDoc.py 1.1.1.1, src/docgen/OpenSpreadSheet.py 1.1.1.1, src/docgen/PSDrawDoc.py 1.1.1.1:
	Initial GNOME 2 port

	* src/docgen/KwordDoc.py 1.1, src/docgen/LaTeXDoc.py 1.1, src/docgen/Makefile.in 1.1, src/docgen/OpenDrawDoc.py 1.1, src/docgen/OpenOfficeDoc.py 1.1, src/docgen/OpenSpreadSheet.py 1.1, src/docgen/PSDrawDoc.py 1.1:
	New file.

	* src/docgen/.cvsignore 1.1.1.1, src/docgen/AbiWordDoc.py 1.1.1.1, src/docgen/HtmlDoc.py 1.1.1.1, src/po/ChangeLog 1.1.1.1, src/po/POTFILES.in 1.1.1.1, src/po/cs.po 1.1.1.1:
	Initial GNOME 2 port

	* src/docgen/.cvsignore 1.1, src/docgen/AbiWordDoc.py 1.1, src/docgen/HtmlDoc.py 1.1, src/po/ChangeLog 1.1, src/po/POTFILES.in 1.1, src/po/cs.po 1.1:
	New file.

	* src/po/cs.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/cs.mo 1.1: New file.

	* src/po/Makefile.in 1.1.1.1: Initial GNOME 2 port

	* src/po/Makefile.in 1.1: New file.

	* src/po/da_DK.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/da_DK.mo 1.1: New file.

	* src/po/Makefile.am 1.1.1.1, src/po/ru.mo 1.1.1.1:
	Initial GNOME 2 port

	* src/po/Makefile.am 1.1, src/po/ru.mo 1.1: New file.

	* src/po/pt_BR.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/pt_BR.mo 1.1: New file.

	* src/po/it.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/it.mo 1.1: New file.

	* src/po/es.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/es.mo 1.1: New file.

	* src/po/fr.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/fr.mo 1.1: New file.

	* src/po/de.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/de.mo 1.1: New file.

	* src/po/template.po 1.1.1.1: Initial GNOME 2 port

	* src/po/template.po 1.1: New file.

	* src/po/sv.po 1.1.1.1: Initial GNOME 2 port

	* src/po/sv.po 1.1: New file.

	* src/po/ru.po 1.1.1.1: Initial GNOME 2 port

	* src/po/ru.po 1.1: New file.

	* src/po/pt_BR.po 1.1.1.1: Initial GNOME 2 port

	* src/po/pt_BR.po 1.1: New file.

	* src/po/it.po 1.1.1.1: Initial GNOME 2 port

	* src/po/it.po 1.1: New file.

	* src/po/fr.po 1.1.1.1: Initial GNOME 2 port

	* src/po/fr.po 1.1: New file.

	* src/po/es.po 1.1.1.1: Initial GNOME 2 port

	* src/po/es.po 1.1: New file.

	* src/po/de.po 1.1.1.1: Initial GNOME 2 port

	* src/po/de.po 1.1: New file.

	* src/po/da_DK.po 1.1.1.1: Initial GNOME 2 port

	* src/po/da_DK.po 1.1: New file.

	* src/po/sv.mo 1.1.1.1: Initial GNOME 2 port

	* src/po/sv.mo 1.1: New file.

	* src/data/templates/Makefile.am 1.1.1.1, src/data/templates/Makefile.in 1.1.1.1, src/data/templates/marble.tpkg 1.1.1.1, src/data/templates/pink_marble.tpkg 1.1.1.1, src/data/templates/sepia.tpkg 1.1.1.1, src/data/templates/sky_border.tpkg 1.1.1.1, src/data/templates/templates.xml 1.1.1.1:
	Initial GNOME 2 port

	* src/data/templates/Makefile.am 1.1, src/data/templates/Makefile.in 1.1, src/data/templates/marble.tpkg 1.1, src/data/templates/pink_marble.tpkg 1.1, src/data/templates/sepia.tpkg 1.1, src/data/templates/sky_border.tpkg 1.1, src/data/templates/templates.xml 1.1:
	New file.

	* src/data/Makefile.am 1.1.1.1, src/data/Makefile.in 1.1.1.1, src/data/gedcom.xml 1.1.1.1, src/data/templates/blue_edge.tpkg 1.1.1.1:
	Initial GNOME 2 port

	* src/data/Makefile.am 1.1, src/data/Makefile.in 1.1, src/data/gedcom.xml 1.1, src/data/templates/blue_edge.tpkg 1.1:
	New file.

	* src/FamilyView.py 1.1.1.1, src/SubstKeywords.py 1.1.1.1, src/data/.cvsignore 1.1.1.1, src/media.png 1.1.1.1, src/srcsel.gladep 1.1.1.1:
	Initial GNOME 2 port

	* src/FamilyView.py 1.1, src/SubstKeywords.py 1.1, src/data/.cvsignore 1.1, src/media.png 1.1, src/srcsel.gladep 1.1:
	New file.

	* src/ChangeLog 1.1.1.1, src/Makefile.am 1.1.1.1, src/acconfig.h 1.1.1.1, src/const.py.in 1.1.1.1, src/place.png 1.1.1.1:
	Initial GNOME 2 port

	* src/ChangeLog 1.1, src/Makefile.am 1.1, src/acconfig.h 1.1, src/const.py.in 1.1, src/place.png 1.1:
	New file.

	* src/AUTHORS 1.1.1.1, src/NEWS 1.1.1.1, src/README 1.1.1.1, src/Sorter.py 1.1.1.1, src/autogen.sh 1.1.1.1, src/dialog.gladep 1.1.1.1, src/family48.png 1.1.1.1, src/paper.xml 1.1.1.1, src/pedigree.xpm 1.1.1.1, src/people48.png 1.1.1.1, src/places.gladep 1.1.1.1, src/plugins.gladep 1.1.1.1, src/preferences.gladep 1.1.1.1, src/revision.gladep 1.1.1.1, src/system_filters.xml 1.1.1.1, src/trace.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/AUTHORS 1.1, src/NEWS 1.1, src/README 1.1, src/Sorter.py 1.1, src/autogen.sh 1.1, src/dialog.gladep 1.1, src/family48.png 1.1, src/paper.xml 1.1, src/pedigree.xpm 1.1, src/people48.png 1.1, src/places.gladep 1.1, src/plugins.gladep 1.1, src/preferences.gladep 1.1, src/revision.gladep 1.1, src/system_filters.xml 1.1, src/trace.glade 1.1:
	New file.

	* src/DisplayTrace.py 1.1.1.1, src/bad.xpm 1.1.1.1, src/caution.xpm 1.1.1.1, src/edit_person.glade 1.1.1.1, src/good.xpm 1.1.1.1, src/gramps.gladep 1.1.1.1, src/marriage.gladep 1.1.1.1:
	Initial GNOME 2 port

	* src/DisplayTrace.py 1.1, src/bad.xpm 1.1, src/caution.xpm 1.1, src/edit_person.glade 1.1, src/good.xpm 1.1, src/gramps.gladep 1.1, src/marriage.gladep 1.1:
	New file.

	* src/edit_person.gladep 1.1.1.1, src/filelist 1.1.1.1, src/gramps.zodb 1.1.1.1, src/styles.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/edit_person.gladep 1.1, src/filelist 1.1, src/gramps.zodb 1.1, src/styles.glade 1.1:
	New file.

	* src/srcsel.glade 1.1.1.1: Initial GNOME 2 port

	* src/srcsel.glade 1.1: New file.

	* src/rule.glade 1.1.1.1, src/sort.py 1.1.1.1, src/soundex.py 1.1.1.1, src/splash.jpg 1.1.1.1:
	Initial GNOME 2 port

	* src/rule.glade 1.1, src/sort.py 1.1, src/soundex.py 1.1, src/splash.jpg 1.1:
	New file.

	* src/preferences.glade 1.1.1.1, src/revision.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/preferences.glade 1.1, src/revision.glade 1.1: New file.

	* src/places.glade 1.1.1.1, src/plugins.glade 1.1.1.1:
	Initial GNOME 2 port

	* src/places.glade 1.1, src/plugins.glade 1.1: New file.

	* src/mergedata.glade 1.1.1.1, src/people.xpm 1.1.1.1:
	Initial GNOME 2 port

	* src/mergedata.glade 1.1, src/people.xpm 1.1: New file.

	* src/marriage.glade 1.1.1.1: Initial GNOME 2 port

	* src/marriage.glade 1.1: New file.

	* src/logo.png 1.1.1.1: Initial GNOME 2 port

	* src/logo.png 1.1: New file.

	* src/imagesel.glade 1.1.1.1, src/intl.c 1.1.1.1, src/intl.py 1.1.1.1, src/latin_ansel.py 1.1.1.1, src/latin_utf8.py 1.1.1.1:
	Initial GNOME 2 port

	* src/imagesel.glade 1.1, src/intl.c 1.1, src/intl.py 1.1, src/latin_ansel.py 1.1, src/latin_utf8.py 1.1:
	New file.

	* src/gramps_main.py 1.1.1.1: Initial GNOME 2 port

	* src/gramps_main.py 1.1: New file.

	* src/gramps.glade 1.1.1.1, src/gramps.png 1.1.1.1, src/gramps.py 1.1.1.1, src/gramps.xpm 1.1.1.1:
	Initial GNOME 2 port

	* src/gramps.glade 1.1, src/gramps.png 1.1, src/gramps.py 1.1, src/gramps.xpm 1.1:
	New file.

	* src/get_strings 1.1.1.1, src/gramps.desktop 1.1.1.1:
	Initial GNOME 2 port

	* src/get_strings 1.1, src/gramps.desktop 1.1: New file.

	* src/dialog.glade 1.1.1.1, src/fam.xpm 1.1.1.1, src/sources.png 1.1.1.1:
	Initial GNOME 2 port

	* src/dialog.glade 1.1, src/fam.xpm 1.1, src/sources.png 1.1: New file.

	* src/const.py 1.1.1.1: Initial GNOME 2 port

	* src/const.py 1.1: New file.

	* src/config.glade 1.1.1.1: Initial GNOME 2 port

	* src/config.glade 1.1: New file.

	* src/Utils.py 1.1.1.1, src/VersionControl.py 1.1.1.1, src/WriteXML.py 1.1.1.1, src/build_po 1.1.1.1:
	Initial GNOME 2 port

	* src/Utils.py 1.1, src/VersionControl.py 1.1, src/WriteXML.py 1.1, src/build_po 1.1:
	New file.

	* src/TextDoc.py 1.1.1.1, src/UrlEdit.py 1.1.1.1: Initial GNOME 2 port

	* src/TextDoc.py 1.1, src/UrlEdit.py 1.1: New file.

	* src/Report.py 1.1.1.1, src/SelectChild.py 1.1.1.1, src/SourceView.py 1.1.1.1, src/Sources.py 1.1.1.1, src/SpreadSheetDoc.py 1.1.1.1, src/StartupDialog.py 1.1.1.1, src/StyleEditor.py 1.1.1.1, src/TarFile.py 1.1.1.1:
	Initial GNOME 2 port

	* src/Report.py 1.1, src/SelectChild.py 1.1, src/SourceView.py 1.1, src/Sources.py 1.1, src/SpreadSheetDoc.py 1.1, src/StartupDialog.py 1.1, src/StyleEditor.py 1.1, src/TarFile.py 1.1:
	New file.

	* src/RelLib.py 1.1.1.1: Initial GNOME 2 port

	* src/RelLib.py 1.1: New file.

	* src/QuestionDialog.py 1.1.1.1, src/QuickAdd.py 1.1.1.1, src/ReadXML.py 1.1.1.1, src/RelImage.py 1.1.1.1:
	Initial GNOME 2 port

	* src/QuestionDialog.py 1.1, src/QuickAdd.py 1.1, src/ReadXML.py 1.1, src/RelImage.py 1.1:
	New file.

	* src/Plugins.py 1.1.1.1: Initial GNOME 2 port

	* src/Plugins.py 1.1: New file.

	* src/PedView.py 1.1.1.1, src/PlaceView.py 1.1.1.1:
	Initial GNOME 2 port

	* src/PedView.py 1.1, src/PlaceView.py 1.1: New file.

	* src/MergeData.py 1.1.1.1, src/NameEdit.py 1.1.1.1, src/NoteEdit.py 1.1.1.1, src/PaperMenu.py 1.1.1.1:
	Initial GNOME 2 port

	* src/MergeData.py 1.1, src/NameEdit.py 1.1, src/NoteEdit.py 1.1, src/PaperMenu.py 1.1:
	New file.

	* src/Makefile.in 1.1.1.1, src/Marriage.py 1.1.1.1, src/MediaView.py 1.1.1.1:
	Initial GNOME 2 port

	* src/Makefile.in 1.1, src/Marriage.py 1.1, src/MediaView.py 1.1:
	New file.

	* src/ImgManip.py 1.1.1.1, src/LocEdit.py 1.1.1.1: Initial GNOME 2 port

	* src/ImgManip.py 1.1, src/LocEdit.py 1.1: New file.

	* src/ImageSelect.py 1.1.1.1: Initial GNOME 2 port

	* src/ImageSelect.py 1.1: New file.

	* src/GrampsParser.py 1.1.1.1, src/GrampsXML.py 1.1.1.1, src/GrampsZODB.py 1.1.1.1, src/GraphLayout.py 1.1.1.1:
	Initial GNOME 2 port

	* src/GrampsParser.py 1.1, src/GrampsXML.py 1.1, src/GrampsZODB.py 1.1, src/GraphLayout.py 1.1:
	New file.

	* src/GrampsCfg.py 1.1.1.1: Initial GNOME 2 port

	* src/GrampsCfg.py 1.1: New file.

	* src/GenericFilter.py 1.1.1.1: Initial GNOME 2 port

	* src/GenericFilter.py 1.1: New file.

	* src/FontScale.py 1.1.1.1, src/GedcomInfo.py 1.1.1.1:
	Initial GNOME 2 port

	* src/FontScale.py 1.1, src/GedcomInfo.py 1.1: New file.

	* src/EditPlace.py 1.1.1.1, src/EditSource.py 1.1.1.1, src/EventEdit.py 1.1.1.1, src/Filter.py 1.1.1.1, src/Find.py 1.1.1.1:
	Initial GNOME 2 port

	* src/EditPlace.py 1.1, src/EditSource.py 1.1, src/EventEdit.py 1.1, src/Filter.py 1.1, src/Find.py 1.1:
	New file.

	* src/EditPerson.py 1.1.1.1: Initial GNOME 2 port

	* src/EditPerson.py 1.1: New file.

	* src/DbPrompter.py 1.1.1.1, src/DrawDoc.py 1.1.1.1:
	Initial GNOME 2 port

	* src/DbPrompter.py 1.1, src/DrawDoc.py 1.1: New file.

	* src/Date.py 1.1.1.1, src/DateEdit.py 1.1.1.1: Initial GNOME 2 port

	* src/Date.py 1.1, src/DateEdit.py 1.1: New file.

	* src/Bookmarks.py 1.1.1.1, src/Calendar.py 1.1.1.1, src/ChooseParents.py 1.1.1.1:
	Initial GNOME 2 port

	* src/Bookmarks.py 1.1, src/Calendar.py 1.1, src/ChooseParents.py 1.1:
	New file.

	* doc/gramps-manual/C/figures/sourcerefsel.png 1.1.1.1, doc/gramps-manual/C/figures/toolsel.png 1.1.1.1, src/.cvsignore 1.1.1.1, src/AddMedia.py 1.1.1.1, src/AddSpouse.py 1.1.1.1, src/AddrEdit.py 1.1.1.1, src/AttrEdit.py 1.1.1.1, src/AutoComp.py 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/sourcerefsel.png 1.1, doc/gramps-manual/C/figures/toolsel.png 1.1, src/.cvsignore 1.1, src/AddMedia.py 1.1, src/AddSpouse.py 1.1, src/AddrEdit.py 1.1, src/AttrEdit.py 1.1, src/AutoComp.py 1.1:
	New file.

	* doc/gramps-manual/C/figures/reportsel.png 1.1.1.1, doc/gramps-manual/C/figures/revcontrol.png 1.1.1.1, doc/gramps-manual/C/figures/savecomment.png 1.1.1.1, doc/gramps-manual/C/figures/sourcelist.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/reportsel.png 1.1, doc/gramps-manual/C/figures/revcontrol.png 1.1, doc/gramps-manual/C/figures/savecomment.png 1.1, doc/gramps-manual/C/figures/sourcelist.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/prefs-report.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-research.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-revision.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/prefs-report.png 1.1, doc/gramps-manual/C/figures/prefs-research.png 1.1, doc/gramps-manual/C/figures/prefs-revision.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/prefs-main.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-media.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/prefs-main.png 1.1, doc/gramps-manual/C/figures/prefs-media.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/prefs-guess.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-ids.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/prefs-guess.png 1.1, doc/gramps-manual/C/figures/prefs-ids.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/prefs-dates.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-disp.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-find.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-gen.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/prefs-dates.png 1.1, doc/gramps-manual/C/figures/prefs-disp.png 1.1, doc/gramps-manual/C/figures/prefs-find.png 1.1, doc/gramps-manual/C/figures/prefs-gen.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/prefs-colors.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/prefs-colors.png 1.1: New file.

	* doc/gramps-manual/C/figures/peoplelist.png 1.1.1.1, doc/gramps-manual/C/figures/placelist.png 1.1.1.1, doc/gramps-manual/C/figures/prefs-bars.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/peoplelist.png 1.1, doc/gramps-manual/C/figures/placelist.png 1.1, doc/gramps-manual/C/figures/prefs-bars.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/pedegreesel.png 1.1.1.1, doc/gramps-manual/C/figures/pedegreeview.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/pedegreesel.png 1.1, doc/gramps-manual/C/figures/pedegreeview.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/mediaview.png 1.1.1.1, doc/gramps-manual/C/figures/opendb.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/mediaview.png 1.1, doc/gramps-manual/C/figures/opendb.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/localmedia.png 1.1.1.1, doc/gramps-manual/C/figures/mainwin.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/localmedia.png 1.1, doc/gramps-manual/C/figures/mainwin.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/globalmedia.png 1.1.1.1, doc/gramps-manual/C/figures/gotobookmark.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/globalmedia.png 1.1, doc/gramps-manual/C/figures/gotobookmark.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/familyview.png 1.1.1.1, doc/gramps-manual/C/figures/filter.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/familyview.png 1.1, doc/gramps-manual/C/figures/filter.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/ep-general.png 1.1.1.1, doc/gramps-manual/C/figures/ep-internet.png 1.1.1.1, doc/gramps-manual/C/figures/ep-lds.png 1.1.1.1, doc/gramps-manual/C/figures/ep-notes.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/ep-general.png 1.1, doc/gramps-manual/C/figures/ep-internet.png 1.1, doc/gramps-manual/C/figures/ep-lds.png 1.1, doc/gramps-manual/C/figures/ep-notes.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/ep-attributes.png 1.1.1.1, doc/gramps-manual/C/figures/ep-event.png 1.1.1.1, doc/gramps-manual/C/figures/ep-gallery.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/ep-attributes.png 1.1, doc/gramps-manual/C/figures/ep-event.png 1.1, doc/gramps-manual/C/figures/ep-gallery.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/ep-altname.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/ep-altname.png 1.1: New file.

	* doc/gramps-manual/C/figures/druidpg1.png 1.1.1.1, doc/gramps-manual/C/figures/editbookmarks.png 1.1.1.1, doc/gramps-manual/C/figures/ep-address.png 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/druidpg1.png 1.1, doc/gramps-manual/C/figures/editbookmarks.png 1.1, doc/gramps-manual/C/figures/ep-address.png 1.1:
	New file.

	* doc/gramps-manual/C/figures/addmedia.png 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/up.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/warning.gif 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/figures/addmedia.png 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/up.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/warning.gif 1.1:
	New file.

	* doc/gramps-manual/C/gramps-manual/index.html 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/caution.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/home.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/important.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/next.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/note.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/prev.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/tip.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-blank.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-minus.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-plus.gif 1.1.1.1, doc/gramps-manual/C/gramps-manual/x129.html 1.1.1.1, doc/gramps-manual/C/gramps-manual/x41.html 1.1.1.1, doc/gramps-manual/C/gramps-manual/x84.html 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/gramps-manual/index.html 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/caution.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/home.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/important.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/next.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/note.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/prev.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/tip.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-blank.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-minus.gif 1.1, doc/gramps-manual/C/gramps-manual/stylesheet-images/toc-plus.gif 1.1, doc/gramps-manual/C/gramps-manual/x129.html 1.1, doc/gramps-manual/C/gramps-manual/x41.html 1.1, doc/gramps-manual/C/gramps-manual/x84.html 1.1:
	New file.

	* doc/gramps-manual/C/Makefile.in 1.1.1.1, doc/gramps-manual/C/gramps-manual/ln7.html 1.1.1.1, doc/gramps-manual/C/gramps-manual/t1.html 1.1.1.1, doc/gramps-manual/C/gramps-manual/x28.html 1.1.1.1, doc/gramps-manual/C/index.html 1.1.1.1, doc/gramps-manual/C/omf_timestamp 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/Makefile.in 1.1, doc/gramps-manual/C/gramps-manual/ln7.html 1.1, doc/gramps-manual/C/gramps-manual/t1.html 1.1, doc/gramps-manual/C/gramps-manual/x28.html 1.1, doc/gramps-manual/C/index.html 1.1, doc/gramps-manual/C/omf_timestamp 1.1:
	New file.

	* doc/gramps-manual/C/Makefile.am 1.1.1.1, doc/gramps-manual/C/gramps-manual-C.omf 1.1.1.1, doc/gramps-manual/C/gramps-manual.sgml 1.1.1.1:
	Initial GNOME 2 port

	* doc/gramps-manual/C/Makefile.am 1.1, doc/gramps-manual/C/gramps-manual-C.omf 1.1, doc/gramps-manual/C/gramps-manual.sgml 1.1:
	New file.

	* doc/extending-gramps/C/extending-gramps/index.html 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/caution.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/home.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/important.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/next.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/note.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/prev.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/tip.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/toc-blank.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/toc-minus.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/toc-plus.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/up.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/warning.gif 1.1.1.1, doc/extending-gramps/C/extending-gramps/x131.html 1.1.1.1, doc/extending-gramps/C/extending-gramps/x162.html 1.1.1.1, doc/extending-gramps/C/extending-gramps/x177.html 1.1.1.1, doc/gramps-manual/Makefile.am 1.1.1.1, doc/gramps-manual/Makefile.in 1.1.1.1:
	Initial GNOME 2 port

	* doc/extending-gramps/C/extending-gramps/index.html 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/caution.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/home.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/important.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/next.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/note.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/prev.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/tip.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/toc-blank.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/toc-minus.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/toc-plus.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/up.gif 1.1, doc/extending-gramps/C/extending-gramps/stylesheet-images/warning.gif 1.1, doc/extending-gramps/C/extending-gramps/x131.html 1.1, doc/extending-gramps/C/extending-gramps/x162.html 1.1, doc/extending-gramps/C/extending-gramps/x177.html 1.1, doc/gramps-manual/Makefile.am 1.1, doc/gramps-manual/Makefile.in 1.1:
	New file.

	* doc/extending-gramps/C/Makefile.am 1.1.1.1, doc/extending-gramps/C/extending-gramps-C.omf 1.1.1.1, doc/extending-gramps/C/extending-gramps.sgml 1.1.1.1, doc/extending-gramps/C/extending-gramps/ln7.html 1.1.1.1, doc/extending-gramps/C/extending-gramps/t1.html 1.1.1.1, doc/extending-gramps/C/extending-gramps/x57.html 1.1.1.1, doc/extending-gramps/C/extending-gramps/x83.html 1.1.1.1, doc/extending-gramps/C/index.html 1.1.1.1, doc/extending-gramps/C/omf_timestamp 1.1.1.1:
	Initial GNOME 2 port

	* doc/extending-gramps/C/Makefile.am 1.1, doc/extending-gramps/C/extending-gramps-C.omf 1.1, doc/extending-gramps/C/extending-gramps.sgml 1.1, doc/extending-gramps/C/extending-gramps/ln7.html 1.1, doc/extending-gramps/C/extending-gramps/t1.html 1.1, doc/extending-gramps/C/extending-gramps/x57.html 1.1, doc/extending-gramps/C/extending-gramps/x83.html 1.1, doc/extending-gramps/C/index.html 1.1, doc/extending-gramps/C/omf_timestamp 1.1:
	New file.

	* doc/extending-gramps/C/Makefile.in 1.1.1.1, doc/extending-gramps/Makefile.am 1.1.1.1, doc/extending-gramps/Makefile.in 1.1.1.1, doc/sgmldocs.make 1.1.1.1:
	Initial GNOME 2 port

	* doc/extending-gramps/C/Makefile.in 1.1, doc/extending-gramps/Makefile.am 1.1, doc/extending-gramps/Makefile.in 1.1, doc/sgmldocs.make 1.1:
	New file.

	* doc/Makefile.in 1.1.1.1, doc/gramps.1.in 1.1.1.1:
	Initial GNOME 2 port

	* doc/Makefile.in 1.1, doc/gramps.1.in 1.1: New file.

	* autogen.sh 1.1.1.1, doc/Makefile.am 1.1.1.1, doc/gramps.1 1.1.1.1, doc/gramps.dtd 1.1.1.1, doc/gramps.sgml 1.1.1.1, gramps.spec 1.1.1.1, gramps.spec.in 1.1.1.1:
	Initial GNOME 2 port

	* autogen.sh 1.1, doc/Makefile.am 1.1, doc/gramps.1 1.1, doc/gramps.dtd 1.1, doc/gramps.sgml 1.1, gramps.spec 1.1, gramps.spec.in 1.1:
	New file.

	* aclocal.m4 1.1.1.1: Initial GNOME 2 port

	* aclocal.m4 1.1: New file.

	* AUTHORS 1.1.1.1, ChangeLog 1.1.1.1, INSTALL 1.1.1.1, Makefile.am 1.1.1.1, Makefile.comm 1.1.1.1, Makefile.in 1.1.1.1, configure 1.1.1.1, configure.in 1.1.1.1, gramps.sh.in 1.1.1.1, install-sh 1.1.1.1, py-compile 1.1.1.1:
	Initial GNOME 2 port

	* AUTHORS 1.1, ChangeLog 1.1, INSTALL 1.1, Makefile.am 1.1, Makefile.comm 1.1, Makefile.in 1.1, configure 1.1, configure.in 1.1, gramps.sh.in 1.1, install-sh 1.1, py-compile 1.1:
	New file.

	* .cvsignore 1.1.1.1, COPYING 1.1.1.1, NEWS 1.1.1.1, README 1.1.1.1, TODO 1.1.1.1:
	Initial GNOME 2 port

	* .cvsignore 1.1, COPYING 1.1, NEWS 1.1, README 1.1, TODO 1.1:
	New file.

